2006-06-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Version 2.60.

	* configure.ac, NEWS: Update.

2006-06-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/texinfo.tex: Sync from upstream.

	* bin/autom4te.in (handle_traces): Transform the `@S|@'
	quadrigraph correctly in traces.

	* NEWS, lib/Autom4te/C4che.pm, lib/autoconf/functions.m4:
	Fix typos.

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): Expand tests for
	datarootdir-related errors only if AC_DATAROOTDIR_CHECKED is
	not defined.
	* doc/autoconf.texi (Changed Directory Variables): New node,
	to document the whole `datarootdir' business a bit better.
	* NEWS: Update.
	* tests/torture.at (datarootdir workaround): Extend test.
	Prompted by report by Alexandre Julliard.

2006-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/c.m4 (_AC_PROG_CC_C89): Check for C89 incompatibility
	when using default mode of IBM C 6 for AIX.  Problem and two-line
	fix reported by Larry Jones.

2006-06-22  Alexandre Julliard <julliard@winehq.org>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): Avoid warning
	about literal '${datarootdir}' if a definition is found in the
	output file.

2006-06-20  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Use "M4" rather than "m4" when appropriate.
	Problem reported by Eric Blake.
	* doc/autoconf.texi: Likewise.
	Use @acronym around BSD, GCC, and GNU when appropriate.
	(Why GNU M4): Renamed from "Why GNU m4".
	(Redefined M4 Macros): Mention that Posix
	m4wrap takes only 1 argument, but GNU M4 1.4.x takes more.
	(Buffer Overruns): Mention size_t and ptrdiff_t as alternatives
	to int.

2006-06-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autom4te.in (handle_output): Do not forbid the empty
	pattern.
	* tests/tools.at (autoconf: the empty token): New test.

2006-06-20  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sugar.m4 (m4_init): Merge the two m4_wrap
	calls, so that we do not care whether they are LIFO or FIFO;
	in the m4_wrap, do not check which diversion is the topmost
	one, just check that the stack is balanced at the end.
	* lib/m4sugar/m4sh.m4 (AS_INIT): We are going to change the
	base diversion forever--pop the previous diversion before
	opening the new one; consequently, remove the m4_wrap call.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* tests/m4sugar.at: Do not use
	m4_wrap([m4_diversion_pop([..])]), for educational purposes.

2006-06-19  Paul Eggert  <eggert@cs.ucla.edu>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* NEWS: Document that m4wrap/m4_wrap might not be LIFO.
	* doc/autoconf.texi (Redefined M4 Macros): Likewise.
	Rework example of m4wrap token-pasting trouble so that it doesn't
	care whether it's LIFO or FIFO.
	Fix some "contrary to"s that are awkward in English.

2006-06-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/types.m4 (_AC_TYPE_INT): Set `$ac_cv_c_int$1_t'
	to `yes' instead of `int$1_t' if the type is found, for more
	consistent configure output (where $1 is the number of bits).
	(_AC_TYPE_UINT): Likewise for `uint$1_t'.
	Suggested by Bruno Haible.

	* lib/autoconf/types.m4 (_AC_TYPE_UNSIGNED_INT): Solaris 2.5.1
	needs _UINT8_T and _UINT64_T defines as well, to avoid clashes
	with system headers.  Report by Bruno Haible.

2006-06-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/config.guess, config/config.sub: Sync from upstream.

	* bin/Makefile.am (autoconf.in): Use `--melt' for autom4te,
	in order to avoid picking up an older installed frozen m4sh.m4f.
	Besides an outdated shell startup, this could have been created
	by an earlier M4 version with incompatible frozen file format.

2006-06-16  Paul Eggert  <eggert@cs.ucla.edu>

	* README: Recommend m4 1.4.4 instead of 1.4.3..
	* doc/autoconf.texi: Likewise.
	(Special Chars in Names): Say that $(.FOO) is portable, as
	suggested by Stepan Kasal.
	(Installation Directory Variables, Build Directories):
	(Automatic Remaking, Subdirectories, Fortran Compiler):
	(Making testsuite Scripts, Defining Directories):
	Quote variable usages better.
	(Making testsuite Scripts): Add clean-local rule to makefile
	snippet, by Eric Blake.
	(Installation Directory Variables): Fix table item font.
	Reword slightly to clarify.  Generalize advice about
	not using special characters to include all file-related
	vars, not just VPATH.
	(Special Chars in Variables): Warn about special characters in
	$(srcdir) too.
	(Assignments): Clarify default-value example as suggested by
	Ralf Wildenhues in
	<http://lists.gnu.org/archive/html/autoconf-patches/2006-06/msg00072.html>.
	(Special Shell Variables): Note leading ./ or ../, as suggested
	by Eric Blake.
	(Limitations of Builtins): Under cd, warn about CDPATH.
	(The Make Macro MAKEFLAGS): Untabify.  Problem reported by
	Ralf Wildenhues.

2006-06-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Configuration Actions): Remove duplicate
	`@var', for texi2html.
	(Systemology): Some more word wrapping, for DVI output.
	(autom4te Invocation): The short option for `--melt' is `-M',
	not `-m'.

2006-06-15  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: More formatting and English tweaks,
	many suggested by Ralf Wildenhues.
	Reword to avoid "@code{...}'s" and the like, since it's ugly
	with Emacs info mode.  discontents -> woes.
	Put a few "will"s back.  time stamp -> timestamp.
	side-effect -> side effect.

2006-06-14  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Initializing configure, Shell Substitutions):
	Warn about $@ not persisting.  Problem reported by Julien Danjou in
	<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=372179>.
	(Special Chars in Names): Renamed from Leading _ in Macro Names.
	Mention other special chars, too.

2006-06-14  Eric Blake  <ebb9@byu.net>

	* doc/autoconf.texi (The Make Macro MAKEFLAGS): New node.

2006-06-13  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Some systematic minor improvements, as
	follows.  Use "makefile" when talking about makefiles
	generally (which might be named "makefile" or "Makefile" or even
	"foo.mk"), "Makefile" when talking about a specific makefile
	called "Makefile".  This unclutters the text from weird quotes
	(e.g., "`Makefile's" in info mode).  Similarly, use "@var{foo}
	values" rather than "@var{foo}s" and similar constructs containing
	"}s".  Use "Make rules" rather than "Makefile rules".  Minor
	English-language improvements.  Change the prefix "sub-" to "sub"
	and "re-" to "re".
	Put blank lines around examples more consistently.
	Avoid "rather" and "very" as intensifiers.
	Avoid "will" as an auxiliary.
	(Limitations of Make): Split this node into....
	(Portable Make, $< in Ordinary Make Rules, Failure in Make Rules):
	(Leading _ in Macro Names, Backslash-Newline-Newline):
	(Backslash-Newline Comments, Long Lines in Makefiles):
	(Macros and Submakes, The Make Macro SHELL, Comments in Make Rules):
	(obj/ and Make, make -k Status, VPATH and Make):
	(VPATH and Double-colon, $< in Explicit Rules):
	(Automatic Rule Rewriting, OSF/Tru64 Directory Magic):
	(Make Target Lookup, Single Suffix Rules, Timestamps and Make):
	New nodes, resulting from splitup of Limitations of Make.
	All cross-references changed.  Raise the top node from
	a section to a chapter, and all subnodes accordingly.
	Redo the introductory wording to match the new organization.
	(Installation Directory Variables): Use an example that is
	closer to what Autoconf actually does.  Mention that VPATH's
	value should not contain metacharacters or white space.
	(Fortran Compiler): Fix a VPATH bug in an example.
	(Leading _ in Macro Names): Mention that this problem is no longer
	of practical concern.
	(VPATH and Make): Reword the advice to make it clearer
	that Autoconf and Automake support VPATH in non-GNU make, but
	many packages have bugs in this area.
	($< in Explicit Rules): Refer to Build Directories rather
	than using a (non-VPATH-safe) example.
	(Automatic Rule Rewriting): Mention the sort of disaster that
	can ensue with Solaris-style rule rewriting with VPATH.

2006-06-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/install.texi (Compilers and Options): Weaken the
	suggestion to use GNU make for VPATH builds.

	* lib/autom4te.in (Automake-preselections): Add AM_PROG_CXX_C_O,
	AM_PROG_F77_C_O, AM_PROG_FC_C_O, AC_FC_SRCEXT, AC_FC_FREEFORM.

	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): Fix M4 quotation
	in regular expression.

2006-06-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Installation Directory Variables):
	Drop extra @samp from `@table @samp' item.
	(Limitations of Usual Tools): Comment fix.
	Do not nest @samp just to point to other table items.
	(Writing testsuite.at) <AT_CHECK>: The second argument to
	`@dvar' is already @samp'ed.
	(Making testsuite Scripts) <AC_CONFIG_TESTDIR>: Likewise,
	do not use @var in the second argument.

2006-06-07  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Look for
	$as_shell.exe too.  Problem reported by Andreas Buening in
	<http://lists.gnu.org/archive/html/autoconf/2006-06/msg00038.html>.

2006-06-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/functions.m4 (AC_FUNC_ALLOCA): Work around
	`unused variable' compiler warning, for `-Wall -Werror'.
	Reported by Jaap Haitsma in
	<http://lists.gnu.org/archive/html/bug-autoconf/2006-06/msg00012.html>.

2006-06-06  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/c.m4 (AC_PROG_CC_C_O): Remove core file, in
	case the compiler dumps core.  Problem reported for
	OpenServer 5.0.7 by Tim Rice in
	<http://lists.gnu.org/archive/html/bug-autoconf/2006-06/msg00019.html>.
	* lib/autoconf/general.m4 (_AC_COMPILE_IFELSE, _AC_LINK_IFELSE):
	Likewise.

2006-06-06  Tim Rice <tim@multitalents.net>.

	* lib/freeze.mk: Quiet check-forbidden-patterns so the string
	"ERROR" only shows up in "make check" output if there is an
	error.

2006-06-06  Eric Blake  <ebb9@byu.net>

	* tests/tools.at (automatically allowed tokens): Fix typo.

2006-06-05  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Don't blame non-GNU VPATH compatibility issues on Automake.

	* doc/autoconf.texi (Integer Overflow): Mention that INT_MIN % -1
	typically overflows on x86 CPUs, even though the C standard
	requires otherwise.

2006-06-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac (AC_INIT): Bump to 2.59e.
	* NEWS: Update.

2006-06-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Version 2.59d.

	* config/texinfo.tex: Sync from upstream.

	* bin/autoreconf.in: Trace `LT_CONFIG_LTDL_DIR'; if it has been
	seen, invoke libtoolize with `--ltdl' argument.
	* lib/autom4te.in (Autoreconf-preselections): Adjust.
	* NEWS: Update.
	Suggested by Eric Blake.

2006-06-05  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Whoops!  AC_FUNC_STRNLEN isn't obsolescent.  Problem
	reported by Ralf Wildenhues.
	* doc/autoconf.texi (AC_FUNC_STRNLEN): Likewise.

2006-06-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* THANKS: Update.

2006-06-05  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Modernize some of the references to Solaris.

2006-06-05  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sugar.m4 (m4_require): Modify the error
	message issued by AC_REQUIRE.
	* tests/m4sugar.at: Check m4_require's error message.
	* tests/base.at: Check AC_REQUIRE's error message.
	* tests/local.at (AT_CHECK_M4): New macro, almost identical
	to...
	(AT_CHECK_AUTOM4TE): ... which is now a thin wrapper around
	AT_CHECK_M4.
	(AT_CHECK_AUTOCONF): Use AT_CHECK_M4; no longer support
	`expout' as the last parameter.
	* tests/tools.at: Adapt to the above change.

2006-06-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Limitations of Usual Tools): Correct
	information about race-free implementations of mkdir.

2006-06-04  Eric Blake  <ebb9@byu.net>

	* bin/autoreconf.in (help): Document M4 environment variable.
	* bin/autoconf.as (Usage): Likewise.
	* bin/autom4te.in (help): Likewise.
	* doc/autoconf.texi (autom4te Invocation): Likewise.

2006-06-04  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: GNU make now recommended for VPATH builds.
	Mention that some macros are now documented to be obsolescent.
	* doc/autoconf.texi:
	Prefer "current" to "modern" to describe
	currently-used (albeit perhaps old-fashioned) hosts.
	Mention which ancient features no longer need to be worried about.
	setgid -> set-group-ID
	setuid -> set-user-ID (these are the Posix terms)
	Fix some misuses of "only".
	(AC_C_BACKSLASH_A, AC_C_CONST, AC_C_PROTOTYPES):
	(AC_C_STRINGIZE, AC_C_VOLATILE, AC_FUNC_CLOSEDIR_VOID):
	(AC_FUNC_GETPGRP, AC_FUNC_LSTAT, AC_FUNC_MEMCMP):
	(AC_FUNC_SELECT_ARGTYPES, AC_FUNC_SETPGRP):
	(AC_FUNC_SETVBUF_REVERSED, AC_FUNC_STAT, AC_FUNC_STRFTIME):
	(AC_FUNC_STRNLEN, AC_FUNC_UTIME_NULL, AC_FUNC_VPRINTF):
	(AC_HEADER_DIRENT, AC_HEADER_STAT, AC_HEADER_STDC):
	(AC_HEADER_SYS_WAIT, AC_HEADER_TIME, AC_ISC_POSIX):
	(AC_PROG_GCC_TRADITIONAL, AC_STRUCT_TM):
	Mention that these macros are obsolescent.
	(Installation Directory Variables): shall -> should
	(File Descriptors): Mention that 0, 1, 2 might get reopened.
	Mention that it's now safe to use 3 and 4.
	(Limitations of Usual Tools): cp -r is now specified by Posix.
	Omit longwinded and obsolescent discussion of cp -f.
	Modernize discussion of expr, ls.
	(Limitations of Make): Modernize discussion of VPATH builds.
	Mention $? as a workaround in some cases.
	* doc/install.texi (Basic Installation):
	Mention "./configure; make; make install" first.  Be more
	specific about why this file is generic.  Remove unnecessary
	parens.  Remove misleading "only".  Remove obsolete advice
	about csh.  Don't say "configure" takes awhile; say it
	might take a while.  Suggest CFLAGS=-g rather than CFLAGS=-O2,
	and CC=c99 rather than CC=c89, as these are blessed by current
	Posix.  Recommend GNU make if doing a VPATH build.

2006-06-03  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Use a consistent style "$ @kbd{...}" for
	examples involving shell prompts.

2006-06-02  Stepan Kasal  <kasal@ucw.cz>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Here-Documents): Add details about the
	pre-ksh93g bug.  Reword slightly to make it clearer.  Consistently
	use "here-documents" instead of "here documents".

2006-06-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/texinfo.tex, doc/standards.texi: Sync from upstream.

2006-06-01  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (File System Conventions): Warn about ":"
	anywhere in directory names.

2006-05-31  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_DO_ECHO): Be even more conservative
	about quoting the case statement, just in case.
	* doc/autoconf.texi (Here-Documents): Mention that the ksh bug
	was fixed in ksh93g; reported by Ralf Wildenhues.

2006-05-31  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (System Services): Do not document
	overriding EXEEXT via ac_cv_exeext=ext.
	(Particular Programs) <AC_PROG_MKDIR_P>:
	Document that ${MKDIR_P} understands --.
	* lib/autoconf/programs.m4 (AC_PROG_MKDIR_P): Improve the
	comment.

2006-05-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_DIRNAME_PREPARE): Guard against test
	argument with leading hyphen.  Problem reported by Paul Eggert.

2006-05-30  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_DO_ECHO): Be more conservative
	about quoting ac_try: quote all of it, if any of it seems suspicious.
	This means we don't have to worry about ${ or sed any more.
	Also, double-quote the case statement, to work around misuses via
	underquoting as reported by Ralf Wildenhues in
	<http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00169.html>.
	(_AC_EVAL_STDERR): Revert, since evidently some packages rely on this
	undocumented and dangerous macro.
	Problem reported by Ralf Wildenhues in
	<http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00168.html>.

2006-05-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_DIRNAME_PREPARE): Check whether
	`dirname -- /' returns `/', for SunOS dirname scripts that escaped.
	Report by Sam Sirlin <sam@kalessin.jpl.nasa.gov>.

2006-05-30  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4: Revert AC_TRY_EVAL and AC_TRY_COMMAND,
	since evidently some packages rely on the old, broken behavior.
	Problem reported by Ralf Wildenhues in
	<http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00160.html>.
	(AC_TRY_EVAL, AC_TRY_COMMAND, _AC_EVAL): Go back to the
	pre-2006-05-26 definitions, but leave in the comments that
	these macros are dangerous and should not be used.
	(_AC_DO_ECHO): Renamed from _AC_EVAL_ECHO.  All callers changed.
	(_AC_DO): Renamed from _AC_EVAL.  All callers changed.
	(_AC_DO_STDERR): Renamed from _AC_EVAL_STDERR.  All callers changed.
	(_AC_DO_VAR): Renamed from AC_TRY_EVAL.
	(_AC_DO_TOKENS): Renamed from AC_TRY_COMMAND.

2006-05-29  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (AC_OUTPUT_MAKE_DEFS): Rewrite to avoid
	the use of 'tr', since this is our only use of 'tr'.

2006-05-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE):
	Don't assume 'grep' works on long lines, since AIX grep doesn't.

2005-05-28  Ralf Wildenhues <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): Do not use `grep' on
	the output file in the `${datarootdir}' test.

2005-05-28  Stepan Kasal  <kasal@ucw.cz>
	and Ralf Wildenhues <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): If we have not seen
	mention of `datarootdir' in the input file(s), but literal
	`${datarootdir}' in the output file, and we haven't warned yet,
	then warn as well: the user may have (erroneously) used
	`AC_SUBST([mydatadir], [$datadir/my])' instead of the correct
	`AC_SUBST([mydatadir], ['${datadir}/my'])'.
	* tests/torture.at (datarootdir workaround): Extend this test.
	* NEWS: Update.

2006-05-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (autoheader Invocation): The first argument to
	`AC_DEFINE_UNQUOTED' need not be a literal.  Mention the
	alternatives and clear up the language a bit.

2006-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Reword notice for AC_TRY_COMMAND, AC_TRY_EVAL,
	ac_config_guess, ac_config_sub, ac_configure.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS):
	Fix typo that prevented an unnecessary space from being removed.
	Problems reported by Ralf Wildenhues in:
	http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00143.html

2006-05-26  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Particular Programs, Limitations of Usual Tools):
	Use better wording to talk about AC_PROG_MKDIR_P's thread-safety.
	Don't use the term "thread-safe" to talk about mkdir race
	conditions, since the problem is more a process than a thread
	issue.  Problem reported by Stepan Kasal in:
	http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00088.html
	* lib/autoconf/programs.m4 (AC_PROG_MKDIR_P): Use code that mimics
	the test for 'install' more closely.  Look at MKDIR_P first.
	Look in the PATH, and at /opt/sfw/bin.
	Look for a 'gmkdir' program as well (Solaris 10 /opt/sfw/bin/gmkdir).
	Don't bother to try mkdir -p, since we already check mkdir --version;
	just look at the version number.  (There's no easy way to check
	for race-free implementations.)
	* tests/tools.at (autoconf: subdirectories): Adjust to above
	changes, since MKDIR_P now might end in "/mkdir -p".

	* doc/autoconf.texi (autoheader Invocation): Mention that the
	first arg of AC_DEFINE_UNQUOTED must be a literal.
	Problem reported by Ben Pfaff in
	<http://lists.gnu.org/archive/html/bug-autoconf/2006-05/msg00090.html>.

	* NEWS: Mention that AC_TRY_COMMAND and AC_TRY_EVAL may be removed.
	* doc/autoconf.texi (Special Chars in Variables): New section.
	(Preset Output Variables): Warn about special chars in CPPFLAGS.
	(Installation Directory Variables): Quote $(datadir) better.
	(Limitations of Builtins): Describe some of eval's trickiness.

	* lib/autoconf/c.m4 (AC_PROG_CC_C_O): Simplify quoting.
	* lib/autoconf/fortram.m4 (_AC_PROG_FC_V_OUTPUT): Likewise.
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Put leading space
	in front of every arg, not just trailing args.  Quote apostrophes.
	(_AC_EVAL_ECHO): New macro.
	(_AC_EVAL, AC_EVAL_STDERR): Use it.  Quote arg of eval.
	(AC_TRY_EVAL, AC_TRY_COMMAND): Mention that these macros might get
	removed.
	(_AC_LINK_IFELSE): Use proper rule for shell continuation lines,
	exposed by quoting of eval argument.  Put the command on line line
	so it logs better.
	* lib/autoconf/libs.m4 (_AC_PATH_X_XMKMF): Use eval more safely.
	(_AC_PATH_X, AC_PATH_X): Quote more safely.
	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): Use eval more safely.
	* lib/autoconf/specific.m4 (AC_SYS_LONG_FILE_NAMES): Don't use eval.
	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Minor style change.
	Handle special chars in prefix, ac_srcdir, ac_aux_dir.
	Use eval more safely.
	(_AC_OUTPUT_CONFIG_STATUS): Adjust to above changes.
	* lib/m4sugar/m4sh.m4 (AS_VAR_GET): Note that this API needs
	to be replaced.
	* tests/base.at (AC_TRY_COMMAND): Use proper rule for shell continuation
	lines, exposed by quoting of eval argument.

2006-05-26  Stepan Kasal  <kasal@ucw.cz>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_DEFAULT): Drop the
	initialization of `ac_cv_exeext', do not override it if it was
	already set, unless it was set to `no', for compatibility with
	Autoconf-2.13, and comment this.
	Do not export `ac_cv_exeext', Libtool hasn't needed this for years.
	(_AC_COMPILER_EXEEXT_DEFAULT): Likewise, do not export it.
	(_AC_COMPILER_EXEEXT_WORKS, _AC_COMPILER_EXEEXT_CROSS): Typos.
	* doc/autoconf.texi (Compilers and Preprocessors) <EXEEXT>:
	Document that this test may be overridden by setting
	`ac_cv_exeext'.

2006-05-26  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Revert these two patches:

	2006-04-06  Eric Blake  <ebb9@byu.net>
	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_O): Inside cache
	check, s/ac_exeext/ac_cv_exeext/.  Fixes regression introduced
	2006-04-01.

	2006-04-01  Stepan Kasal  <kasal@ucw.cz>
	Clean up _AC_COMPILER_EXEEXT* macros.
	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_DEFAULT): Don't try to
	  detect exeext, it will be done by _AC_COMPILER_EXEEXT_O; just set
	  ac_file to the name of the default output file and call
	  _AC_COMPILER_EXEEXT_WORKS.  Move the definition of ac_files and the
	  initial `rm' of the candidate files...
	(_AC_COMPILER_EXEEXT): ... here and simplify them.  Moreover, use
	  the same list in subsequent `rm' calls, and for the temporary
	  redefinition of ac_clean_files; call _AC_COMPILER_OBJEXT at the end,
	  and don't call the other _AC_COMPILER_EXEEXT_* macros directly, use...
	(_AC_COMPILER_EXEEXT_TESTS): ... this new macro.
	(_AC_COMPILER_EXEEXT_O): Don't export ac_cv_exeext, it's not needed (or
	  no longer needed) by libtool.  Make it a cache check.
	(_AC_COMPILER_EXEEXT_CROSS): Remove the comment, it was obviously
	  copied here by mistake.
	(AC_NO_EXECUTABLES): Redefine _AC_COMPILER_EXEEXT_TESTS, not
	  _AC_COMPILER_EXEEXT.
	* lib/autoconf/c.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_OBJC): Do not call
	  _AC_COMPILER_OBJEXT directly.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Likewise.

2006-05-25  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Usual Tools) < sed (`t')>:
	Fix description of how the buggy `sed' works.

2006-05-25  Noah Misch  <noah@cs.caltech.edu>

	Sync from Automake:

	* lib/Autom4te/XFile.pm (lock): Allow EOPNOTSUPP, besides
	ENOLCK.  Only mention `make -j' when applicable.  Only raise
	fatal errors when `make -j' is involved.  Improve error message.

2006-05-25  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Here-Documents): We now know more about
	the variable expansion in here documents bug.
	Thanks to Tim Rice and Stepan Kasal.

	* doc/autoconf.texi (Making testsuite Scripts): Add an example
	how to use TESTSUITEFLAGS.  Suggested by Eric Blake.

2006-05-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* tests/autotest.at (Multiline command from M4 expansion):
	No failure to be expected if the shell quotes newlines in
	commands in the `set -x' output.  Report by Tim Rice.
	* THANKS: Update.

2006-05-23  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADER): Don't use shell
	expansion in the here-documents used by config.status, as that
	runs afoul of the Korn shell version M-12/28/93d bug described in
	the Autoconf manual, and this in turn causes a Coreutils 5.95 build to
	fail as described by Tim Rice and diagnosed by Ralf Wildenhues in
	<http://lists.gnu.org/archive/html/bug-autoconf/2006-05/msg00082.html>.

2006-05-23  Jim Meyering  <jim@meyering.net>

	* lib/autoconf/functions.m4 (AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK):
	Fix typo introduced with 2006-04-02 change.  It reversed the sense
	of the test.

2006-05-23  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADER): Simplify ac_dA and
	ac_dB slightly, to save bytes in the script.
	Max out at 50 lines, rather than 96; this is more likely
	(though not guaranteed) to avoid obscure 'sed' failures.

2006-05-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autotest/general.m4 (AT_INIT): UnixWare `tr' may interpret
	`tr -d -' as bad option argument.  Work around this by deleting
	an unrelated character.
	Report by Tim Rice <tim@multitalents.net>.

2006-05-22  Paul Eggert  <eggert@cs.ucla.edu>,
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>,
	    Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Particular Programs): Do not promise that
	we always prefer the GNU version of the program, and that we
	search according to PATH; both rules can have exceptions.
	Update description of AC_PROG_GREP, AC_PROG_EGREP, AC_PROG_FGREP,
	AC_PROG_SED.  Move descriptions of limitations
	to the Limitations of Usual Tools section.
	(Limitations of Usual Tools) <sed>: Mention script length
	limitations with Solaris /usr/ucb/sed.
	<grep>: Fix wording for empty alternative.  Mention that -c and
	-l should not be combined, and that -E and -F should not be
	combined.

2006-05-21  Paul Eggert  <eggert@cs.ucla.edu>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/programs.m4 (AC_PROG_SED): Catch script length
	limits in Solaris 8 /usr/ucb/sed by testing a long script.

2006-05-22  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Defining Symbols): Literal parameter of
	AC_DEFINE is now passed to m4_pattern_allow.
	* NEWS: Mention that; likewise for AC_SUBST.
	* lib/autoconf/general.m4 (AC_DEFINE_TRACE_LITERAL): Pass
	the parameter to m4_pattern_allow.
	* tests/tools.at: Add a check for that.

2006-05-22  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4: Fix typos.

2006-05-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Remove
	only the files that this macro generates.

2006-05-21  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: For
	the HP-UX sed limitation of 99 commands, labels do not count.
	* lib/autoconf/status.m4 (_AC_SED_CMD_LIMIT): Mention that
	in the comment.
	(_AC_OUTPUT_HEADER): Revert the change from 2006-05-19.

2006-05-21  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/functions.m4 (AC_FUNC_GETMNTENT):
	Import the following fix from coreutils:

	2006-01-13  Jim Meyering  <jim@meyering.net>

	Invoke AC_CHECK_FUNCS(getmntent) unconditionally so that tests of
	$ac_cv_func_getmntent (e.g., in gl_LIST_MOUNTED_FILE_SYSTEMS) need
	not double-quote uses of that variable, to accommodate the rare
	case in which getmntent is available in none of the libraries
	checked.  This happens at least on FreeBSD 5.0.

2006-05-20  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (AC_CONFIG_AUX_DIRS): Bring back
	ac_config_guess, ac_config_sub, and ac_configure, since evidently
	some other programs unwisely rely on these undocumented vars.
	But put in warning comments about them.
	Problem reported by Ralf Wildenhues in
	<http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00068.html>.
	* NEWS: Document that these variables are intended to go away.

2006-05-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/c.m4 (AC_PROG_CXX_C_O): Require AC_PROG_CXX,
	and set the language to C++ (analogous to the equivalent Fortran
	tests).

	* lib/autoconf/c.m4 (AC_PROG_CXX_C_O): New macro.
	* doc/autoconf.texi (C++ Compiler): Document it.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_C_O): Adjust comment.
	* NEWS: Update.

2006-05-19  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADER): Fix off-by-one bug
	that caused config.status to generate 100-command sed scripts; the
	portable limit is 99.

2006-05-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/programs.m4 (AC_PROG_MKDIR_P): Name temporary
	variable `ac_d' instead of `d' to avoid infringing namespace.
	Report by Ralf Menzel.

2006-05-18  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): Don't prepend
	$ac_top_build_prefix to $MKDIR_P if it's just 'mkdir -p'.
	* tests/tools.at (autoconf: subdirectories): New test, taken from
	the corresponding problem report by Ralf Wildenhues in:
	http://lists.gnu.org/archive/html/autoconf-patches/2006-05/msg00053.html

	* lib/autoconf/functions.m4 (AC_REPLACE_FNMATCH, AC_FUNC_FNMATCH_GNU):
	Quote some uses of shell variables if they might suffer unexpected
	globbing.  This doesn't fix all instances of quoting problems that
	I found, just the easy ones that look safe.
	* lib/autoconf/general.m4 (_AC_INIT_SRCDIR, _AC_INIT_HELP):
	(AC_CONFIG_AUX_DIR, AC_CONFIG_AUX_DIR_DEFAULT, AC_CONFIG_AUX_DIRS):
	(AC_CANONICAL_BUILD, AC_CANONICAL_HOST, AC_CANONICAL_TARGET):
	(AC_CACHE_LOAD, AC_CACHE_SAVE): Likewise.
	* lib/autoconf/libs.m4 (_AC_PATH_X_XMKMF, _AC_PATH_X_DIRECT): Likewise.
	* lib/autoconf/specific.m4 (AC_SYS_LONG_FILE_NAMES): Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_LINK, _AC_OUTPUT_SUBDIRS):
	Likewise.
	* lib/autotest/general.m4 (_AC_INIT_PARSE_ARGS): Likewise.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Likewise.

2006-05-18  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoreconf.in ($help): Reword according to the manual.
	Suggested by Olly Betts.

2006-05-17  Olly Betts  <olly@survex.com>  (tiny change)
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoreconf.in: Pass the directory argument to
	`require_configure_ac'.  Fix comment.
	* tests/torture.at (Configuring subdirectories): Expose this.
	Reported by Olly Betts.

2006-05-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/Automake/Configure_ac.pm, lib/Automake/Channels.pm,
	lib/Automake/FileUtils.pm, lib/Automake/Struct.pm: Sync from
	Automake as follows:

	* lib/Autom4te/Configure_ac.pm (find_configure_ac): Use
	`$configure_in' instead of `configure.in', to preserve
	directory component.

2006-05-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/config.guess, config/config.sub, config/texinfo.tex,
	doc/make-stds.texi, doc/standards.texi: Sync from upstream.

2006-05-14  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/headers.m4 (AC_HEADER_STDBOOL): Fix overly-picky
	test for C99 conformance; (bool) 0.5 is an integer constant
	expression, but (bool) -0.5 is not.  Problem reported by Fedor
	Sergeev in <http://forum.sun.com/jive/thread.jspa?threadID=96202>.

2006-05-13  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Particular Programs): AC_PROG_MKDIR_P now
	sets MKDIR_P, not mkdir_p, to avoid collisions with Automake.
	Warn about obsolete install-sh files.  Remove stray sentence
	fragment and fix cross reference.
	* lib/autoconf/programs.m4 (AC_PROG_INSTALL): Don't insist on
	install -d; this undoes the 2006-05-10 change.
	(MKDIR_P): Mark with AN_MAKEVAR.
	(AC_PROG_MKDIR_P): Fall back on $ac_install_sh, not $INSTALL, so
	that we don't require $INSTALL to be thread-safe.  Move comments
	out of generated code.  Require AC_CONFIG_AUX_DIR_DEFAULT instead
	of AC_PROG_INSTALL.  Output a message saying that we're checking
	mkdir -p.  Set MKDIR_P rather than mkdir_p.  Do special magic for
	MKDIR_P instead of AC_SUBST.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE, _AC_OUTPUT_CONFIG_STATUS):
	Special magic for MKDIR_P, too.
	* lib/m4sugar/m4sh.m4 (AS_MKDIR_P): Remove comment that defeated
	a dnl.
	* tests/local.at (AT_CHECK_ENV): mkdir_p -> MKDIR_P.

2006-05-11  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from Automake, as follows:

	2006-05-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	* config/install-sh: Initialize IFS, so field splitting isn't
	turned off later.
	* config/mkinstalldirs: Likewise.
	* config/missing: Remove superfluous quotes.  Replace all uses of
	`[' by `test', for consistency, and for..
	* config/missing (sed_minuso, sed_output): New variables.
	(autom4te, help2man, makeinfo): Use them.  Unifies detection of
	`-o FILE', `--output FILE', `--output=FILE', stricter regex.
	Fixes `missing' to detect `--output' for help2man.  Fixes
	PR automake/483.  Report by Dennis J. Linse.
	(autom4te): Document in `missing --help'.

2006-05-10  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: New macro AC_PROG_MKDIR_P.  AS_MKDIR_P is now more robust.
	* config/install-sh: Don't use 'path' to talk about file names,
	as per GNU coding standards.  Close a race condition reported by Ralf
	Wildenhues and Stepan Kasal.  There is still a race condition
	on hosts that predate Posix 1003.1-1992, but we can't help this.
	Don't mishandle weird characters like space on pre-Posix hosts.
	Invoke mkdir at most once per dir arg on pre-Posix hosts.
	* doc/autoconf.texi (Programming in M4sh): Cross-reference to
	AC_PROG_MKDIR_P from AS_MKDIR_P.
	(Limitations of Usual Tools): Cross-reference to AC_PROG_MKDIR_P
	from mkdir.  Mention that Autoconf 2.60 install-sh is safe but
	earlier editions are not (including Automake 1.8.3).
	Do not suggest mkinstalldirs for thread-safety.
	* lib/autoconf/programs.m4 (AC_PROG_INSTALL): Insist on an 'install'
	that understands -d, so that AC_PROG_MKDIR_P can fall back on $INSTALL.
	* lib/m4sugar/m4sh.m4 (AS_MKDIR_P): Make it more robust in the
	presence of special characters and race conditions.
	* tests/local.at (AT_CHECK_ENV): Add mkdir_p to the list of variables
	in Autoconf's name space.

2006-05-10  Bruno Haible  <bruno@clisp.org>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/programs.m4 (AC_PROG_MKDIR_P): New macro, taken
	from Automake with minor changes.
	* doc/autoconf.texi (Particular Programs): Document AC_PROG_MKDIR_P.

2006-05-10  Paul Eggert  <eggert@cs.ucla.edu>

	* config/install-sh: Update to Automake CVS version, as follows:
	2006-04-25  Stepan Kasal  <kasal@ucw.cz>
	* lib/install-sh: Simplify the expr implementation of dirname.
	2006-04-24  Paul Eggert  <eggert@cs.ucla.edu>
	* lib/install-sh: Handle --, and diagnose unknown options.

2006-05-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* tests/Makefile.am (AUTOTEST): Use `$(MY_AUTOM4TE)' instead of
	`./autom4te' to create `./testsuite', since the `all' target
	will ensure its presence, but `installcheck' should not create
	the uninstalled wrappers.

	* tests/torture.at (Unusual Automake input files): Skip if we
	detect automake < 1.8.

2006-05-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/c.m4 (AC_PROG_CC_STDC): If ac_cv_prog_cc_stdc
	is set to `no', then that overrides and sets ac_cv_prog_cc_c89
	and ac_cv_prog_cc_c99 to `no', for backward compatibility.
	* NEWS: Update.

2006-05-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Take care not to
	munge (multiple) white space and other oddities.
	* tests/torture.at (AT_CHECK_AC_ARG_VAR): Make sure to M4-escape
	single quotes in variable assignment.
	(AC_ARG_VAR, configure invocation): Adjust tests to expose this
	and similar failures by adding multiple spaces, tabs, and other
	special characters.
	Report and different test suggested by Francesco Romani
	<fromani@gmail.com> and Andrew Church <achurch@achurch.org>.

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): When we escape
	single quotes, we only need to search for single quotes; this
	both simplifies the search pattern, and makes us less
	susceptible to `echo' variations for arguments not containing
	single quotes.
	(_AC_ARG_VAR_VALIDATE): Likewise.

2006-05-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Special Shell Variables) <IFS>: Document
	`$*' and IFS concatenation issue with traditional shells and
	bash-2.04.  Report by Seanster@Seanster.com.

2006-05-03  Bruno Haible  <bruno@clisp.org>

	* doc/autoconf.texi (Limitations of Usual Tools): Identify more
	precisely which Mac OS X versions have the od problem.

2006-05-02  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Use @option systematically.

2006-05-02  Paul Eggert  <eggert@cs.ucla.edu>
	and Bruno Haible  <bruno@clisp.org>

	* doc/autoconf.texi (Limitations of Usual Tools): Add a paragraph
	about 'od'.
	(Integer Overflow): Mention the special case of integer division
	overflow.

2006-05-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (_AC_CANONICAL_SPLIT): Cater for
	traditional shells like the Solaris one that do not use the
	first IFS character for assembling `$*'.
	Prompted by a related report from autoconf_bug@nro.ca.

2006-05-01  Paul Eggert  <eggert@cs.ucla.edu>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Builtins, Limitations of Make):
	Mention more problems with the -e option.

2006-04-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* NEWS: Typo.
	* doc/autoconf.texi (Systemology): Mention the Heirloom Project.

	* doc/autoconf.texi (Introduction, Pointers): Use `@/' liberally
	in URLs to improve DVI formatted output (requires texinfo 4.6).
	(System Services, Systemology, Shellology): Likewise.
	(Limitations of Usual Tools): Rewrite Mac OS X example for nicer
	output.

	* doc/autoconf.texi (Fortran Compiler): Do not use `@ovar' in
	continuous text.
	(Runtime): Fix macro argument names to match description:
	`action-if-found' -> `action-if-true' and similarly.
	(Obsolete Macros): Likewise.
	* lib/autoconf/general.m4 (_AC_COMPILE_IFELSE): Likewise.
	(AC_COMPILE_IFELSE, AC_TRY_COMPILE, _AC_LINK_IFELSE)
	(AC_LINK_IFELSE, AC_TRY_LINK, AC_COMPILE_CHECK): Likewise.

2006-04-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Make): Clean up markup.

	* ChangeLog: Typo.
	* doc/autoconf.texi (Portable Shell): Allow wrapped URLs, for
	DVI output.

2006-04-28  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Builtins): Document FreeBSD
	/bin/sh set unsorted output.
	* lib/autoconf/general.m4 (_AC_CACHE_DUMP): Adjust.
	* tests/local.at: Likewise.

2006-04-26  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Portable C and C++, Varieties of Unportability):
	(Integer Overflow, Null Pointers, Buffer Overruns):
	(Floating Point Portability, Exiting Portably): New sections.
	(Writing Test Programs): Fix some langauge.  Recommend exiting
	with status 1, not merely nonzero.  Clarify exit declaration.
	(Run Time): Move C exit status stuff to new Exiting Portably section.
	(Systemology): Mention Posix and levenez.  Update v7 reference.
	(Portable Shell): Mention the Posix shell.

2006-04-25  Stepan Kasal  <kasal@ucw.cz>

	* bin/autoconf.as (me): Replace by as_me.

2006-04-25  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (AS_SHELL_SANITIZE): Don't use AS_ERROR,
	since as_me isn't set yet.

2006-04-23  Paul Eggert  <eggert@cs.ucla.edu>

	Prepare for deprecation of AS_BASENAME and AS_DIRNAME, and fix
	a few minor bugs in this area.

	* doc/autoconf.texi (Programming in M4sh): Comment out the
	documentation of AS_BASENAME, for now.
	(Shell Substitutions): Do not use AS_DIRNAME in an example.
	(Limitations of Builtins) <basename>: Do not refer to
	AS_BASENAME.
	* bin/autoconf.as (me): Don't use AS_BASENAME.
	(dir): Remove the unused variable.
	* lib/m4sugar/m4sh.m4 (_AS_DETECT_REQUIRED): Renamed from
	AS_DETECT_REQUIRED.  All uses changed.
	(_AS_DETECT_SUGGESTED): Renamed from AS_DETECT_SUGGESTED.
	All uses changed.
	(_AS_DETECT_BETTER_SHELL): Put ;; at the end of a case.
	(AS_BASENAME): Use "basename --" to protect against leading "-".
	(_AS_BASENAME_EXPR): Renamed from AS_BASENAME_EXPR.  All uses changed.
	(_AS_BASENAME_SED): Renamed from AS_BASENAME_SED.  All uses changed.
	(_AS_BASENAME_PREPARE): Reject implementations that cannot handle "--".
	(_AS_DIRNAME_PREPARE): Likewise.
	(_AS_DIRNAME_EXPR): Renamed from AS_DIRNAME_EXPR.  All uses changed.
	(_AS_DIRNAME_SED): Renamed from AS_DIRNAME_SED.  All uses changed.
	(AS_DIRNAME): Use "dirname --".

2006-04-23  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Runtime): Renamed from "Run Time".  All uses
	of "run time" and "run-time" changed to "runtime", for consistency.
	* lib/autoconf/fortran.m4: Likewise (in comment).
	* lib/autoconf/functions.m4: Likewise.
	* lib/autoconf/general.m4: Likewise.
	* lib/autoconf/headers.m4: Likewise.

	* doc/autoconf.texi (Run Time): Document the exit status situation
	with more accuracy and detail.

2006-04-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Introduction): The GNU Autoconf Macro
	Archive is not officially `GNU' any more.  Update URL.
	(Defining Directories): Likewise
	* lib/autoconf/c.m4 (AC_C_RESTRICT): Update URL.

2006-04-19  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Remove the leading
	newline from the `trap' code to finish `config.log'; the NetBSD
	/bin/sh resets the exit status after an empty command, as
	documented in doc/autoconf.texi.
	Reported by Dalibor Topic <robilad@kaffe.org>.

2006-04-19  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (C Compiler): Clarify AC_C_TYPEOF.
	Suggested by Bruno Haible.

2006-04-18  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (ac_cv_sh_n_works): Don't try to test for it, since
	some shells (e.g., Solaris 8 /bin/sh) implement it verrrry slowly.
	Instead, just list the shells that we know work.
	* tests/local.at (AT_CHECK_SHELL_SYNTAX): Remove 2nd arg.  All uses
	changed.  Be more cautious about the _cv_ variable.
	* tests/tools.at (Syntax of the shell scripts): Check the
	_cv_ variable once, at first, to avoid an internal autoconf error
	when sh -n does not work.

2006-04-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/Autom4te/FileUtils.pm: Sync from Automake.

2006-04-16  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_CONFIG_LOG): Don't
	use ">&-" since we're only 99.999% sure that this is portable,
	and since the MinGW bug is fixed in a different way.
	* lib/autotest/general.m4 (AT_INIT): Likewise.

2006-04-16  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Handle --recheck
	before opening config.log, to avoid hitting a bug on MinGW.

2006-04-14  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_CONFIG_LOG): Close
	AS_MESSAGE_LOG_FD before reopening it onto the log file.
	This works around a MinGW bug reported by Eric Paire.
	Make sure that all writes to the log file append to it,
	rather than possibly losing data.
	* lib/autotest/general.m4 (AT_INIT): Likewise.

2006-04-14  Stepan Kasal  <kasal@ucw.cz>

	* lib/Autom4te/FileUtils.pm (find_file): Fix a typo in the
	description.

2006-04-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* NEWS: Update.

	* configure.ac (AC_INIT): Bump to 2.59d.

2006-04-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Version 2.59c.

	* Makefile.maint (news-date-check): Do not require a leading `*'
	before the release date in NEWS.

2006-04-12  Stepan Kasal  <kasal@ucw.cz>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILE): If the templates for
	the instantiated file do not contain the string 'datarootdir'
	but contain @datadir@, @docdir@, @infodir@, @localedir@, or
	@mandir@, replace the reference '${datarootdir}' by the value.
	* tests/torture.at (datarootdir workaround): New test.
	* NEWS: Advertise this temporary fixup.
	Based on a patch by Bruno Haible, reported and analyzed by
	Paul Eggert and Noah Misch.

2006-04-12  Eric Blake  <ebb9@byu.net>

	* tests/autotest.at (Debugging a failed test): Fix comment.

2006-04-12  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (_AS_LN_S_PREPARE): Simplify the summary of
	all the changes since 2006-04-07.

2006-04-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_LN_S_PREPARE): If `ln -s file1 file2'
	succeeded, but `ln -s file dir' failed, take care to remove the
	leftover target before the next test, to prevent its spurious
	failure; also make sure `ln file dir' works before selecting it.
	Thanks to Keith Marshall for pointing this out.
	* THANKS: Update.

	* lib/autotest/general.m4 (AT_INIT): Store quoted variable
	assignments in `at_debug_args', so that we put them correctly
	in the `run' script.
	* tests/autotest.at (Debugging a failed test): Unmark XFAIL.
	Reported by Eric Blake.

2006-04-11  Eric Blake  <ebb9@byu.net>

	* tests/autotest.at (AT_CHECK_AT): Add new argument, to allow
	top-level tests after micro-suite has been run.   Used in...
	(Debugging a successful test, Debugging script and environment),
	(Debugging a failed test): ...these new tests.  The first of these
	is fixed by...
	* lib/autotest/general.m4 (_AT_CREATE_DEBUGGING_SCRIPT): New
	macro, split out from...
	(AT_INIT): ...here, so that using -d also generates a run script.
	Document that -d inhibits top-level logging.
	* doc/autoconf.texi (testsuite Invocation): Document that -d only
	inhibits top-level logging; debug scripts are created.

	* lib/autotest/general.m4 (_AT_CHECK): Avoid syntax error on empty
	check.
	* tests/autotest.at (Empty test, Empty check): New test to check it.

	* lib/autoconf/c.m4 (AC_C_CONST, AC_C_VOLATILE): Avoid warnings
	from gcc.

2006-04-10  Stepan Kasal  <kasal@ucw.cz>

	* tests/mktests.sh: Use "trap '' 0", not "trap 0".  Do not touch
	the files if a problem appears.  Make the empty *.at files
	read-only, too.  Proposed by Ralf Wildenhues.

2006-04-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/Makefile.am: Add comment to force updated Makefile.in.

	* lib/freeze.mk: Fix typo in comment.  Unlike the last, white
	space only patch to this file, this patch causes the Makefile.in
	files that include freeze.mk to be updated, and thus have a
	newer time stamp again, which in turn makes a pristine CVS
	checkout have correct time stamps.

	* Makefile.maint (cvs-sv): New macro, to be used..
	(config.guess-url_prefix, config.sub-url_prefix)
	(texinfo.tex-url_prefix, standards.texi-url_prefix): ..here;
	point to CVS text checkout of Gnulib files.
	(copyright-check): Bump current year.
	(announcement): Do not hard-wire `./announce-gen'.
	(cvs-update): Propagate failures of `cvs' and `move-if-change'
	correctly.
	* Makefile.cfg (executable-update): Use `chmod a+x' instead of
	`chmod +x'.
	(wget_files): Update config.guess, config.sub, texinfo.tex by
	`wget-update', now that their URLs work again.

2006-04-10  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Particular Types): Don't use AC_CHECK_TYPE.
	Problem noted by Paul D. Smith.

2006-04-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi: Remove unused words from word list.
	* .x-sc_prohibit_atoi_atof, .x-sc_space_tab, .x-sc_sun_os_names,
	.x-sc_trailing_space: New files.

	* doc/standards.texi: Sync from gnulib.

	* NEWS, doc/autoconf.texi (AC_LIBOBJ vs LIBOBJS): Mark
	`LIBOBJDIR' as experimental.

	* lib/m4sugar/m4sh.m4 (_AS_LN_S_PREPARE): MSYS `ln -s' fails
	with a target directory; it's internally implemented as `cp'
	anyway, but since Autoconf advertises the possibility to use
	a target directory when LN_S is `ln -s', we need to find out.
	Reported by Rolf Ebert <rolf.ebert.gcc@gmx.de> against MSYS,
	analyzed by Keith Marshall <keith.marshall@total.com>.

	* THANKS: Update.

2006-04-10  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Just output
	confdefs.h as-is.  In general, if it has backslash-newline or the
	like, then it doesn't work either to sort or to remove empty
	lines.

2006-04-09  Stepan Kasal  <kasal@ucw.cz>

	* tests/Makefile.am (AUTOCONF_FILES): Fix typo in the comment.

2006-04-09  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Automake-preselections): Preselect
	_AM_SUBST_NOTMAKE.

2006-04-08  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Use '\'' for an
	apostrophe within a single-quoted string, as this is the usual
	tradition and is easier to read than '"'"'.  Don't rely on the
	shell treating "$/" like '$/'.  Use a more-consistent indenting
	style for the trap.

2006-04-09  Eric Blake  <ebb9@byu.net>

	* tests/autotest.at (Backquote command substitution),
	(Multiline backquote command substitution): Remove mistaken
	AT_NO_CMDSUBST from the 2006-03-14 patch, which was meant to be
	applied...
	(Parenthetical command substitution, Multiline parenthetical
	command substitution): here.

2006-04-08  Paul Eggert  <eggert@cs.ucla.edu>

	Import macros from gnulib (often changing their name).

	* NEWS: AC_C_TYPE_LONG_DOUBLE is now obsolete.
	New macros AC_CHECK_DECLS_ONCE, AC_CHECK_FUNCS_ONCE,
	AC_CHECK_HEADERS_ONCE, AC_FUNC_STRTOLD, AC_HEADER_ASSERT,
	AC_STRUCT_DIRENT_D_INO, AC_STRUCT_DIRENT_D_TYPE,
	AC_TYPE_LONG_DOUBLE, AC_TYPE_LONG_DOUBLE_WIDER, AC_TYPE_INT8_T,
	AC_TYPE_INT16_T, AC_TYPE_INT32_T, AC_TYPE_INT64_T,
	AC_TYPE_INTMAX_T, AC_TYPE_INTPTR_T, AC_TYPE_LONG_LONG_INT,
	AC_TYPE_UINT8_T, AC_TYPE_UINT16_T, AC_TYPE_UINT32_T,
	AC_TYPE_UINT64_T, AC_TYPE_UINTMAX_T, AC_TYPE_UINTPTR_T,
	AC_TYPE_UNSIGNED_LONG_LONG_INT, AC_USE_SYSTEM_EXTENSIONS.
	The manual mentions Gnulib more prominently.
	* doc/autoconf.texi (Gnulib): New node.
	(Pointers): Add Gnulib URL.
	(Particular Functions): Alphabetize.  Add AC_FUNC_STRTOLD.
	(Generic Functions): Add AC_CHECK_FUNCS_ONCE.  Refer to new
	Gnulib section.
	(Particular Headers): Add AC_HEADER_ASSERT.  For stdbool.h,
	suggest a #define rather than a typedef for _Bool, and mention
	Gnulib rather than trying to substitute stdbool code.
	(Generic Headers): Add AC_CHECK_HEADERS_ONCE.
	(Generic Declarations): Add AC_CHECK_DECLS_ONCE.
	(Particular Structures): Add AC_STRUCT_DIRENT_D_INO,
	AC_STRUCT_DIRENT_D_TYPE.
	(Particular Types): Mention stdint.h and inttypes.h as standard
	headers too.
	Add AC_TYPE_INT8_T, AC_TYPE_INT16_T, AC_TYPE_INT32_T, AC_TYPE_INT64_T,
	AC_TYPE_INTMAX_T, AC_TYPE_INTPTR_T, AC_TYPE_LONG_DOUBLE,
	AC_TYPE_LONG_DOUBLE_WIDER, AC_TYPE_LONG_LONG_INT, AC_TYPE_UINT8_T,
	AC_TYPE_UINT16_T, AC_TYPE_UINT32_T, AC_TYPE_UINT64_T,
	AC_TYPE_UINTMAX_T, AC_TYPE_UINTPTR_T, AC_TYPE_UNSIGNED_LONG_LONG_INT.
	(C Compiler): Move AC_C_LONG_DOUBLE to ...
	(Obsolete Macros): here.  Under AC_LONG_DOUBLE, mention
	AC_TYPE_LONG_DOUBLE or AC_TYPE_LONG_DOUBLE_WIDER instead.
	(Posix Variants): Add AC_USE_SYSTEM_EXTENSIONS.
	(Coding Style).  Don't mention m4_expand_once.
	* lib/autoconf/c.m4 (AC_C_LONG_DOUBLE): Implement via
	AC_TYPE_LONG_DOUBLE_WIDER.  Now obsolete.
	* lib/autoconf/functions.m4 (_AH_CHECK_FUNCS): New macro.
	(AC_CHECK_FUNCS): Use it.
	(AC_CHECK_FUNCS_ONCE, AC_FUNC_STRTOLD): New macros.
	(AC_FUNC_WAIT3): "the Open Group standards" -> "POSIX".
	* lib/autoconf/general.m4 (AC_CHECK_DECLS_ONCE): New macro.
	* lib/autoconf/headers.m4 (AC_CHECK_HEADERS_ONCE): New macro.
	(AC_HEADER_ASSERT): New macro.
	(AC_HEADER_STDBOOL): Don't assume "#error" works.
	Catch a bug in IBM AIX xlc compiler version 6.0.0.0.
	Catch a bug in an HP-UX C compiler.
	* lib/autoconf/specific.m4 (AC_USE_SYSTEM_EXTENSIONS): New macro.
	* lib/autoconf/types.m4 (AC_TYPE_INTMAX_T. AC_TYPE_UINTMAX_T):
	(AC_TYPE_INTPTR_T, AC_TYPE_UINTPTR_T. AC_TYPE_LONG_DOUBLE):
	(AC_TYPE_LONG_DOUBLE_WIDER, AC_C_LONG_DOUBLE, AC_TYPE_LONG_LONG_INT):
	(AC_TYPE_UNSIGNED_LONG_LONG_INT, _AC_TYPE_INT, _AC_TYPE_UNSIGNED_INT):
	(_AC_STRUCT_DIRENT, AC_STRUCT_DIRENT_D_INO, AC_STRUCT_DIRENT_D_TYPE):
	New macros.

	* tests/mktests.sh (ac_exclude_list, au_exclude_list): Do not
	use /^foo|bar$/, it does not mean /^(foo|bar)$/.

2006-04-08  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Fix the wording
	of the warning introduced by the 2001-08-28 change.

2006-04-08  Stepan Kasal  <kasal@ucw.cz>,
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (AC_CACHE_SAVE): All `ac_cv_env_foo'
	variables shall be overriden by the cache.
	* tests/torture.at (AC_ARG_VAR): Test also with a first value
	that contains braces.

2006-04-07  Stepan Kasal  <kasal@ucw.cz>

	Revert the patch from 2006-04-01 and only improve
	_AS_DETECT_BETTER_SHELL:

	* lib/m4sugar/m4sh.m4 (_AS_PATH_WALK): Do not optimize; do not
	skip nonexistent directories.
	(_AS_DETECT_BETTER_SHELL): The optimization is moved here--try
	only shell candidates which exist.
	(AS_UNAME): No need to give three parameters to _AS_PATH_WALK.
	* lib/autotest/general.m4 (AT_INIT): No need to give three
	parameters to _AS_PATH_WALK.

2006-04-07  Stepan Kasal  <kasal@ucw.cz>,
	    Ralf Wildenhues <Ralf.Wildenhues@gmx.de>

	* bin/autoupdate.in (handle_autoconf_patches): Change the way we
	distinguish m4sugar macros.
	* tests/tools.at (autoupdating with aclocal and m4_include):
	New test.  Bug reported by Gary V. Vaughan <gary@gnu.org>,
	test case by Noah Misch <noah@cs.caltech.edu>.

2006-04-07  Stepan Kasal  <kasal@ucw.cz>

	Revert my change from 2006-03-17, in other words:
	* lib/m4sugar/m4sh.m4 (AS_BOURNE_COMPATIBLE): Insert BIN_SH=xpg4
	  and DUALCASE=1.
	(AS_SHELL_SANITIZE): Remove DUALCASE=1.
	* doc/autoconf.texi (Special Shell Variables) <BIN_SH>: Say that
	  it is set.

2006-04-07  Eric Blake  <ebb9@byu.net>

	* doc/autoconf.texi (Programming in M4sh): Document that
	AS_MKDIR_P exits the script on failure.
	* lib/autotest/general.m4: Remove redundant AS_ERROR.

2006-04-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/elisp-comp, config/install-sh, config/mdate-sh,
	config/missing, config/mkinstalldirs: Sync from Automake.

	* lib/Autom4te/FileUtils.pm, lib/Autom4te/Struct.pm: Sync
	from Automake.

	* doc/make-stds.texi: Sync from gnulib.

2006-04-06  Eric Blake  <ebb9@byu.net>

	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_O): Inside cache
	check, s/ac_exeext/ac_cv_exeext/.  Fixes regression introduced
	2006-04-01.

2006-04-06  Stepan Kasal  <kasal@ucw.cz>,
	    Eric Blake  <ebb9@byu.net>,
	    Paul Eggert  <eggert@cs.ucla.edu>,
	    Ralf Wildenhues <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (_AC_CACHE_DUMP): Fix the detection of
	whether `set' quotes correctly: redirect stderr of the tested
	`set', and use a subshell, for Ultrix; use `sed' instead of
	`grep' for zsh `set' which may write binary output; match only
	at the beginning of a line, to avoid false positives.
	In order to avoid false positives by unrelated variables with
	multiline content, put the dump algorithm in a subshell and
	unset all variables containing newlines (except some which are
	special to the shell).  Warn about cache variables that are
	unset.

2006-04-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config/config.guess, config/config.sub, config/texinfo.tex:
	Sync from upstream.

	* tests/mktests.sh: Reword comments.

	* tests/mktests.sh: Only skip internal macros starting with
	`_AC_' or `__AC_'.  Noted by Stepan Kasal.
	Update exclusion lists for the test suite to this end:
	(AC_ARG_VAR): Do test this now.
	(AC_SEARCH_LIBS, AC_REPLACE_FUNCS): Need an argument.
	(AC_LINKER_OPTION): Remove (renamed to _AC_LINKER_OPTION).
	(AC_LIST_MEMBER_OF): Likewise (renamed to _AC_LIST_MEMBER_IF).
	(AC_LINK_FILES): Obsoleted since (and thus AU_DEFUN'ed).

	* doc/autoconf.texi (Shell Substitutions): Mention the MSYS
	shell issue with double-quoted command substitutions of native
	commands.
	Reported to MSYS by Mark Cave-Ayland, to Autoconf by Keith
	Marshall.

	* Makefile.maint (sc_cast_of_argument_to_free): Do not fail when
	no file matches the glob, discard the warning, set `nullglob'.
	(syntax-check): Likewise.
	(sc_cast_of_x_alloc_return_value): Likewise.
	(sc_cast_of_alloca_return_value, sc_error_exit_success)
	(sc_prohibit_jm_in_m4, .re-list, sc_unmarked_diagnostics)
	(m4-check): Likewise.
	(sc_system_h_headers): Do not print rule on execution.
	(sc_tight_scope): Do not fail for non-existing `src' directory.
	(sc_changelog): Skip the Copyright footer.
	* lib/autoconf/lang.m4: Remove trailing space.

	* lib/autoconf/status.m4: More replacements to
	<tab><space> where this makes sense.

2006-04-06  Stepan Kasal  <kasal@ucw.cz>

	* tests/Makefile.am (maintainer-check-posix):
	  s/POSIXLY_CORRECTLY/POSIXLY_CORRECT/

	* lib/autoconf/status.m4 (_AC_CONFIG_FOOS): Append TAGS to
	  ac_config_<foo>s again, sometimes normalized, sometimes not.
	(AC_CONFIG_FILES, AC_CONFIG_HEADERS, AC_CONFIG_LINKS):
	(AC_CONFIG_COMMANDS): Do not do so here.
	(_AC_CONFIG_REGISTER_DEST): Double quote the tags in macros _AC_LIST_TAGS
	  and_AC_LIST_TAG_COMMANDS; fixes another regression introduced by the
	  2005-07-25 rewrite.  Noticed by Noah Misch.

	* lib/autoconf/general.m4 (AC_PRESERVE_HELP_ORDER): Do not define
	  _AC_PRESERVE_HELP_ORDER, ...
	(AC_ARG_ENABLE, AC_ARG_WITH): ... use AC_PROVIDE_IFELSE insetad.

	* lib/autoconf/general.m4 (AC_ARG_VAR): Do not use m4_divert_once
	  inside m4_expand_once; it is redundant.

	* lib/autoconf/general.m4 (_AC_INIT_HELP): Remove the broken support
	  for --help from Cygnus `configure.'

2006-04-06  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (C Compiler): Warn about #error.  Follows up
	on a patch proposed by Ralf Wildenhues.

2006-04-05  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4: Replace <space>''<tab> with
	<tab><space> where this makes sense.

2006-04-05  Howard Chu  <hyc@highlandsun.com>  (trivial change)
	    Noah Misch  <noah@cs.caltech.edu>

	* lib/autoconf/general.m4 (AC_PRESERVE_HELP_ORDER): New macro.
	(AC_ARG_ENABLE, AC_ARG_WITH): Adjust.
	* doc/autoconf.texi (Help Formatting): New node.
	* NEWS: Announce AC_PRESERVE_HELP_ORDER.

2006-04-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* TODO, config/Makefile.am, lib/freeze.mk, lib/autoconf/c.m4,
	lib/autoconf/specific.m4, lib/autoconf/status.m4,
	lib/autoconf/types.m4, lib/autotest/general.m4,
	tests/mktests.sh, tests/torture.at: White space cleanup:
	remove some SPACE before TAB, or add quoting ('' or @&t@).

	* NEWS, TODO, bin/autoreconf.in: `filesystem' -> `file system'.

	* doc/autoconf.texi (Shell Substitutions): Document `^' vs. `|'.

2006-04-05  Eric Blake  <ebb9@byu.net>

	* lib/autotest/general.m4 (AT_INIT): Prep AT_*_all, so that an
	empty test suite works.
	* tests/autotest.at (Empty test suite): Remove xfail.

2006-04-05  Noah Misch  <noah@cs.caltech.edu>

	* lib/autoconf/status.m4 (_AC_CONFIG_FOOS): Do not append normalized
	TAGS to ac_config_<foo>s.
	(AC_CONFIG_FILES, AC_CONFIG_HEADERS, AC_CONFIG_LINKS): Do so here.
	(AC_CONFIG_COMMANDS): Append NAME to ac_config_commands without
	normalizing it, consistent it with previous releases.
	* tests/torture.at (Macro calls in AC_CONFIG_COMMANDS tags): New test.

2006-04-05  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (AS_BASENAME_EXPR, AS_DIRNAME_EXPR):
	Use simplified args that Eric Blake originally suggested.

2006-04-04  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/mktests.sh: Don't use 'cat'; just read the files directly.
	Prefer 'sort -u' to 'sort | uniq'.  Filter data before sorting it.
	Use 'comm' rather than N instances of grep; this also fixes a bug
	whereby substrings were incorrectly matched, causing us to not
	generate tests for AC_F77_NAME_MANGLING and AC_FUNC_LSTAT.
	(exclude_list): Exclude empty macros.
	(ac_exclude_list): Exclude AC_INCLUDES_DEFAULT.

	Use awk rather than grep -E or egrep, to avoid
	portability problems with regular expressions containing newlines.
	(exclude_list, ac_exclude_list, au_exclude_list, ac_exclude_script):
	Switch from grep to awk syntax.
	(ac_exclude_script): Renamed from ac_exclude_egrep.
	(au_exclude_script): Renamed from au_exclude_egrep.

2006-04-04  Noah Misch  <noah@cs.caltech.edu>

	* lib/autoconf/general.m4 (_AC_INIT_HELP): Only `configure.in' evidences
	a subdirectory subject to Cygnus `configure'.
	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Likewise.

	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): Omit the bug
	report request when we have no AC_PACKAGE_BUGREPORT.

2006-04-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* THANKS: Update.

	* tests/mktests.sh: Update copyright year in the header of the
	generated files.

	* lib/autoconf/c.m4 (AC_C_INLINE): Do not skip cleanup code.
	(AC_C_RESTRICT): Likewise.  Furthermore, add a function with a
	typedef'ed restricted pointer, to catch a compiler bug on
	HP-UX 11.x, and fix warnings so it passes with -Werror.
	(_AC_PROG_CC_C99): Likewise.
	Reported by Albert Chin <china@thewrittenword.com>.
	* tests/mktests.sh: Do not skip AC_C_INLINE, AC_C_RESTRICT.

2006-04-03  Noah Misch  <noah@cs.caltech.edu>

	* bin/autoscan.in (subdirs): New global.
	(scan_file): Prune directories with configure{,.{ac,in,gnu}}.
	(output): Emit AC_CONFIG_SUBDIRS as needed.
	* tests/autoscan.at (autoscan): Remove XFAIL.

2006-04-03  Noah Misch  <noah@cs.caltech.edu>

	* lib/autoconf/general.m4 (AC_CACHE_SAVE): Use AC_MSG_NOTICE.

2006-04-03  Eric Blake  <ebb9@byu.net>

	* THANKS: Add myself.

2006-04-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autotest/general.m4 (AT_INIT): Add `at_testdir' to pointer
	to log, point to testsuite output tree.

2006-04-02  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: AC_PROG_CC and AC_PROG_CXX no longer declare 'exit'.
	* doc/autoconf.texi (Function Portability): Mention that C++
	has trouble with 'exit'.
	(Guidelines): Test programs shouldn't use 'exit'.
	* lib/autoconf/c.m4 (_AC_PROG_CXX_EXIT_DECLARATION):
	Remove; all uses removed.
	(AC_LANG_INT_SAVE(C), AC_C_BIGENDIAN):
	Return from 'main' instead of calling 'exit'.
	* lib/autoconf/functions.m4 (_AC_LIBOBJ_ALLOCA, AC_FUNC_CLOSEDIR_VOID):
	(_AC_FUNC_FNMATCH_IF, AC_FUNC_GETGROUPS):
	(AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK, _AC_FUNC_MALLOC_IF):
	(AC_FUNC_MEMCMP, AC_FUNC_MKTIME, AC_FUNC_MMAP, _AC_FUNC_REALLOC_IF):
	(AC_FUNC_SETPGRP, _AC_FUNC_STAT, AC_FUNC_STRTOD, AC_FUNC_STRERROR_R):
	(AC_FUNC_STRNLEN, AC_FUNC_SETVBUF_REVERSED, AC_FUNC_UTIME_NULL):
	(_AC_FUNC_FORK, _AC_FUNC_VFORK, AC_FUNC_WAIT3): Likewise.
	* lib/autoconf/headers.m4 (AC_HEADER_STDC): Likewise.
	* lib/autoconf/specific.m4 (AC_SYS_RESTARTABLE_SYSCALLS): Likewise.
	* lib/autoconf/types.m4 (AC_TYPE_GETGROUPS): Likewise.
	* tests/compile.at: Likewise.

2006-04-02  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (AC_PATH_X): Update per 2005-08-26 change.

2006-04-01  Stepan Kasal  <kasal@ucw.cz>

	Clean up _AC_COMPILER_EXEEXT* macros.

	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_DEFAULT): Don't try to
	  detect exeext, it will be done by _AC_COMPILER_EXEEXT_O; just set
	  ac_file to the name of the default output file and call
	  _AC_COMPILER_EXEEXT_WORKS.  Move the definition of ac_files and the
	  initial `rm' of the candidate files...
	(_AC_COMPILER_EXEEXT): ... here and simplify them.  Moreover, use
	  the same list in subsequent `rm' calls, and for the temporary
	  redefinition of ac_clean_files; call _AC_COMPILER_OBJEXT at the end,
	  and don't call the other _AC_COMPILER_EXEEXT_* macros directly, use...
	(_AC_COMPILER_EXEEXT_TESTS): ... this new macro.
	(_AC_COMPILER_EXEEXT_O): Don't export ac_cv_exeext, it's not needed (or
	  no longer needed) by libtool.  Make it a cache check.
	(_AC_COMPILER_EXEEXT_CROSS): Remove the comment, it was obviously
	  copied here by mistake.
	(AC_NO_EXECUTABLES): Redefine _AC_COMPILER_EXEEXT_TESTS, not
	  _AC_COMPILER_EXEEXT.
	* lib/autoconf/c.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_OBJC): Do not call
	  _AC_COMPILER_OBJEXT directly.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Likewise.

2006-04-01  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (_AS_DIRNAME_PREPARE): New macro.
	(AS_DIRNAME): Use it.
	(_AS_PREPARE): Add _AS_DIRNAME_PREPARE.

	* tests/*.at: Remove the generated ones.

2006-04-01  Stepan Kasal  <kasal@ucw.cz>

	* lib/autotest/general.m4 (AT_INIT): Don't optimize the first PATH walk.

2006-04-01  Eric Blake  <ebb9@byu.net>

	* lib/m4sugar/m4sh.m4 (_AS_PATH_WALK): Optimize nonexistent
	directories, unless optional third argument supplied.
	(AS_UNAME): Don't optimize PATH walk.

	* lib/Autom4te/Struct.pm, lib/autoconf/c.m4: s/non-existent/nonexistent/

2006-04-01  Eric Blake  <ebb9@byu.net>
	and Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4: Sort sections as implied by the comments,
	and fix some typos.

2006-04-01  Noah Misch  <noah@cs.caltech.edu>

	* lib/autoconf/general.m4 (_AC_INIT_VERSION): Emit script name and
	Autoconf version number despite a zero- or one-argument AC_INIT.

	* bin/autoreconf.in (parse_args): Multiple -v send --verbose to
	subordinate tools.
	* lib/Autom4te/General.pm (getopt): Make -v and -d incremental.
	* doc/autoconf.texi (autoreconf Invocation): Document it.

	* doc/autoconf.texi: Use `Cygwin', `MinGW', and `license' consistently.
	Append LocalWords so ispell-buffer passes cleanly.  Spelling fixes.

2006-04-01  Eric Blake  <ebb9@byu.net>

	* lib/m4sugar/m4sh.m4 (AS_MKDIR_P): Allow use in shell lists.
	* lib/autotest/general.m4: Be tolerant of existing directory when
	  rm failed to remove it.

2006-04-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoupdate.in: Redefine m4_location so that warnings print
	the correct lines of the input file by subtracting..
	(_au__first_line): ..this new definition.

	* lib/autoconf/general.m4 (AC_COMPILE_CHECK): Prefer
	AC_MSG_CHECKING over obsolete AC_CHECKING in autoupdated code.
	Remove stray newline in output.
	(AC_FOREACH): AU_DEFUN this as literal for autoupdate, and also
	AC_DEFUN this for autoconf, including the obsoletion diagnose.
	Fixes autoupdating of code where the replacement output contains
	m4sugar macros.
	* lib/autoconf/lang.m4 (AC_LANG_SAVE): Likewise.
	* tests/mktests.sh (ac_exclude_list): Add AC_FOREACH.
	 (au_exclude_list): Add AC_LANG_SAVE.
	* tests/tools.at: Several new tests for all of this.
	* doc/autoconf.texi (Obsoleting Macros): Give a hint about the
	hairy details.
	The AC_LANG_SAVE issue was reported against Libtool by
	Dalibor Topic <robilad@kaffe.org>, and against Autoconf 2.57 by
	Kristian Kvilekval <kris@cs.ucsb.edu>.

2006-04-01  Stepan Kasal  <kasal@ucw.cz>

	* bin/autoupdate.in: Handle m4 builtins and m4sugar macros together--
	  switch all of them on and of when necessary.  Fixes the bug when
	  m4sugar macros (e.g., m4_define) were expanded after the first
	  automatic update (e.g., after AC_PREREQ or AC_INIT).

2006-03-31  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Programming in M4sh): Sharpen the descriptions
	of AS_BASENAME and AS_DIRNAME.  Reported by Stepan Kasal.

	* lib/m4sugar/m4sh.m4 (AS_BASENAME_EXPR): Handle ///, ////, etc.
	correctly.  Problem reported by Eric Blake.
	(_AS_EXPR_PREPARE): Detect Tru64 expr bug.  Problem reported by
	Ralf Wildenhues.

2006-03-30  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Programming in M4sh, Limitations of Usual Tools):
	Tighten up the basename/dirname wording.

2006-03-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.maint (sc_texi_notab): New check: do not use TABs
	in texinfo files outside of verbatim environments.
	(syntax-check-rules): Update.
	* doc/autoconf.texi (Configuration Headers): Conform to it.

2006-03-30  Chris Pickett <cpicke@cs.mcgill.ca>  (tiny change)

	* doc/autoconf.texi (autoreconf Invocation): Mention that -I for
	  aclocal cannot be given on the command line.

2006-03-29  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Programming in M4sh): Mention AS_BASENAME.
	Give an example for AS_DIRNAME instead of referring to Posix..
	(File System Conventions): Put discussion of // versus / here, and
	modernize it a bit.
	(Limitations of Usual Tools): Add basename.  Remove verbiage
	after dirname, since it got moved to the above sections.
	All this was inspired by a patch proposed earlier by Eric Blake.

2006-03-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Quote
	`$0' to protect against spaces.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/m4sugar/m4sh.m4 (_AS_LINENO_PREPARE): Likewise, for
	`$0', $as_me.

2006-03-26  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoscan.in: The value of find_configure_ac should be
	checked for existence, so we don't barf over a nonexisting
	configure.ac.  Reported by Laurence Darby <ldarby@tuffmail.com>.

2006-03-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoupdate.in: Fix some typos.

2006-03-21  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Installation Directory Variables): Fix typo.

	* lib/autoscan/autoscan.list: Refreshed.

2006-03-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* tests/local.at (AT_CHECK_ENV): Ignore AC_SUBSTed Objective C
	and Erlang related variables.

	* lib/autoconf/c.m4 (AC_LANG(Objective C), AC_LANG_OBJC)
	(_AC_LANG_ABBREV(Objective C), _AC_LANG_PREFIX(Objective C))
	(AC_LANG_SOURCE(Objective C), AC_LANG_PROGRAM(Objective C))
	(AC_LANG_CALL(Objective C), AC_LANG_FUNC_LINK_TRY(Objective C))
	(AC_LANG_BOOL_COMPILE_TRY(Objective C))
	(AC_LANG_INT_SAVE(Objective C), AC_LANG_PREPROC(Objective C))
	(AC_PROG_OBJCPP, AC_LANG_COMPILER(Objective C), AC_PROG_OBJC)
	(_AC_PROG_OBJC_G): New macros.
	(_AC_ARG_VAR_CPPFLAGS): Adjusted.
	* doc/autoconf.texi (Objective C Compiler): New node.
	(Preset Output Variables): Document OBJCFLAGS.
	(Language Choice): Document `Objective C' language.
	(Fortran Compiler): Fix typo.
	* NEWS: Updated.
	Inspired by a patch from David M. Lloyd <dmlloyd@tds.net>.

2006-03-20  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Default Includes): Fix typo
	  s/AC_HEADERS_STDC/AC_HEADER_STDC/
	(Limitations of Usual Tools): s/unwriteable/unwritable/
	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_DEFAULT, _AC_COMPILER_EXEEXT):
	  Fix typos in the comments.

2006-03-17  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/programs.m4 (AC_PATH_TOOL, AC_CHECK_TOOL, AC_CHECK_TOOLS):
	  Factor out the warning to...
	(_AC_TOOL_WARN): ... this new macro; use `cross_compiling'.
	* tests/local.at (AT_CHECK_MACRO_CROSS): Avoid this warning.
	* tests/semantics.at (AC_C_BIGENDIAN): Likewise.

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Do not special
	  case `ac_delim' when writing the sed script.

	* lib/m4sugar/m4sh.m4 (AS_BOURNE_COMPATIBLE): Removed BIN_SH=xpg4,
	  moved DUALCASE=1 ...
	(AS_SHELL_SANITIZE): ... here.
	* doc/autoconf.texi (Special Shell Variables) <BIN_SH>: Do not say
	  that it is set.

	* lib/autoconf/programs.m4 (AC_CHECK_PROG): Quote the parameter of
	  AC_SUBST.
	(_AC_PATH_PROG): Store the result to VARIABLE.
	(AC_PATH_PROG): No need to set VARIABLE again.

	* tests/local.at (AT_CHECK_MACRO_CROSS): New macro, creates two tests:
	  the first one is usual AT_CHECK_MACRO test, the second one checks
	  that the same works when cross-compiling.
	* tests/semantics.at (AC_CHECK_ALIGNOF, AC_CHECK_ALIGNOF struct):
	(AC_CHECK_SIZEOF, AC_CHECK_SIZEOF struct): Use it.

2006-03-17  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Prepend
	the directory `/usr/bin/posix' in the shell search, to prefer
	the Posix shell not only in subsequent spawns as with `$BIN_SH'
	on Tru64.

	* doc/autoconf.texi (contents): To fix texi2html output, hide
	`@setcontentsaftertitlepage' for HTML.
	(Writing Autoconf Macros): Likewise, insert space after `@c'.
	(Leviticus, Numbers, Deuteronomy): Likewise, change `@,c' to
	`@,{c}'.

2006-03-16  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (_AS_PREPARE): Move the IFS setup and CDPATH
	  sanitizing...
	(AS_SHELL_SANITIZE): ...here; mention _AS_PATH_WALK needs IFS set.
	* lib/autoconf/general.m4 (_AC_CANONICAL_SPLIT): Add an explanation
	  why IFS is restored so late; thank you, Ralf, for reminding us.

2006-03-15  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Pretty Help Strings): No need to use cached
	  variables in the examples.

2006-03-14  Romain Lenglet  <rlenglet@users.forge.objectweb.org>

	* doc/autoconf.texi (several sections): Cleaned up documentation for
	macros in erlang.m4.

2006-03-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* tests/autotest.at (AT_NO_CMDSUBST): New macro to determine
	failure condition for `$(cmd)' style command substitutions.
	(Parenthetical command substition, Multiline parenthetical
	command substition): Use it.

	* doc/autoconf.texi (Special Shell Variables): Missing word.
	Reported by Keith Marshall <keith.marshall@total.com>.

	* lib/m4sugar/m4sh.m4 (_AS_PATH_WALK): Do not forget to reset
	IFS even in case of empty `$PATH'.

2006-03-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autotest/general.m4 (AT_INIT) <at_optarg>: Optimize
	`expr' away if there is nothing to do.
	< --keywords >: Simplify and robustify argument handling.
	Revert erroneous comment from 2005-08-23.  Extend to allow
	keyword negation with `!'.
	Update help message.  Remove broken code to prevent running
	tests multiple times.
	* doc/autoconf.texi (testsuite Invocation) < --keywords >:
	Update and fix the documentation accordingly.
	* tests/autotest.at (Keywords): Renamed to..
	(Keywords and ranges): .. this.  Extended to make sure negated
	keywords, keywords taken from AT_SETUP arguments, and numeric
	test ranges work, and that matching is case-insensitive.

2006-03-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/types.m4 (_AC_CHECK_TYPE_NEW): Use a typedef to
	allow to pass unnamed structs even in C++.
	(AC_CHECK_SIZEOF):  Likewise.
	Also fix quoting error in `AC_MSG_FAILURE' arguments.
	* tests/semantics.at (AC_CHECK_ALIGNOF struct, AC_CHECK_SIZEOF
	struct): New tests for unnamed structs, each both native and
	cross-compiling.

	* lib/autoconf/c.m4 (AC_C_TYPEOF): Use typedef to avoid defining
	a structure inside a cast, for C++ conformance.
	* lib/autoconf/types.m4 (AC_CHECK_ALIGNOF): Likewise.
	Also fix quoting error in `AC_MSG_FAILURE' arguments.

	* lib/autoconf/c.m4 (AC_PROG_CC_STDC): If we cannot enable C99
	nor C89 mode, set `$ac_cv_prog_cc_stdc' to `no' instead of
	trying to execute the command `no'.

	* lib/autoconf/lang.m4 (AC_LANG_CONFTEST): AC_DEFUN this, not
	m4_define, so that the requirements of `AC_INCLUDES_DEFAULT' are
	expanded outside.

	* doc/autoconf.texi (autoconf Invocation): Fix typos in trace
	example.  Do not emphasize `$%', it is hardly new and special.
	Reported by Edouard Bechetoille <ebecheto@ens-lyon.fr>.

	* doc/autoconf.texi (Limitations of Usual Tools): Document
	OpenBSD and traditional `grep' failure to handle multiple
	patterns separated by newlines.

2006-03-10  Romain Lenglet  <rlenglet@users.forge.objectweb.org>

	* doc/autoconf.texi (several sections): Add documentation for macros
	in erlang.m4.

2006-03-10  Eric Blake  <ebb9@byu.net>

	* doc/autoconf.texi (Obsolete Macros): Fix wording of
	AC_TRY_LINK_FUNC.

2006-03-10  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Use @acronym more consistently for acronyms
	like BSD, GPL, LGPL.  Fix minor English typos.
	(AC_STDC_HEADERS, AC_PROG_GCC_TRADITIONAL):
	Mention that these macros are becoming obsolete.
	(AC_STDC_HEADERS, AC_PROG_CC, AC_C_CONST, AC_C_VOLATILE):
	Use more modern terminology for which standard is what.
	(AC_PROG_CC): Mention gcc first, and remove obsolete references to egcs
	and to ansi2knr.
	(AC_PROG_CXX): Likewise.
	(AC_C_PROTOTYPES, Test Functions, AC_LIBOBJ vs LIBOBJS):
	Remove obsolete discussion about how to port to K&R.
	(Guidelines for Test Programs): Suggest AC_HEADER_STDBOOL rather than
	the obsolescent AC_HEADER_STDC.
	(AC_FOO_IFELSE vs AC_TRY_FOO): Don't use #error; test programs
	can't rely on it.

2006-03-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* tests/c.at (AC_PROG_CPP without warnings, AC_PROG_CPP via CC):
	Remove stdin redirection from /dev/null to allow pipe to work.

2006-03-08  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/c.at (AC_PROG_CPP without warnings, AC_PROG_CPP via CC):
	Require that /lib/cpp include stdio.h correctly.  Solaris 10's
	doesn't.  Problem reported by D'Arcy A MacIsaac and diagnosed by
	Ralf Wildenhues.

2006-03-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_SED_CMD_LIMIT): The limit for
	HP-UX sed is 99 commands, not 100.
	(_AC_OUTPUT_FILES_PREPARE): Do not count the `}' of an
	_AC_SUBST_FILES fragment.  Separate `{' and `r' commands by
	newline for portability.
	* tests/torture.at (Torturing config.status): Also test 100
	AC_SUBST_FILE invocations.  Fix test to actually verify the
	AC_CONFIG_FILES output.
	* doc/autoconf.texi (Limitations of Usual Tools): Document HP-UX
	command, label, and read-file `r' limits.  Unify HP-UX spelling.

	* tests/Makefile.am (edit, $(wrappers)): Do not use `$<' in
	non-suffix rule.
	($(TESTSUITE_GENERATED_AT)): Use `$(srcdir)` for the benefit of
	non-GNU make.
	(autoconfdir, $(AUTOCONF_FILES)): Likewise.
	* tests/mktests.sh: Small shell portability fixes.

2006-03-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Caching Results): Fix the examples to use a
	recommended quoting style and discard unwanted output.

2006-03-05  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autotest/general.m4 (_AT_NORMALIZE_TEST_GROUP_NUMBER): New macro.
	(AT_INIT): Use it, to remove arbitrary limit of 999,999 test
	cases, and to work around Tru64 expr bug.

2006-03-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Usual Tools): Mention Tru64
	expr bug that turns the result of a regex match into a number if
	possible.

2006-03-04  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/types.m4 (AC_CHECK_ALIGNOF): Work around
	HPUX compiler bug, similarly to AC_CHECK_SIZEOF, as documented
	in section `Specific Compiler Characteristics'.

2006-03-04  Eric Blake  <ebb9@byu.net>

	* lib/autoconf/functions.m4 (AC_FUNC_STRERROR_R): Avoid unused
	variable warning.

2006-03-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADER): Force correct
	order of variable initialization, so even the Solaris 2.6 shell
	can create a config header correctly.  Fixes lots of test suite
	failures.

2006-02-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Text processing Macros): New node to
	document the m4sugar macros m4_re_escape, m4_tolower,
	m4_toupper, m4_split, m4_normalize, m4_append, m4_append_uniq.

2006-02-22  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/libs.m4 (_AC_PATH_X_DIRECT): Fix typo:
	XrmInitialize (0) -> XrmInitialize ().
	Reported by Toshio Kuratomi.

2006-02-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (AS_IF): Extend to allow more than one
	test, as in `if tests; then cmd1; elif ...; else ...; fi'.
	* doc/autoconf.texi (Programming in M4sh): Adjusted.
	* tests/m4sh.at (AS_IF and AS_CASE): Test this.  Also make sure
	both macros are defun'ed so that required macros are evaluated
	outside.

	* doc/autoconf.texi (Prerequisite Macros): State more precisely
	where a required macro will be expanded.
	(Coding Style): Another reason not to use `m4_define'.

2006-02-21  Eric Blake  <ebb9@byu.net>

	* lib/autoconf/general.m4 (_AC_LIBOBJ): Minor optimization.

2006-02-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Looping constructs): New node, to
	document m4_for, m4_foreach, m4_foreach_w, and mention
	obsolete AC_FOREACH.
	(Obsolete Macros): Document AC_FOREACH.
	* lib/m4sugar/m4sugar.m4 (_m4_for): Fix declaration comment.
	(m4_for): Fix to never loop (almost) endlessly, work correctly
	with arithmetic expressions in arguments, a step of zero or
	non-integer multiple of the interval, and avoid integer
	overflow.
	* tests/m4sugar.at: New test for m4_for, m4_foreach, and
	m4_foreach_w.

2006-02-20  Romain Lenglet  <rlenglet@users.forge.objectweb.org>

	Add basic support for Erlang, both for configuring Erlang/OTP
	tools, and Erlang as a conf test language.
	* lib/autoconf/erlang.m4: New file.
	* lib/autoconf/autoconf.m4: Add erlang.m4.
	* lib/autoconf/Makefile.am (dist_autoconflib_DATA): Likewise.
	* lib/freeze.mk (autoconf_m4f_dependencies): Likewise.
	* NEWS: Add short description of new macros.
	* THANKS: Add Romain Lenglet.

2006-02-20  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Shellology) <pdksh>: Document that pdksh as
	native /bin/sh may not set KSH_VERSION (seen on OpenBSD).

2006-02-15  Eric Blake  <ebb9@byu.net>

	* lib/autoconf/general.m4 (AC_CHECK_DECL): Avoid unused variable
	warning.

2006-02-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (AS_CASE): New macro.
	(_AS_CASE): Private helper macro.
	* tests/m4sh.at: Basic tests for AS_IF and AS_CASE.
	* doc/autoconf.texi (Programming in M4sh): Document AS_CASE.
	Fix syntax of AS_IF description
	(Prerequisite Macros): Mention AS_IF and AS_CASE as workarounds
	for the AC_REQUIRE mess.
	* NEWS: Mention AS_CASE, AS_BOURNE_COMPATIBLE, and
	AS_SHELL_SANITIZE.

2006-02-14  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Minor style cleanup.
	Be consistent about spaces after commas.
	Insert [] where empty args look a bit funny.
	Fix some "i.e." and "e.g." usages.
	Try to avoid "X/Y" usages.
	Don't be pedantic about "ISO C99"; just say C99.
	Prefer GNU style for spaces in front of parens.
	(Function Portability): Comment about C89 versus C99
	signed integer division.
	(Particular Headers): Use current gnulib style for dirent
	includes.

2006-02-14  Stepan Kasal  <kasal@ucw.cz>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoupdate.in (handle_autoconf_macros): Fix updating of
	macros without parameters.
	* lib/autoconf/autoupdate.m4 (AU_ALIAS): Likewise.
	* doc/autoconf.texi (Obsoleting Macros): Document AU_ALIAS.
	* tests/tools.at (autoupdating AU_ALIAS): New test for AU_ALIAS
	`$#' bug.
	(autoupdate): Updated to match AU_ALIAS fix.

2006-02-13 Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Programming in M4sh): Document
	AS_BOURNE_COMPATIBLE and AS_SHELL_SANITIZE.

2006-02-13  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE): Renamed to..
	(AS_BOURNE_COMPATIBLE): ..this.
	(_AS_RUN, AS_SHELL_SANITIZE): Adjusted all callers.

2006-02-12  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/install.texi (Defining Variables): Tighten up the
	CONFIG_SHELL wording.

2006-02-12 Paul Eggert  <eggert@cs.ucla.edu>
	and Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE): Look at the output
	of (set -o) rather than testing whether (set -o posix) succeeds,
	to work around a bug in the AIX 5.3 shell.  Problem originally
	reportd by Howard Chu for libtool.

2006-02-10  J.T. Conklin  <jtc@acorntoolworks.com>

	* doc/autoconf.texi (Running the Compiler, Running the Linker):
	Changes the macro arguments in summaries to match the
	descriptions.

2006-02-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/install.texi (Defining Variables): Classify the `CONFIG_SHELL'
	hint as ``a workaround for a bug.''

2006-01-31  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* bin/autoreconf.in: New option `--no-recursive'.
	Improve wording for subpackages a bit.
	* doc/autoconf.texi (autoreconf Invocation): Updated.
	* NEWS: Updated.

	* doc/install.texi (Defining Variables): Put `CONFIG_SHELL'
	in environment of `configure', not the command line.
	Reported by Howard Chu <hyc@highlandsun.com>.

2006-01-25  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Builtins): Document the
	problem with "trap -".

2006-01-23  Steven G. Johnson  <stevenj@fftw.org>

	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS, _AC_FC_DUMMY_MAIN):
	(_AC_FC_MAIN, __AC_FC_NAME_MANGLING): Use _AC_LANG in check
	messages to differentiate Fortran and Fortran 77 tests.
	(AC_FC_SRCEXT, AC_FC_FREEFORM): Use AC_LANG_PUSH/POP instead of
	AC_LANG_ASSERT, to allow use in mixed-language projects.

2006-01-23  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/c.m4 (AC_LANG_FUNC_LINK_TRY(C)): Prefer "defined
	FOO" to "defined (FOO)".
	* lib/autoconf/functions.m4 (_AC_LIBOBJ_ALLOCA): Likewise.
	* lib/autoconf/headers.m4 (AC_HEADER_STAT): Likewise.
	* lib/autoconf/specific.m4 (AC_XENIX_DIR): Likewise.
	* tests/tools.at (ifnames): Likewise.

2006-01-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (AS_TMPDIR): Do not pass `-q' to mktemp.
	* lib/Autom4te/General.pm (mktmpdir): Likewise.
	(END): Improve error message a bit.
	Reported by Bruce Korb <bkorb@gnu.org>.

2006-01-12  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Ignore
	`-LIST:' and `-LNO:', for PathScale 2.3 compilers.

2006-01-11  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Header Portability): On Solaris 8, sys/ptem.h
	requires sys/stream.h.  Reported by Oliver Kiddle.

2006-01-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	    Stepan Kasal  <kasal@ucw.cz>

	* lib/autotest/general.m4 (AT_INIT): When ensuring writability
	before the removals of test dirs, use `find' to avoid modification
	of symlinked directories.

2006-01-11  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (AC_F77_DUMMY_MAIN, AC_FC_DUMMY_MAIN):
	Don't ignore the macro arguments.

2006-01-11  David Thompson  <dthompsn@vizsolutions.com>

	* lib/autoconf/c.m4 (_AC_PROG_CXX_EXIT_DECLARATION): Add `exit'
	declaration that works for MSVC.

2006-01-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/lang.m4 (_AC_COMPILER_OBJEXT_REJECT):
	Add `*.map' and `.inf' for Green Hills compiler.
	Reported by Stefan Seefeld <stefan@codesourcery.com>.

	* lib/m4sugar/m4sugar.m4 (m4_text_wrap): Handle quadrigraphs
	correctly: pad with spaces after FIRST_PREFIX if necessary,
	and compute string lenghts with `m4_qlen' instead of `m4_len'.
	* lib/m4sugar/m4sh.m4 (AS_HELP_STRING): Comments updated.
	* tests/m4sh.at (AS_HELP_STRING): Test extended.
	* NEWS: Updated.
	Reported by numerous people, numerous times.

2006-01-05  Paul Eggert  <eggert@cs.ucla.edu>

	* bin/autoconf.as, bin/autoheader.in, bin/autom4te.in
	* bin/autoreconf.in, bin/autoscan.in, bin/autoupdate.in, bin/ifnames.in:
	* lib/autoconf/general.m4, lib/autoconf/status.m4:
	* lib/autotest/general.m4, tests/local.at:
	Update copyright year to 2006.

	* Makefile.maint (sc_root_tests): Use the recommended style s/a/b/ for
	sed substitutions.
	* doc/autoconf.texi (Installation Directory Variables): Use s|a|b|
	for file names, again.  Reported by Noah Misch.
	(Coding Style): Explain that s|a|b| is preferred for file names.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): Prefer s/a/b/.
	(AC_OUTPUT_MAKE_DEFS): Likewise.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/m4sugar/m4sh.m4 (_AS_LINENO_PREPARE): Likewise.
	* tests/local.at (AT_CHECK_AUTOM4TE): Likewise.

	Fix Posix-conformance bugs re use of { command in sed scripts,
	and improve the sed-related documentation a bit.
	* doc/autoconf.texi (Installation Directory Variables): Use
	our own style advice re 's,a,b,' versus 's|a|b|'.  Use "Sed"
	rather than "sed" when talking about Sed in general.
	(Particular Programs): Likewise.
	(Coding Style): y is like s with respect to / and ,.
	(Limitations of Usual Tools): Document the weird restrictions
	that Posix has about { }.  Use better quoting.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE, _AC_OUTPUT_HEADER):
	Rewrite to conform to Posix rules about { } in sed scripts.
	* lib/m4sugar/m4sh.m4 (AS_DIRNAME_SED, AS_BASENAME_SED): Likewise.
	* tests/foreign.at (Libtool): Likewise.
	* tests/semantics.at (AC_CHECK_PROG & AC_CHECK_PROGS):
	Use our own style advice re 's,a,b,' versus 's|a|b|'.

2006-01-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4: Fix typo.

	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Ignore
	singly- or doubly-quoted arguments to `-cmdline', `-ignore',
	`-def', for the benefit of Portland `pgf90 -Mipa'.
	Reported by Christopher Hulbert <cchgroupmail@gmail.com>.

2006-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Update copyright (and other) dates to 2006.
	* doc/autoconf.texi (Shellology): Mac OS X 10.2 changed the default
	shell from zsh to bash.

2005-12-31  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/programs.m4 (_AC_PROG_GREP): Use $PATH_SEPARATOR;
	  ":" caused problems on OS/2-EMX.  Suggested by Andrew Belov.

2005-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Shell Substitutions): Warn about unbalanced
	parentheses in $(...).  Problem reported by Eric Blake.

2005-12-12  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools):
	Mention which characters can be escaped with \ in portable regular
	expressions used in grep, sed, expr.  Mention the leading ^ problem
	with expr.  Clean up some confusing wording.  Mention which
	grep options are portable.

2005-12-09  Stepan Kasal  <kasal@ucw.cz>

	* tests/local.at (AT_CHECK_AUTOM4TE): Fix typo in the comment.

2005-12-02  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Builtins): Fix typos in previous
	patch, noted by Ralf Wildenhues.

2005-12-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE): Try `set -o
	posix' unconditionally, for pdksh in `native sh' emulation.

2005-12-01  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Shellology): Document eval $? problem
	with ash.
	(Limitations of Builtins): Likewise.

2005-11-10  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Pass
	CONFIG_SHELL in the environment of the configure rerun.
	* doc/autoconf.texi (Here-Documents, config.status Invocation):
	Suggest passing CONFIG_SHELL absolute, and in the environment
	rather than as option.

2005-11-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE):
	Fix quoting of output line (triggered for many AC_SUBST_FILEs).
	Fix macro quoting.  Fix output for n * 98 substituted variables.

2005-11-08  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/status.m4 (_AC_OUTPUT_MAIN_LOOP): Initialize
	`tmp' to avoid file removal race.

2005-11-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Initialize
	ac_clean_files and LIBOBJS.

2005-11-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/programs.m4 (AC_CHECK_PROG, AC_PATH_PROG):
	Factor functionality to..
	(_AC_CHECK_PROG, _AC_PATH_PROG): these new macros, but only
	`AC_SUBST($1)' in the public version.
	(AC_CHECK_TOOL, AC_PATH_TOOL, AC_PATH_TARGET_TOOL)
	(AC_CHECK_TARGET_TOOL): Use internal versions for ac_ct_* and
	ac_pt_* variables.

2005-11-01  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/c.m4 (AC_PROG_CC_C_O): Remove the comment about 8+3
	filesystems.

2005-11-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* NEWS: Move AH_HEADER mention to right place.

2005-10-27  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/c.m4 (AC_PROG_CC_C_O): "conftst2" -> "conftest2"
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_C_O): Likewise.

2005-10-25  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/c.m4 (AC_PROG_CC_C_O): rm -f conftst2.*, not only
	conftst2.$ac_objext.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_C_O): Likewise.

2005-10-24  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/c.m4 (AC_PROG_CC_C_O): Use conftst2.o instead of
	conftest.o, to see whether the compiler really obeys; rm the object
	file before and after the test and register it with ac_clean_files.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC_C_O): Likewise.

2005-10-21  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES_PREPARE): When determining,
	the delimiter CEOF$ac_eof: fix quoting of CEOF[0-9]* and modify the
	code so that the most common case requires less forks.

2005-10-20  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Shell Substitutions}: Document that ${10} is
	not portable; thanks to Paul Eggert and Alexandre.

	* NEWS: Fix an old typo.

2005-10-20  Jim Meyering  <jim@meyering.net>

	* doc/autoconf.texi: Typo: s/feature/features/ in ``the features of
	the latter'', in two places.

2005-10-19  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Generating Sources): AC_LANG_PROGRAMS ->
	AC_LANG_PROGRAM, fixing a typo.  Don't give details about
	the inner workings of AC_LANG_FUNC_LINK_TRY.
	* lib/autoconf/c.m4 (AC_LANG_CALL(C)): Reformat to match
	AC_LANG_FUNC_LINK_TRY.  This involves returning the value returned
	by the function rather than ignoring it.
	(AC_LANG_FUNC_LINK_TRY(C)): Call the function rather than simply
	comparing its address.  Intel's interprocedural optimization was
	outsmarting the old heuristic.  Problem reported by
	Mikulas Patocka.

2005-10-19  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_SUBST): Remove an obsolete comment.

2005-10-05  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sugar.m4 (_m4_map): New macro.
	(m4_map, m4_map_sep): Use it.  Handle the empty list correctly.

2005-10-04  Stepan Kasal  <kasal@ucw.cz>

	* lib/autotest/general.m4 (AT_INIT): Really make the subtree writable
	before removing it (chmod -R u+rwx); there are three instances of this.

2005-10-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	    Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Balance parentheses.
	* lib/autotest/general.m4 (AT_INIT): If the test dir already exists,
	make its content writable before removing it.  Remove an errorneous
	comment from the end, where the logs of the failed tests are copied
	to the main log file.

2005-09-27  Stepan Kasal  <kasal@ucw.cz>

	* tests/semantics.at (AC_C_BIGENDIAN): Pass --force to autoheader,
	  in case the computer is too quick.  Double quote the configure.ac
	  snippets.

	* tests/local.at (AT_CHECK_AUTOCONF): Always pass --force to prevent
	  problems if the testsuite were running too fast.

2005-09-18  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/libs.m4 (_AC_PATH_X_DIRECT): Look for X11/Xlib.h
	and XrmInitialize rather than X11/Intrinsic.h and XtMalloc
	(which belong to Xt, not X itself).  See Debian bug 327655.
	* NEWS: Mention this.

2005-09-07  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/c.m4 (AC_LANG_SOURCE(C)): Remove an incorrect comment.

2005-09-06  Paul Eggert  <eggert@cs.ucla.edu>

	* config/move-if-change: Don't output "$2 is unchanged";
	suggested by Ben Elliston.  Handle weird characters correctly.

2005-09-06  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/libs.m4 (AC_SEARCH_LIBS): Merge the two AC_LINK_IFELSE
	  calls, so that the final expansion of this macro is shorter.
	  Create the conftest.$ac_ext outside the `for' loop, to speed the run.
	  Do not use `break' in the argument to AC_LINK_IFELSE, it would skip
	  the cleanup there.  Use AS_VAR_* macros, to be more general.
	* tests/semantics.at (AC_SEARCH_LIBS): Check for the cleanup.

	* lib/autoconf/general.m4: Use AS_IF where appropriate.

	* lib/m4sugar/m4sh.m4 (AS_IF): Use m4_default.

2005-09-01  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Configuration Headers): Add an index entry
	  for AH_HEADER.

2005-08-26  Pavel Roskin  <proski@gnu.org>

	* lib/autoconf/libs.m4 (_AC_PATH_X_XMKMF): Use shell variable
	XMKMF to locate xmkmf.  Make XMKMF precious.  Export CC when
	running xmkmf.

2005-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_VERSION_COMPARE_PREPARE):
	The previous patch didn't work, so try a better one.

2005-08-26  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Programming in M4sh) <AS_TR_CPP>: Fix m4 quoting
	in the example.  Reported by Bruno Haible.
	<AS_TR_SH>: Likewise.  Also modify the example to be more convincing:
	"if $undefined_var;" succeeds with my shell.

	* lib/autoconf/general.m4 (AC_CANONICAL_BUILD, AC_CANONICAL_HOST,
	AC_CANONICAL_TARGET): Define by AC_DEFUN, no need to use AC_DEFUN_ONCE;
	but change the m4_divert_text to m4_divert_once.

2005-08-25  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_VERSION_COMPARE_PREPARE):
	Work around bug in Solaris /usr/xpg4/bin/awk.
	The bug is present in at least Solaris 8 through 10.

2005-08-24  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_CANONICAL_SPLIT): Simplify; rejecting
	some evil values and relying on the fact that $* concatenates the
	parameters by the first character from IFS.

2005-08-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>,
	    Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_CONFIG_REGISTER_DEST): When the
	first header appears, define AH_HEADER.
	* doc/autoconf.texi (Configuration Headers): Document AH_HEADER.
	Update limitations about when to call AC_CONFIG_HEADERS.
	(Configuration Commands): Document that AC_CONFIG_COMMANDS_PRE
	parameter can call AC_SUBST, AC_DEFINE, or AC_CONFIG_FOOS; explain
	that AC_CONFIG_COMMANDS_PRE and AC_CONFIG_COMMANDS_POST are not
	``Configuration Actions''; fix their index entries.

	* lib/autotest/general.m4 (AT_INIT): Process multiple keywords
	options correctly.  Process N-M as M-N if M is smaller than N.
	Process ranges correctly so that N-N will run only N.
	Sort and uniquify the tests that will be run.  If there is more
	than one test, reinsert the banners for the tests.
	* tests/autotest.at (Keywords): Unmark XFAIL.

2005-08-23  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_DEFINE_Q): Strip the parameter list
	  before passing the macro name to AH_TEMPLATE.

	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): config.status
	  now opens log after option processing; in particular, --version
	  and --help do not touch config.log.

	* Makefile.maint: Revert the change from 2005-08-12.

2005-08-22  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_ARG_ENABLE, AC_ARG_WITH): Factor out
	  common code to...
	(_AC_ENABLE_IF, _AC_ENABLE_IF_ACTION): ... these new macros.

2005-08-21  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Using Autotest, testsuite Scripts)
	(Autotest Logs, Writing testsuite.at, testsuite Invocation):
	Language cleanup.

	* doc/autoconf.texi (Defining Symbols, Changed Results):
	Prepend to LIBS, not append, in examples.

2005-08-16  Stepan Kasal  <kasal@ucw.cz>

	When building in place, set srcdir="."; suggested by Tim Van Holder.

	* lib/autoconf/general.m4 (_AC_INIT_SRCDIR): Do this; to recognize
	  build in place, we need ac_pwd, and thus have to AC_REQUIRE ...
	(_AC_INIT_DIRCHECK): ... this macro and AC_DEFUN both of them.
	* lib/autoconf/status.m4 (_AC_SRCDIRS): Fix a comment: srcdir="."
	  does not mean "no --srcdir option".

2005-08-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* tests/autoscan.at (autoscan): New file.
	* tests/suite.at: Use it.
	* tests/Makefile.am (TESTSUITE_HAND_AT): Add it.
	Reported against Libtool by Gideon Go <gideon.go@gmail.com>.

	* tests/autotest.at (Keywords): Test keywords combinations.

2005-08-12  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.maint (GZIP_ENV): When checking the help text of gzip,
	  add "2>&1"; gzip 1.2.4 prints help on stderr.

2005-07-27  Stepan Kasal  <kasal@ucw.cz>

	* lib/autotest/general.m4 (_AT_DECIDE_TRACEABLE): The symbol at_reason
	was pushdef'ed twice while popped only once.  Push it only once.
	(_AT_CHECK): Cosmetic changes to the "case $at_status" command.

2005-07-26  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): The message is now
	prefixed by mere "===", not "configure: === ".

2005-07-25  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.maint: Update from Bison.

	* lib/m4sugar/m4sugar.m4 (m4_strip): Comment fix---change tab to
	"<tab>" in comment, so that the point is understandable.

2005-07-25  Stepan Kasal  <kasal@ucw.cz>

	Rewrite substantial part of lib/autoconf/status.m4.
	The main change is that CONFIG_FILES, CONFIG_HEADERS, CONFIG_LINKS,
	and CONFIG_COMMANDS are not processed in four separate loops.
	Instead, there is one main loop.  This alows that the common code
	is expanded only once, thus config.status (and configure) is smaller.

	The registration mechnism in AC_CONFIG_FILES and cousins also changed;
	the AC_LIST_FILES and cousins macros are no longer used.

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS,
	_AC_OUTPUT_LINKS, _AC_OUTPUT_COMMANDS): Renamed to ...
	(_AC_OUTPUT_FILE, _AC_OUTPUT_HEADER, _AC_OUTPUT_LINK,
	_AC_OUTPUT_COMMAND): ..., respectively.  These macros no longer
	contain the initialization, nor the for loop, nor the associated
	commands; all these go to ...
	(_AC_OUTPUT_MAIN_LOOP): ... this new macro, called from
	_AC_OUTPUT_CONFIG_STATUS.
	(_AC_CONFIG_SPLIT, _AC_CONFIG_SPLIT_SOURCE_DEST, _AC_CONFIG_SPLIT_FILE_IN):
	Nuked; the code was merged into _AC_OUTPUT_MAIN_LOOP.
	(_AC_OUTPUT_FILE): The creation of the sed script ...
	(AC_OUTPUT): ... and the setup of ac_vpsub goes to ...
	(_AC_OUTPUT_FILES_PREPARE): ... a new macro, also called from
	_AC_OUTPUT_MAIN_LOOP.
	(_AC_CONFIG_FILES, _AC_CONFIG_HEADERS, _AC_CONFIG_LINKS,
	_AC_CONFIG_COMMANDS): Use ...
	(_AC_CONFIG_FOOS): ... this new macro, which uses these ...
	(_AC_CONFIG_REGISTER, _AC_CONFIG_REGISTER_DEST): ... new macros.
	(_AC_CONFIG_FILE, _AC_CONFIG_HEADER, _AC_CONFIG_LINK,
	_AC_CONFIG_COMMAND, _AC_CONFIG_DEPENDENCIES): No longer needed.
	(_AC_CONFIG_DEPENDENCY): Update, it uses these ...
	(_AC_CONFIG_DEPENDENCY_DEFAULT, _AC_FILE_DEPENDENCY_TRACE_COLON):
	... new macros.
	(_AC_CONFIG_UNIQUE): Update.
	(AC_LIST_FILES, AC_LIST_HEADERS, AC_LIST_LINKS, AC_LIST_COMMANDS):
	Replaced by this ...
	(_AC_LIST_TAGS): ... new common macro.
	(AC_LIST_FILE_COMMANDS, AC_LIST_HEADER_COMMANDS, AC_LIST_LINK_COMMANDS,
	AC_LIST_COMMAND_COMMANDS): Replaced by this ...
	(_AC_LIST_TAG_COMMANDS): ... new common macro.
	(_AC_CONFIG_COMMANDS_INIT): Moved top to the `registration' section;
	this didn't belong to the `config commands' section.
	(_AC_OUTPUT_COMMANDS_INIT): Don't initialize, m4_ifdef is our friend.
	(AC_CONFIG_COMMANDS_PRE, AC_OUTPUT_COMMANDS_PRE,
	AC_CONFIG_COMMANDS_POST): Moved to a new section, these didn't belong
	to the `config commands' section either.
	(AC_CONFIG_SUBDIRS): Don't touch diversion DEFAULTS.
	(_AC_LIST_SUBDIRS): Don't initialize, m4_ifdef is our friend.

	... and many changes to the comments nearby.

	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): At the end of the day,
	set ac_subdirs_all='_AC_LIST_SUBDIRS'.
	* tests/torture.at (AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS):
	AC_CONFIG_COMMANDS(command:input,...) is no longer allowed.
	(#define header templates): The comment at the top of the generated
	header now includes the name(s) of the source file(s).

	Several unrelated small changes:

	* lib/autoconf/general.m4 (AC_CACHE_VAL): Be didactic, quote the first
	parameter to AC_DIAGNOSE.
	* lib/autoconf/status.m4 (AC_CONFIG_SUBDIRS): Likewise.
	(_AC_LINK_FILES_CNT): Don't AU_DEFUN this; it causes confusing messages
	with autoupdate; use m4_define_default inside AU_DEFUNed AC_LINK_FILES.
	(AC_OUTPUT): In the compatibility code, use m4_ifvaln, to be consistent
	with AU::AC_OUTPUT.
	(AU::AC_OUTPUT): Don't double-quote $2 and $3, the compatibility code
	in AC_OUTPUT doesn't double-quote it either.
	* tests/tools.at (autoupdate): AU::AC_OUTPUT no longer double-quotes the
	parameters.

2005-07-10  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Document which
	versions of Portland Group compiler produce single- and double-quoted
	-cmdline argument.  Reported by Steven G. Johnson <stevenj@fftw.org>
	and Ole Holm Nielsen <Ole.H.Nielsen@fysik.dtu.dk>.

2005-07-07  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/local.at (AT_CONFIG_CMP): Ignore lines like "LIBS=''" too.
	This is a corrected version of yesterday's patch.

2005-07-07  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Report the full
	path, too; insert a "===" to emphasize the line.

	* lib/autoconf/general.m4 (AC_CANONICAL_BUILD): Rename
	  ac_cv_build_alias to ac_build_alias.
	(AC_CANONICAL_HOST, AC_CANONICAL_TARGET): Simplify.

	On 2005-02-24, an unintentional AC_SUBST([CC]) was introduced; this
	change eliminates it.  Problem reported by Alexandre Duret-Lutz.
	* lib/autoconf/general.m4 (_AC_ARG_VAR_PRECIOUS): Move the AC_SUBST ...
	(AC_ARG_VAR): ... here.
	(_AC_INIT_PREPARE): Call AC_SUBST for build_alias, host_alias and
	  target_alias.

	Keep a list of all precious variables and process them with one simple
	for loop, instead of expanding all commands, or, OTOH, complicated
	processing of output of "set".
	* lib/autoconf/general.m4 (_AC_ARG_VAR_PRECIOUS): Acumulate the
	variable names in new macro...
	(_AC_PRECIOUS_VARS): ... which will be assigned to ac_precious_vars.
	(_AC_ARG_VAR_STORE): New macro which writes to diversion PARSE_ARGS
	  a loop to assign all ac_env_* and ac_cv_env_* variables.
	(_AC_ARG_VAR_VALIDATE): Use shell variable ac_precious_vars, divert
	  to INIT_PREPARE.
	(_AC_INIT_DEFAULTS): At the end, if _AC_PRECIOUS_VARS is set, assign
	  its value to shell variable ac_precious_vars and call
	  _AC_ARG_VAR_STORE and _AC_ARG_VAR_VALIDATE.
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Don't call
	  _AC_ARG_VAR_VALIDATE.

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Move AC_LANG_PUSH(C)
	  and the AC_SUBSTs ...
	(AC_INIT): ... here.

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Changed the title of
	  the ac_subst_files section in config.log.

	* tests/local.at (AT_CONFIG_CMP): Revert Paul's previous change.

2005-07-06  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: New macro AC_C_TYPEOF.
	* doc/autoconf.texi (C Compiler): Document AC_C_TYPEOF.
	* lib/autoconf/c.m4 (AC_C_TYPEOF): New macro.
	* tests/c.at (C keywords): Test AC_C_TYPEOF.

	Fix problems reported by Nicolas Joly.
	* tests/base.at (Input/Output): Ignore 'loading site script' chatter.
	* tests/local.at (AT_CONFIG_CMP): Ignore lines like "LIBS=''" too.
	They are generated by the Tru64 v5.1B shell.

2005-07-05  Stepan Kasal  <kasal@ucw.cz>

	Fix my changes from 2005-07-01; reported by Noah Misch.
	* lib/autoconf/status.m4 (_AC_CONFIG_DEPENDENCIES): Fix the
	description, the macro now accepts only a single tag.
	(_AC_CONFIG_UNIQUE): Likewise; s/AC_File/[$1]/

	Fix cases when the varsions of Autoconf and Autotest don't match.
	Reported by Noah Misch.
	* lib/autoconf/autotest.m4 (AC_CONFIG_TESTDIR): Set also
	at_top_builddir, for compatibility with older autotest.
	* lib/autotest/general.m4 (AT_INIT): If at_top_build_prefix
	is not set, use at_top_builddir, for compatibility with older
	versions of autoconf.

2005-07-04  Paul Eggert  <eggert@cs.ucla.edu>

	* bin/autom4te.in ($m4): Catch usages like --nesting-limit=2048.
	Problem reported by Patrick Welche.

2005-07-03  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (AC_ARG_PROGRAM): Use &, not |, in
	sed substitution command, so that we allow | in program prefixes
	and program suffixes.  (& is a problem anyway; we're not fixing
	that here.)
	* lib/autoconf/status.m4 (AC_CONFIG_FILES): Likewise, for
	configure_input, top_builddir, srcdir, etc.
	* lib/autotest/general.m4 (AT_INIT): Likewise, for
	PATH_SEPARATOR in AUTOTEST_PATH.

2005-07-02  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/general.m4 (AC_SITE_LOAD): Rewrite the
	for loop over config.site files using `set', to allow
	directory names containing IFS characters.

2005-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_DIRCHECK): Remove the tests for
	directories with weird names.  Apparently some people like living
	on the edge.  However, improve the test that "pwd" actually does
	report a name for the working directory.
	* NEWS: Remove the claim that we test for funny chars in dir names.

2005-07-01  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_FOREACH): Make obsolete; it's
	replaced ...
	* lib/m4sugar/m4sugar.m4 (m4_foreach_w): ... by this new macro.
	* lib/autoconf/status.m4 (_AC_CONFIG_DEPENDENCIES, _AC_CONFIG_UNIQUE):
	Now accept a single tag, not whitespace separated list.
	(AC_CONFIG_SUBDIRS): Call _AC_CONFIG_UNIQUE in a m4_foreach_w loop.

2005-06-30  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Configuration Headers): Change the explanation
	about #include <config.h>.
	(Generic Functions): Mention the Gnulib project.
	(Limitations of Usual Tools) <sed>: Another minor rephrasing.

	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Use a here
	document to output the default config_* lists to config.status.
	Don't recognize option --file, if the functionality is not there.
	Likewise for --header; moreover, recognize --he and --h as shortcuts
	for --help in that case.

	* lib/autoconf/status.m4: Fix the order of the "sections", so that it
	matches the order of execution.  No code changed.

2005-06-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Fix also for
	single-quoted -cmdline argument in Portland Group compiler.
	Reported against LAM by Ole Holm Nielsen <Ole.H.Nielsen@fysik.dtu.dk>.

2005-06-30  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Automake-preselections): Preselect AC_SUBST_TRACE.

2005-06-29  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (File Descriptors): ksh doesn't pass open file
	descriptors to child processes; reported by Norman Gray.

2005-06-29  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_ARG_VAR): Move next to _AC_ARG_PRECIOUS.

	* lib/autoconf/general.m4 (AC_SUBST_TRACE): New macro, to be traced
	instead of AC_SUBST; proposed by Alexandre Duret-Lutz.
	(AC_SUBST): Call it.
	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES): Call AC_SUBST_TRACE for
	the directory specific variables; but don't call it for configure_input.

2005-06-28  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Reword recent
	addition.

2005-06-23  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Don't worry about spaces in bindir etc.  Only srcdir and working
	directory have inherent problems with special characters like spaces,
	due to limitations in Make syntax.  Problem reported by Alexandre
	Duret-Lutz.
	* lib/autoconf/general.m4 (_AC_INIT_DIRCHECK): Implement the above.
	Also, fix Tru64 porting problem with shell patterns,
	reported by Ralf Wildenhues.

2005-06-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Subdirectories): Fix markup typos.

2005-06-23  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/local.at (AT_CHECK_ENV): Simplify regexp slightly.

	Fix some more shell quoting problems.  Prompted by a bug report
	from Justace Clutter.
	* lib/autoconf/general.m4 (_AC_INIT_DIRCHECK): Put name of invalid
	variable into diagnostic.  Make the diagnostic an error, not a warning,
	because we really don't support spaces and suchlike in dir names.
	(_AC_INIT_SRCDIR): Allow special characters in $ac_unique_file.
	Don't worry about backslashes in srcdir; it can't happen now.
	(_AC_INIT_PARSE_ARGS): Allow weird characters in ac_optarg.
	Simplify ac_optarg handling.
	(_AC_ARG_VAR_VALIDATE): Remove unnecessary and inconsistent quotes.

2005-06-22  Stepan Kasal  <kasal@ucw.cz>

	Fix AT_CONFIG_CMP for Solaris hosts; idea from Ralf Menzel.
	* configure.ac: Call AC_PROG_EGREP and AC_PROG_SED.
	* tests/atlocal.in: Propagate $EGREP and $SED.
	* tests/local.at (AT_CHECK_ENV): Use $EGREP, not $GREP -E.
	(AT_CONFIG_CMP): Use sed instead of grep plumbing.

	* doc/autoconf.texi (Limitations of Usual Tools) <grep>: Mention
	that '\|' is not allowed in BREs; recommend using newline separated
	list of patterns instead of multiple -e options.

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Remove an old comment.

	* lib/autoconf/general.m4 (_AC_CANONICAL_SPLIT): Use AC_SUBST/2.

2005-06-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (_AC_CANONICAL_SPLIT): Fix typo.

2005-06-21  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Limitations of Usual Tools) <sed>: Document that
	b, t, r, w commands require single space, while : cannot have any.
	(Special Shell Variables): Fix sed code this in the example.
	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADERS): Likewise; and fix a typo.
	* lib/autotest/general.m4 (AT_ARG_OPTION): Fix typo in the description.

	* lib/m4sugar/m4sugar.m4 (m4_split): If the parameter is empty,
	expand to the empty list.  Don't use two pairs of m4_changequote,
	it's not necessary.

2005-06-20  Derek Price  <derek@ximbiot.com>

	* lib/m4/programs.m4 (AC_PROG_YACC): Declare YACC & YFLAGS precious.

2005-06-17  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (as_awk_strverscmp): Port to Solaris /bin/awk.
	* doc/autoconf.texi:
	Don't mention Solaris versions so much, if a
	problem is common to all extant versions of Solaris.  Say "SunOS
	4" instead of "SunOS" for SunOS 4.
	(awk): Mention more of the limitations of traditional Awk.
	(cat): Don't talk about cat -v.

2005-06-16  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_VERSION_COMPARE_PREPARE): New macro.
	(AS_VERSION_COMPARE): New macro.  The API is taken from CVS,
	but the implementation is entirely different and is designed
	to be compatible with glibc strverscmp.
	* tests/m4sh.at (AS_VERSION_COMPARE): New test.

	* doc/autoconf.texi (Limitations of Usual Tools): Mention expr bug
	on Mac OS X 10.4 reported by Peter O'Gorman in:
	http://lists.gnu.org/archive/html/autoconf-patches/2005-06/msg00041.html
	* lib/autoconf/general.m4 (_AC_CANONICAL_SPLIT):
	Use shell builtins rather than 'expr', to work around expr bug.

2005-06-10  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: "filesystem" -> "file system".
	"behaviour" -> "behavior".
	Warn about \(...\)* in Solaris sed (written by Ralf Menzel).
	* lib/autoconf/general.m4: Omit blank after ":" sed command,
	as per POSIX.
	* lib/m4sugar/m4sh.m4: Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADERS): Work around problem
	with Solaris sed.  Fix by Ralf Menzel and Stepan Kasal.

	* man/Makefile.am (MOSTLYCLEANFILES): Add $(srcdir)/*.t.
	(.x.1): Ignore the time stamp in the .TH line when deciding whether
	to update the man page.  That way, we don't have to check in new
	man pages every month.

	* lib/m4sugar/m4sh.m4 (AS_VAR_TEST_SET): Work even if $1 contains
	quotes and backslashes.  Patch from Derek Price.

2005-06-10  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Programming in M4sh): Document AS_TR_CPP &
	AS_TR_SH.

2005-06-08  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autotest/general.m4 (AT_INIT): Don't accept Solaris 9's diff
	-u, since it outputs chatter if the input files are the same.
	Problem reported by Ralf Menzel.

2005-06-08  Derek Price  <derek@ximbiot.com>

	* lib/m4sugar/m4sugar.m4: Undefine include & sinclude rather than
	renaming them since they are about to be redefined anyhow.

2005-06-08  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Redefined M4 Macros): Add index entries for most
	redefined M4 macros to this node.  Document m4_include & m4_sinclude.
	Move m4_undefine to alphabetical order.

2005-06-07  Paul Eggert  <eggert@cs.ucla.edu>

	* README: Recommend GNU M4 1.4.3 or later.
	* doc/autoconf.texi (Introduction): Likewise.
	Reword to avoid some formatting glitches.
	Use "#!/bin/sh", not "#! /bin/sh"; the space isn't needed these days.
	Clarify explanation of HP compiler bug.
	Redo example output tp match current CVS snapshot.
	Use @example.org in email addresses when the examples
	might get inadvertently cut-and-pasted into user code.
	Remove example of autom4te usage that doesn't seem to work now.
	Use modern AC_INIT (except when the example is meant to be
	shown with Autoconf 2.13).
	Update ksh info for Solaris 9 and later.
	KB -> kB.
	Modernize description of Automake versions a bit.
	Don't claim a future version of Autoconf is near.
	* doc/install.texi: Reword to avoid some formatting glitches.

2005-06-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi: Add [] to examples, so that the manual
	follows its own advice about quoting better.
	Reword to avoid some formatting glitches.
	* doc/installt.exi: Reword to avoid some formatting glitches.

	* doc/autoconf.texi (Limitations of Builtins) <case>: Mention
	Tru64 ksh pattern matching bug.  Reported against Libtool by
	Albert Chin <libtool@mlists.thewrittenword.com> and
	Nicolas Joly <njoly@pasteur.fr>.

2005-06-06  Stepan Kasal  <kasal@ucw.cz>

	m4_cdr of one-member list was [[]] (one-member list containing an
	empty string) instead of [] (an empty list.  Callers were skewed to
	match this misbehaviour.  As a consequence of this:
	 - m4_foreach([x], [], [foo]) expanded to `foo', while
	 - the expansion of m4_foreach([x], [[]], [foo]) was empty.
	This bug has been fixed:

	* lib/m4sugar/m4sugar.m4 (m4_cdr): If only one argument is given,
	  expand to an empty string; print error msg if called without
	  an argument list.
	(m4_foreach, m4_map, m4_map_sep): Don't expect the previous
	  misbehaviour; handle [] and [[]] correctly.

2005-06-06  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Nuke ac_max_here_lines.
	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADERS): Simplify the sed
	  scripts created and the loop applying them, use _AC_SED_CMD_LIMIT.

2005-06-06  Ralf Menzel	<menzel@ls6.cs.uni-dortmund.de>  (trivial change)

	* doc/autoconf.texi (Limitations of Usual Tools): Solaris' awk cannot
	  swallow records with more than 99 fields.
	* lib/autotest/general.m4 (AT_INIT): Use the awk builtin `split' to
	  parse the long line.

2005-06-04  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Limitations of Usual Tools): AIX awk cannot
	  swallow literals longer than 399.  Reported by Ralf Wildenhues.
	* lib/autotest/general.m4 (AT_INIT): Pass $at_groups though stdin,
	  to workaround this limitation.

2005-06-03  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Find g95 in addition
	to gfortran, and make these the first two compiler names
	checked (following the general autoconf preference for gcc).

2005-06-03  Stepan Kasal  <kasal@ucw.cz>

	* tests/Makefile.am (check_SCRIPTS): Set to $(wrappers).
	(DISTCLEANFILES): Remove $(check_SCRIPTS).
	(testsuite): Make sure autotest.m4f is up-to-date before using it.

2005-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autotest/general.m4 (AT_INIT): Don't create a regular
	expression of unbounded size when processing the --list
	option.  This runs afoul of a limit of 399 bytes per regular
	expression on AIX.  Problem reported by Ralf Wildenhues.

2005-06-01  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Note yesterday's changes to AC_SUBST and AC_SUBST_FILE.
	* doc/autoconf.texi (Particular Headers): Reword example
	for multiline stdbool replacement.
	(Setting Output Variables): Reword text a bit.  Don't
	give all the details about |#_!!_#|.
	Reword description of line replacement.

2005-05-31  Dan Manthey  <dan_manthey@partech.com>

	* lib/autoconf/status.m4 (_AC_OUTPUT_FILES): Output variables may
	now contain newlines, and substituted files must be referenced on
	a line alone; the sed scripts to substitute them are now very
	different.
	(_AC_SED_CMD_LIMIT): Added; single place to store limit on how many
	commands can be put in a sed script portably.
	* doc/autoconf.texi (Setting Output Variables): Document above
	changes.  (Particular Header Checks) <AC_HEADER_STDBOOL>: Give exaple
	use of multiline substitution.
	* tests/torture.at: No longer expect substitution of newline to fail.

2005-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_SHELL_FN_WORK): Fix diagnostics.
	From Ralf Menzel (trivial change).

2005-05-25  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/local.at: Don't attempt to check for negated character
	classes in shell scripts.  The test was too brittle.

2005-05-25  Stepan Kasal  <kasal@ucw.cz>

	* bin/autoconf.as: Don't use "shift 2"; it's not portable enough.
	* doc/autoconf.texi (Limitations of Builtins): Document this
	  limitation.

2005-05-24  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (_AS_ECHO_LOG): New macro to factor out
	  common code; used in many places in the tree.
	(AS_ESCAPE): Make the pattern a bit simpler; use \& insetad of \1.
	(_AS_ECHO_UNQUOTED): Move the macro lower; no code change.

	* lib/m4sugar/m4sugar.m4 (m4_ifset): Use m4_ifval.

	* lib/autoconf/general.m4 (_AC_INIT_SRCDIR): Merge the two error
	  messages when ac_unique_file is not found.
	(AC_CONFIG_MACRO_DIR): Simplify the `if' at the end.
	(AC_MSG_CHECKING, AC_MSG_RESULT): Put braces around the two echo
	  commands, for consistency with AC_MSG_ERROR and such.

	* bin/autoconf.as: Make more use of "shift 2" in option processing.

	* bin/Makefile.am: Merge the two rules for creating scripts.

2005-05-23  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_MSG_RESULT_UNQUOTED): Make
	obsolete; it was never documented.
	(AC_CACHE_CHECK): Use AC_MSG_RESULT instead.

2005-05-20  Stepan Kasal  <kasal@ucw.cz>

	* NEWS: @top_builddir@ is now a dirname, ac_top_builddir will follow.
	* lib/autoconf/status.m4 (_AC_SRCDIRS): Rename ...
	(ac_top_builddir): ... this ...
	(ac_top_build_prefix): ... to this; the old name is also kept, for
	  backward compatibility.
	(ac_top_builddir_sub): New variable, without the trailing slash,
	  always nonempty.
	(_AC_OUTPUT_FILES): s/@top_builddir@/$ac_top_builddir_sub/
	* doc/autoconf.texi (Configuration Actions): Rename
	  ac_top_builddir to ac_top_build_prefix.
	* lib/autoconf/autotest.m4 (AC_CONFIG_TESTDIR): Rename
	  at_top_builddir to at_top_build_prefix.
	* lib/autotest/general.m4 (AT_INIT): Likewise.

2005-05-20  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Simplify the init
	  of confdefs.h .

2005-05-17  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sugar.m4 (m4_text_wrap): Don't m4_quote the second
	  argument to m4_foreach.  I guess it was necessary in the past,
	  but I think it's a no-op now.

2005-05-17  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_INIT_HELP): Merge two consecutive
	  ``cat <<_ACEOF'' commands to one.
	(_AC_CANONICAL_SPLIT): Use expr, not ``echo|sed.''
	* lib/autoconf/status.m4: On various places, use expr instead of
	  ``echo|sed.''
	(_AC_CONFIG_SPLIT, _AC_CONFIG_SPLIT_SOURCE_DEST):
	(_AC_CONFIG_SPLIT_FILE_IN): New macros, to factor out common code.
	* lib/autotest/general.m4 (AT_INIT): Use expr to get the numbers from
	  a range.
	* tests/local.at (AT_CHECK_SHELL_SYNTAX): Use awk to search for
	  the wrong patterns between ``case'' and ``esac.''  The previous
	  code had false positives.

2005-05-14  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/functions.m4 (_AC_LIBOBJ_ALLOCA): Prepend ${LIBOBJDIR},
	as on 2005-05-02.
	* doc/autoconf.texi (Particular Functions) <AC_FUNC_ALLOCA>:
	Mention LIBOBJDIR.

2005-05-13  Paul Eggert  <eggert@cs.ucla.edu>

	* AUTHORS, BUGS, COPYING, ChangeLog, ChangeLog.0, ChangeLog.1,
	ChangeLog.2, GNUmakefile, HACKING, Makefile.am, Makefile.cfg,
	Makefile.maint, NEWS, README, README-alpha, TODO, configure.ac,
	bin/Makefile.am, bin/autoconf.as, bin/autoheader.in,
	bin/autom4te.in, bin/autoreconf.in, bin/autoscan.in,
	bin/autoupdate.in, bin/ifnames.in, config/Makefile.am,
	config/config.guess, config/config.sub, config/elisp-comp,
	config/m4.m4, config/mdate-sh, config/missing, config/texinfo.tex,
	doc/Makefile.am, doc/fdl.texi, lib/Makefile.am, lib/autom4te.in,
	lib/freeze.mk, lib/Autom4te/C4che.pm, lib/Autom4te/ChannelDefs.pm,
	lib/Autom4te/Channels.pm, lib/Autom4te/Configure_ac.pm,
	lib/Autom4te/FileUtils.pm, lib/Autom4te/General.pm,
	lib/Autom4te/Request.pm, lib/Autom4te/Struct.pm,
	lib/Autom4te/XFile.pm, lib/autoconf/Makefile.am,
	lib/autoconf/autoconf.m4, lib/autoconf/autoheader.m4,
	lib/autoconf/autoscan.m4, lib/autoconf/autotest.m4,
	lib/autoconf/autoupdate.m4, lib/autoconf/c.m4,
	lib/autoconf/fortran.m4, lib/autoconf/functions.m4,
	lib/autoconf/general.m4, lib/autoconf/headers.m4,
	lib/autoconf/lang.m4, lib/autoconf/libs.m4,
	lib/autoconf/oldnames.m4, lib/autoconf/programs.m4,
	lib/autoconf/specific.m4, lib/autoconf/status.m4,
	lib/autoconf/types.m4, lib/autoscan/Makefile.am,
	lib/autoscan/autoscan.list, lib/autoscan/autoscan.pre,
	lib/autotest/Makefile.am, lib/autotest/autotest.m4,
	lib/autotest/general.m4, lib/emacs/Makefile.am,
	lib/emacs/autoconf-mode.el, lib/emacs/autotest-mode.el,
	lib/m4sugar/Makefile.am, lib/m4sugar/m4sh.m4,
	lib/m4sugar/m4sugar.m4, man/Makefile.am, tests/Makefile.am,
	tests/atlocal.in, tests/autotest.at, tests/base.at, tests/c.at,
	tests/compile.at, tests/foreign.at, tests/fortran.at,
	tests/local.at, tests/m4sh.at, tests/m4sugar.at, tests/mktests.sh,
	tests/semantics.at, tests/suite.at, tests/tools.at,
	tests/torture.at, tests/wrapper.as:
	Update FSF postal mail address.

2005-05-13  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_CONFIG_LIBOBJ_DIR): Remove the broken
	  check.
	* lib/m4sugar/m4sugar.m4 (m4_bmatch): Halt with error if we don't get
	  enough arguments, similarly as in m4_bpatsubsts.

2005-05-12  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_SRCDIRS): Simplify the computation
	  of absolute paths.

2005-05-11  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Make the check
	  for absolute directory names in one loop.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Handle
	  abbreviations of --version and --debug.

2005-05-10  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Autoconf Language): Be more precise about
	quoting rules.  Problems noted by Stepan Kasal.
	Also, throughout this document, be more careful about white space.
	"blank", "white space", and "space" all have different meanings
	and we should be careful to say what we mean.

2005-05-05  Paul Eggert  <eggert@cs.ucla.edu>

	Fix C++ related problems reported by Werner Lemberg.
	* doc/autoconf.texi (C++ Compiler): Mention .cpp extension.
	* lib/autoconf/c.m4 (AC_LANG(C++)): Set ac_ext to .cpp, not .cc.
	* lib/autoconf/types.m4 (AC_TYPE_SIGNAL): Simplify test, to
	avoid problems with C++ and throw.
	* tests/compile.at: .cpp, not .cc.

	* tests/semantics.at: Prepend LIBOBJDIR, as per 2005-05-02 change.

2005-05-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Generic Functions): Typos.

2005-05-02  Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/general.m4 (_AC_LIBOBJS_NORMALIZE): Prepend each
	object named in LIBOBJS and LTLIBOBJS with the ${LIBOBJDIR}, as
	set by latest automake.

2005-05-01  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): "expr '' \| ''"
	outputs 0 on GNU/Linux these days.

2005-04-29  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Autoconf Language): Add more description
	about quoting heuristics.
	(Limitations of Builtins): Describe "set -" problems.

2005-04-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autotest/general.m4 (AT_KEYWORDS): Separate by space,
	not newline.

	* doc/autoconf.texi (External Software): Replace AC_DEFINE_UNQUOTED
	by AC_DEFINE; it was a mistake.
	From bug reported against libtool by Dalibor Topic <robilad@kaffe.org>.

2005-04-25  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADERS): A tiny optimization.

2005-04-22  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (External Software): Quadrigraphs are not
	  processed correctly in AS_HELP_STRING; avoid this in the examples.
	* lib/m4sugar/m4sh.m4 (AS_HELP_STRING): Add a FIXME about quadrigraphs.
	* lib/m4sugar/m4sugar.m4 (m4_text_wrap): Likewise; and rephrase the
	  comment and reduce m4_default([foo], []) to [foo].
	(m4_strip): Update the explanation.

2005-04-19  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE, _AC_RUN_IFELSE):
	Remove core.conftest.* too; it's generated by Tru64 5.1.
	Problem reported by Jennis Pruett.
	* lib/autoconf/functions.m4
	(AC_FUNC_SETVBUF_REVERSED, AC_FUNC_UTIME_NULL):
	Don't bother to remove core files; AC_RUN_IFELSE should do that
	for you.

2005-04-19  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sugar.m4 (m4_bpatsubsts): Add the b- to comment, too.

2005-04-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Handle --docdir.
	Report from Horst Wente.

2005-04-15  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_ARG_VAR_VALIDATE): Fixed a typo in
	  the comment.

2005-04-14  Gregorio Guidi  <greg_g@gentoo.org>

	* doc/autoconf.texi (External Software, Package Options): Add
	  examples showing how to implement --with-* and --enable-* options.

2005-04-13  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Look for configure.ac
	as well as configure.in.  Problem reported by Gregorio Guidi.

2005-04-10  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Particular Functions): Use gnulib's current
	pattern for alloca snippet.

2005-04-04  Stepan Kasal  <kasal@ucw.cz>

	* lib/autotest/general.m4 (_AT_DECIDE_TRACEABLE): Fix a typo.

2005-04-01  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Generic Programs): Fix a typo.

2005-04-01  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autotest/general.m4 (AT_INIT): Don't assume that "date +%s"
	fails if %s isn't supported.  Problem reported by Ralf Wildenhues.

2005-03-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS):
	Merge `-z option' as well for the benefit of Solaris link flags.  Pass
	whole-archive (-zallextract, -zdefaultextract) options in the hope of
	unique libraries, for the Sun Fortran 95 8.0 compiler.  Bug reported
	against Libtool by Yury Puhalsky <pooh@cryptopro.ru>.

2005-03-22  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: The configure command now warns you if you attempt to use
	a directory whose name contains a special character like space,
	newline, or "\".
	* doc/autoconf.texi (Installation Directory Variables): Allow
	"," in file names.  Do not use \@; it's not a portable regexp.
	* bin/Makefile.am (edit): Likewise.
	* lib/Makefile.am (edit): Likewise.
	* tests/Makefile.am (edit): Likewise.
	* tests/semantics.at: Likewise.
	* tests/torture.at: Likewise.
	* lib/autoconf/general.m4 (AC_ARG_PROGRAM): Likewise.
	* lib/autoconf/status.m4 (_AC_SRCDIRS): Likewise.
	* doc/autoconf.texi (File System Conventions): Warn about
	unportable file names.
	* lib/autoconf/general.m4 (_AC_INIT_DIRCHECK): New macro.
	(AC_INIT): Use it.
	(_AC_INIT_SRCDIR): Use ac_pwd rather than invoking pwd.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Propagate
	ac_pwd, and quote srcdir.
	* lib/autotest/general.m4 (AT_INIT): Quote file name args.

	* doc/autoconf.texi: Fix some systematic formatting problems.
	".)"  needs a following @: if not at the end of a sentence, and
	similarly for "!)".  "etc." should be preceded by a comma.
	"n-th" -> "@var{n}th".  pdksh is still buggy, so update its date.

2005-03-22  Bruno Haible  <bruno@clisp.org>

	* doc/autoconf.texi (Input): Mention that AC_CONFIG_AUX_DIR's
	argument is often called 'build-aux'.

2005-03-07  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Quotation Rule Of Thumb): Mention that the
	  macro AC_TRY_LINK is obsolete.
	(Installation Directory Variables): Change `AC_OUTPUT_FILES' to
	  `AC_CONFIG_FILES'.

2005-02-24  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/c.m4 (AC_PROG_CC): Be more careful to skip
	  `/usr/ucb/cc'; use `cl.exe' to distinguish the MS compiler
	  from a Common Lisp's `cl'.
	(AC_PROG_CXX): Behave according to the documentation: don't
	  search for $ac_tool_prefix$CCC and $CCC, just set CXX=$CCC;
	  make the variable CCC precious; use `cl.exe', not `cl'.

2005-02-23  Paul Eggert  <eggert@cs.ucla.edu>
	    Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Redirect stdin from
	/dev/null, as "configure" shouldn't read stdin, and this insulates
	us from problems (e.g., when testing for "cl").  Also, do this
	redirection before invoking "hostname" or "uname", and keep the
	original input stream available via...
	(AS_ORIGINAL_STDIN_FD): ... this new macro.
	(_AC_PREPROC_IFELSE, _AC_COMPILE_IFELSE, _AC_LINK_IFELSE): Don't
	bother with "</dev/null" since it's now done at the top of
	'configure'.
	* lib/autoconf/c.m4 (AC_PROG_CC, AC_PROG_CXX): Likewise.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Likewise.
	* lib/autoconf/programs.m4 (_AC_PATH_PROG_FLAVOR_GNU): Likewise.
	* doc/autoconf.texi (File Descriptor Macros): New section.
	(Printing Messages): Mention it.
	* tests/base.at (Input/Output): New test.

2005-02-23  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_ECHO_N_PREPARE): Don't set ECHO_C to
	newline if neither \c nor -n work, as that would output two
	newlines.  Prefer -n to \c.  Reported by Stepan Kasal.

2005-02-12  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (AS_IF): Define by m4_defun, not m4_define.
	This causes that any required macros inside will get before the if.
	* doc/autoconf.texi (autom4te.cache): A typo.

2005-02-12  Paul Eggert  <eggert@cs.ucla.edu>

	Undo previous change, except keep the change to
	lib/autoconf/programs.m4 that replaced grep with shell
	pattern-matching.  This is because net-snmp configure reads stdin.
	Reported by Noah Misch.

2005-02-11  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_DEFAULTS): Redirect stdin
	from /dev/null, as "configure" shouldn't read stdin, and this
	insulates us from problems (e.g., when testing for "cl").
	Suggested by Alexandre Duret-Lutz.  Also, do this redirection
	before invoking "hostname" or "uname".
	(_AC_PREPROC_IFELSE, _AC_COMPILE_IFELSE,
	_AC_LINK_IFELSE): Undo previous change, as it's no longer needed.
	* lib/autoconf/c.m4 (AC_PROG_CC, AC_PROG_CXX): Don't bother with
	"</dev/null" since it's now done at the top of 'configure'.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Likewise.
	* lib/autoconf/programs.m4 (_AC_PATH_PROG_FLAVOR_GNU): Likewise.
	Also, replace grep with shell pattern-matching, to save a process.

2005-02-10  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_PREPROC_IFELSE, _AC_COMPILE_IFELSE,
	_AC_LINK_IFELSE): Redirect stdin to /dev/null, in an attempt to
	avoid thinking that Allegro Common Lisp's "cl" command is a C++
	compiler.

2005-02-09  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): Document that
	grep -q isn't portable.  Improve grep -s explanation.
	Problem reported by Dan Manthey.

2005-02-08  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Special Shell Variables): Clarify
	PATH_SEPARATOR wording; fix typo in IFS.  Reported by Gary V. Vaughan.

2005-02-07  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Use @acronym for DJGPP.
	Fix some @code's that should have been @env's, and vice versa.
	Sort environment variable names.
	Mention that shells no longer inherit IFS.
	Don't recommend PATH_SEPARATOR=';' so strongly.
	Mention that $RANDOM might expand to the empty string.
	"symlink" and "soft link" -> "symbolic link".
	Improve mktemp description (reported by Bruno Haible).

2005-02-05  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/foreign.at (Libtool): Don't overquote AT_SETUP arg.
	* tests/m4sh.at (AS_DIRNAME, AS_BASENAME, AS_MKDIR_P, AS_HELP_STRING):
	Likewise.
	* tests/semantics.at (AC_C_BIGENDIAN, AC_PATH_PROG & AC_PATH_PROGS):
	Likewise.

2005-02-04  Paul Eggert  <eggert@cs.ucla.edu>

	* NEWS: Mention AT_COPYRIGHT.

	* tests/local.at (AT_CMP): Use diff directly on input files rather
	than copying them.

	* lib/autoconf/programs.m4 (AC_PROG_SED): Don't look in
	/usr/xpg4/bin since that sed dumps core (at least on Solaris 8).

2005-02-04  Noah Misch  <noah@cs.caltech.edu>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* tests/autotest.at (Empty test suite): New test.
	* tests/torture.at (Substitute and define special characters)
	(Substitute a 2000-byte string, Define to a 2000-byte string)
	(Substitute a newline, Define a newline): New tests.

2005-02-04  Noah Misch  <noah@cs.caltech.edu>

	* lib/m4sugar/m4sugar.m4 (m4_re_string, m4_re_word): Revert 2002-03-04.
	* tests/local.at (AT_CHECK_M4SUGAR): Add `m4sugar' to keywords.
	(AT_CHECK_ENV): Ignore LTLIBOBJS, FC variables, EGREP, FGREP, and SED.
	* tests/m4sugar.at (AT_CHECK_M4SUGAR_TEXT, AT_CHECK_M4RE): New macros.
	(Standard regular expressions): New test.
	(m4_warn, m4_require: circular dependencies, m4_text_wrap): Strip
	excess test name quoting.
	* tests/semantics.at (AC_CHECK_HEADERS_OLD, AC_CHECK_HEADERS_NEW): Pass
	CPPFLAGS to `configure' instead of setting it in `configure'.

	* lib/m4sugar/m4sh.m4 (AS_UNAME): Try only /usr/bin/hostinfo, not
	any `hostinfo' in $PATH, since hostinfo.exe is a popular file name
	on some platforms.

	* lib/autoconf/fortran.m4 (AC_LANG(Fortran), AC_FC_SRCEXT):
	s/FC_SRCEXT/ac_fc_srcext/; s/FCFLAGS_SRCEXT/ac_fcflags_srcext/.

	* tests/local.at (AT_CMP): New macro.
	(AT_DATA_AUTOCONF): Do not call AC_PROG_GREP.
	(AC_SAVE_STATE): Move environment grep...
	(AT_CHECK_ENV): to here.  Filter out `'$''.  Use AT_CMP.
	(AT_CONFIG_CMP): New macro.
	(AT_CHECK_MACRO): Run `configure' twice with cache and compare results.
	* tests/c.at (Extensions): Do not exit early.
	* tests/atlocal.in: Inherit $GREP.

	* lib/autoconf/c.m4 (_AC_C_STD_TRY): New macro.
	(_AC_PROG_CC_C89, _AC_PROG_CC_C99): Use it.

	* lib/autoconf/general.m4 (_AC_INIT_COPYRIGHT): Update for 2005.
	(AC_COPYRIGHT): Factor header comment portion out and move into...
	* lib/m4sugar/m4sh.m4 (AS_COPYRIGHT): This.
	* lib/autotest/general.at (AT_COPYRIGHT): New macro.
	(AT_INIT): Add Autotest copyright notice.  Display copyright notices in
	--version output.
	* tests/local.at: Add Autoconf test suite copyright notice.
	* doc/autoconf.texi (Writing testsuite.at): Document AT_COPYRIGHT.

2005-02-04  Bruno Haible  <bruno@clisp.org>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): New mkstemp entry.

2005-02-03  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sugar.m4 (m4_re_escape): Escape ?, ^, \, $ too;
	this fixes a bug tickled by the AT_CAPTURE_FILE change noted below.

	Try not to generated lines of unlimited length, as POSIX places a
	2047-byte limit on line length of portable text files.
	* lib/autoconf/general.m4 (AC_SUBST, AC_SUBST_FILE):
	Use newline as a separator, not space.
	* lib/autotest/general.m4 (AT_TESTED, AT_KEYWORDS): Likewise.
	(AT_CAPTURE_FILE): Use space-backslash-newline as a separator, not
	space.

2005-02-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/m4sugar/m4sh.m4 (_AS_SHELL_FN_WORK): Move func_* to
	as_func_*.  Add test to check whether positional parameters
	are restored after function return.

2005-02-02  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Special Shell Variables): Mention _,
	BIN_SH, DUALCASE.  Say that variables other than "status" are safe
	if they contain a lower-case letter.  The DUALCASE problem was
	reported by Ralf Wildenhues.

	* bin/autoconf.as: Don't exit with status 0 after write failure
	with --help or --version.
	* lib/autoconf/general.m4 (_AC_INIT_HELP, _AC_INIT_VERSION): Likewise.
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Likewise.

2005-02-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Usual Tools):
	Unicos 9 sed limitations.
	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Try cf77 before fort77
	to get the option-enhanced interface on older Crays.  Try ftn for
	Fortran 95 (newer Crays).

2005-02-01  Paul Eggert  <eggert@cs.ucla.edu>

	* man/Makefile.am (.x.1): Go back to the simple solution, but take
	care to echo the commands, so the user knows what's going on.
	Modified from a suggestion by Stepan Kasal.

	* doc/autoconf.texi (autoreconf Invocation): Mention autopoint,
	with a cross reference.  Derived from a suggestion by Bruce Korb.

2005-01-31  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (config.status Invocation): Warn about
	discrepancy between CONFIG_SHELL and shell used to invoke 'configure'.
	* doc/install.texi (Defining Variables): Likewise.
	Based on a proposed patch by Ralf Wildenhues.

	* man/Makefile.am (.x.1): Make sure the required generated files
	are up to date.  Problem and original solution proposed by Stepan Kasal.
	$(dist_man_MANS:.1=-bin-prereq), $(dist_man_MANS:.1=-tests-prereq),
	implicit-man-prerequisites): New rules, used by the above.

	* doc/make-stds.texi, doc/standards.texi: Sync from gnulib.
	* config/config.guess, config/config.sub, config/install-sh: Likewise.
	* config/missing, config/texinfo.tex: Likewise.

2005-01-29  Stepan Kasal  <kasal@ucw.cz>

	Simplify the implementation of m4_require (a.k.a. AC_REQUIRE).
	Update the long comment explaining it.

	m4_require no longer writes an ``is required by'' line to the
	execution stack.  It contains only one bit of non-redundant
	information: that the macro was required, not called.  And even
	this bit is useless in most situations: have you ever met a macro
	which both calls and requires the same macro?

	* lib/m4sugar/m4sugar.m4 (_m4_defun_pro): Don't push a diversion...
	(_m4_defun_pro_outer): ... only via this macro, for the outermost
	  macro.
	(_m4_defun_epi, _m4_defun_epi_outer): Complementarily.
	(m4_expansion_stack_pop): Remove the misplaced comment.
	(m4_require): Don't put the ``is required by'' line to the
	  execution stack; slightly improve the out-of-a-defun error message.
	(_m4_divert_grow): New macro, counter for the temporary diversions.
	(_m4_require_call): Use it.
	* tests/m4sugar.at (m4_require): Expect output without the
	  ``is required by'' messages.

2005-01-28  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): Recommend X
	rather than x for expr.

	* lib/autoconf/lang.m4 (_AC_COMPILER_OBJEXT): Avoid subshells when
	this is safe.
	* lib/autoconf/programs.m4 (AC_PROG_EGREP, AC_PROG_FGREP): Likewise.
	* lib/autoconf/specific.m4 (AC_SYS_LONG_FILE_NAMES): Likewise.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/m4sugar/m4sh.m4 (_AS_LINENO_WORKS): Likewise.
	* tests/mktests.sh: Likewise.

2005-01-27  Akim Demaille  <akim@epita.fr>

	Have autoheader honor --force.

	* doc/make-stds.texi, doc/standards.texi: Update from masters.
	* lib/Autom4te/Channels.pm, lib/Autom4te/Configure_ac.pm
	* lib/Autom4te/FileUtils.pm, lib/Autom4te/XFile.pm: Update
	from masters, so that FileUtils.pm's update_file provide --force
	support.
	* bin/autoheader.in: Pass $force to update_file so that
	config.h.in is always recreated when --force.

2005-01-24  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Introduction): Update Peter Simons' address.

2005-01-21  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Builtins): Clarify that
	"if test ! -d foo; ..." is portable.  Suggested by Stepan Kasal.

2005-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Shell Substitutions): Fix typo in case statement.
	Warn about newline stripping in `` and $().  Update Solaris
	version to 9.
	(Limitations of Builtins): Use expr "X...", not expr "x...", as
	X insulates us from future changes to Posix.
	(Limitations of Usual Tools): For AS_DIRNAME, warn about newline
	stripping.

2005-01-19  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Defining Symbols): Delete the false comment that
	  you cannot use AC_DEFINE to define macros containing `[' or `]'.

2005-01-13  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): Document bug
	in Solaris 8 join.  Problem reported by Tomohiro Suzuki on
	bug-tar mailing list.

2005-01-05  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sugar.m4 (m4_copy): Fix the explanation.

2005-01-05  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/c.m4 (AC_LANG_INT_SAVE(C)): Declare longval and
	ulongval to be static, to avoid unwanted GCC warning.  Problem
	reported by Michael Jennings via Daniel Reed; see
	<https://bugzilla.redhat.com/beta/show_bug.cgi?id=143852>.

2005-01-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Define datarootdir,
	docdir, htmldir, dvidir, pdfdir, psdir, and localdir.  Update
	datadir, infodir, and mandir.  Adjust argument parsing code.
	(_AC_INIT_HELP): Update help text.
	* doc/autoconf.texi (Installation Directory Variables): Document
	new variables.

2005-01-04  Noah Misch  <noah@cs.caltech.edu>

	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): If the Make program does
	not seem to work, assume it does set $(MAKE).
	* doc/autoconf.texi (AC_PROG_MAKE_SET): Update.

2005-01-03  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Add a comment about nesting.

2005-01-03  Stepan Kasal  <kasal@ucw.cz>

	A cleanup of the diversion support in m4sugar.

	* lib/m4sugar/m4sugar.m4 (_m4_divert): A typo in description.
	(_m4_divert_n_stack): New macro; the expansion is
	  <newline>m4_divert_stack, if m4_divert_stack is defined, and void
	  otherwise.
	(m4_divert, m4_divert_push, m4_divert_pop, m4_init): Use it.
	(m4_divert_push, m4_divert_pop, _m4_defun_epi): Don't expand the word
	  stored in _m4_divert_diversion or _m4_divert_dump.
	(m4_divert_pop): When the parameter is given, compare the symbolic
	  name with the last diversion pushed on the stack.  Previously, the
	  current diversion was compared with the numeric value of the
	  diversion given as the parameter.
	(m4_require): If the macro hasn't been expanded yet, call ...
	(_m4_require_call): this new macro.

2005-01-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE, _AC_ARG_VAR_VALIDATE):
	Workarounds for documented `case' limitations.

2005-01-03  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): Warn about
	sed 'command1;command2'.  Problem reported by Ralf Wildenhues.

2005-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	* bin/autoconf.as, bin/autoheader.in, bin/autom4te.in,
	bin/autoreconf.in, bin/autoscan.in, bin/autoupdate.in,
	bin/ifnames.in, tests/mktests.sh: Update copyright date to 2005.

	Patch from Roger Leigh (with some minor changes) as follows:
	* NEWS: New macros AC_PROG_CC_C89, AC_PROG_CC_C99.
	Resurrect AC_PROG_CC_STDC.
	* doc/autoconf.texi (C Compiler): Add AC_PROG_CC_STDC,
	AC_PROG_CC_C89, AC_PROG_CC_C99.
	(Obsolete Macros): Remove AC_PROG_CC_STDC; it's no longer obsolete.
	* lib/autoconf/c.m4 (_AC_PROG_CC_C89, _AC_PROG_CC_C99, AC_PROG_CC_C89,
	AC_PROG_CC_C99): New macros.
	(AC_PROG_CC_STDC): Use them.
	(_AC_PROG_CC_STDC): Remove.
	(AC_C_PROTOTYPES): Use ac_cv_prog_cc_c89, not ac_cv_prog_cc_stdc.
	* THANKS: Add Roger Leigh.

2004-12-30  Noah Misch  <noah@cs.caltech.edu>

	* bin/autoreconf.in (autoreconf_current_directory):  AM_INIT_AUTOMAKE
	signals that the package uses Automake; a `Makefile.am' is typical but
	not essential.  Reported by Magnus Therning.
	* tests/torture.at (autoreconf.): New banner.
	(autoreconf and non-AC configure): Rename to `Non-Autoconf
	AC_CONFIG_SUBDIRS'.
	(autoreconf an empty directory): Rename to `Empty directory'.
	(Unusual Automake input files): New test.

2004-12-30  Noah Misch  <noah@cs.caltech.edu>

	* lib/autotest/general.m4 (AT_CAPTURE_FILE): New macro.
	(AT_SETUP): Clear AT_capture_files.
	(_AT_CHECK): On failure, log each of AT_capture_files.  Fix comment.
	(AT_KEYWORDS): Fix comment typo.
	* tests/autotest.at (AT_CHECK_AT): Use AT_CAPTURE_FILE.
	* tests/local.at (AT_CHECK_CONFIGURE): Use AT_CAPTURE_FILE.
	* doc/autoconf.texi (Writing testsuite.at): Document AT_CAPTURE_FILE.

2004-12-29  Albert Chin-A-Young  <china@thewrittenword.com>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH):
	If the variable to set is already set, set ac_cv_path_$1
	to the preset value so caller can assume ac_cv_path_$1
	is available.  (trivial change)

2004-12-27  Noah Misch  <noah@cs.caltech.edu>

	* BUGS (Minor Problems): Warn about makefile limitations.
	* Makefile.am: Find and update `INSTALL' in $(srcdir).
	* man/Makefile.am: Find and update manual pages in $(srcdir).

2004-12-24  Eric Blake  <ebb9@byu.net>

	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Test candidate
	shells in subshell, to avoid noise from ash.  (trivial change)

2004-12-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/autoconf.texi (Limitations of Builtins) <case>: Mention
	problems with SunOS ksh and backslash escaping, Bourne shells and
	closing brackets (both within character classes).  Bug reported
	against Libtool by Alexander Kurz <alexander.kurz@qsc.de>.
	<read>: New entry.  Mention non-availability of -r.

2004-12-21  Akim Demaille  <akim@epita.fr>

	* lib/autotest/general.m4 (AT_LINE): Don't add srcdir here, to
	avoid cluttering displayed messages.  Rather, prepend srcdir where
	AT_LINE is used for log files.

2004-12-21  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/status.m4: Quote ``$tmp'' in many places.
	* lib/m4sugar/m4sh.m4 (AS_TMPDIR): Fix the comment, as traps are
	  no longer part of the macro, quote the occurrence of ``$tmp''.
	* doc/autoconf.texi (Forbidden Patterns): Typo.

2004-12-21  Akim Demaille  <akim@epita.fr>

	* lib/autotest/general.m4 (AT_INIT): Make sure the "ok" etc. are
	separated from the test title by forcing a white space.

2004-12-21  Akim Demaille  <akim@epita.fr>

	Enable Emacs navigation within testsuite.log files.

	* lib/autotest/general.m4 (AT_CLEANUP): Add an hint for Emacs to
	use the compilation mode.
	(AT_LINE): Point to the srcdir.

2004-12-19  Noah Misch  <noah@cs.caltech.edu>

	* tests/Makefile.am (installcheck-local): Use $(bindir).
	(check-local, installcheck-local): Pass TESTSUITEFLAGS.
	* doc/autoconf.texi (Making testsuite Scripts): Recommend the same
	Makefile.am scheme Autoconf now uses.

2004-12-18  Noah Misch  <noah@cs.caltech.edu>

	* lib/m4sugar/m4sugar.m4 (m4_qlen, m4_qdelta): New macros.
	* lib/autotest/general.m4 (AT_SETUP): Use m4_qdelta.

2004-12-18  Noah Misch  <noah@cs.caltech.edu>

	* lib/autotest/general.m4 (_AT_DECIDE_TRACEABLE): New macro.
	(_AT_CHECK): Use it.
	* lib/m4sugar/m4sh.m4 (AS_ESCAPE_FOR_EXPAND): Remove.
	(AS_ESCAPE): Fix comment.
	* tests/autotest.at: Adjust section banner comments.
	(AT_CHECK_AT): Accept STATUS and STDERR.
	(AT_CHECK_AT_TEST): Likewise.
	(Invalid brace-enclosed parameter expansion)
	(Multiline command from M4 expansion)
	(Double-M4-quoted command): New tests.

2004-12-17  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Update GNU FDL version from 1.1 to 1.2.

2004-12-17  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (AC_SUBST, AC_SUBST_FILES): Pass $1 to
	m4_pattern_allow.
	Suggested by Alexandre Duret-Lutz.
	* doc/autoconf.texi (Setting Output Variables): Catch up.

2004-12-17  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (_AS_TEST_PREPARE): Fix comment.

2004-12-17  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (_AC_LIBOBJ): We can use AC_SUBST/2,
	  remove the comment which said we cannot.

2004-12-17  Stepan Kasal  <kasal@ucw.cz>

	Add a specialized check for resolv.h.  Thanks to Gerrit P. Haase,
	Reini Urban and Paul Eggert for reporting the dependencies.

	* lib/autoconf/headers.m4 (AC_HEADER_RESOLV): New macro.
	* doc/autoconf.texi (AC_HEADER_RESOLV): Document it.
	(AC_HEADER_STAT): @cvindex{STAT_MACROS_BROKEN}, not @acindex.

2004-12-17  Stepan Kasal  <kasal@ucw.cz>

	* bin/autoscan.in: Open autoscan.log only after ``parse_args'';
	  so that eg. ``autoscan --help'' doesn't truncate it.

2004-12-15  Nicolas Joly  <njoly@pasteur.fr>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Remove
	generated conftest files.

2004-12-13  Noah Misch  <noah@cs.caltech.edu>

	* lib/autotest/general.m4 (_AT_CHECK) [--trace]: Do not enable shell
	tracing on commands with possibly-escaped newlines.
	* doc/autoconf.texi (Writing testsuite.at): Delete documentation of the
	discontinued behavior and its implications.
	* tests/autotest.at (BS-newline in command, ^BS-newline in command)
	(BSx641-newline in command, BS-BS-newline in command)
	(BSx640-newline in command, Newline-CODE-BS-newline in command)
	(Single-quote-BS-newline in command)
	(Single-quote-newline-BS-newline in command): New tests.

2004-12-13  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (AS_EXECUTABLE_P): Use test -f && test -x
	  on platforms where it works.
	(_AS_TEST_PREPARE): Test for ``test -x''.
	(_AS_BROKEN_TEST_PREPARE): Nuke.

2004-12-13  Stepan Kasal  <kasal@ucw.cz>

	* lib/m4sugar/m4sh.m4 (AS_TMPDIR): Move the trap commands ...
	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): ... here;
	  give only 4-letter prefix to AS_TMPDIR, comment fixed.
	* lib/autoconf/programs.m4 (_AC_PATH_PROG_FEATURE_CHECK): Don't
	  create the temporary directory.
	(_AC_FEATURE_CHECK_LENGTH): Work in current directory.

2004-12-12  Kelley Cook  <kcook@gcc.gnu.org>

	* bin/autoheader.in: Exit if no AC_CONFIG_HEADERS was found.
	(trivial change)

2004-12-12  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (Limitations of Usual Tools) <expr (:)>: Typo.

2004-12-11  Noah Misch  <noah@cs.caltech.edu>

	* lib/autotest/general.m4 (_AT_CHECK) [--trace]: Rework a shell pattern
	to avoid using a negated character class.  Reported by Nicolas Joly.
	* tests/local.at (AT_CHECK_SHELL_SYNTAX): Check for similar constructs.

2004-12-10  Paul Eggert  <eggert@cs.ucla.edu>

	* man/Makefile.am (autoconf.1, autoheader.1, autom4te.1, autoreconf.1,
	autoscan.1, autoupdate.1, ifnames.1, config.guess.1, config.sub.1):
	Don't depend on .x file explicitly, since "make" does that for us.
	Suggested by Stepan Kasal.

	* bin/Makefile.am (MOSTLYCLEANFILES): Renamed from CLEANFILES.
	Add *.tmp.
	(autoconf, autoheader, autom4te, autoreconf, autoscan, autoupdate,
	ifnames): Factor common code.  And they said it couldn't be done!

2004-12-09  Paul Eggert  <eggert@cs.ucla.edu>

	* bin/.cvsignore: Add autoconf.in.
	* tests/.cvsignore: Add wrapper.in.
	* lib/autotest/general.m4: Escape '$' in case pattern.

2004-12-09  Noah Misch  <noah@cs.caltech.edu>

	* man/Makefile.am (autoconf.1): Regenerate when `autoconf.as' changes.

	* lib/autotest/general.m4 [--trace] (AT_INIT): Do not `set -v'.

	* tests/autotest.at: New file.
	* tests/suite.at: Include it.
	* tests/Makefile.am: Distribute it.

	* lib/autotest/general.m4 [--trace] (_AT_CHECK): Do not enable
	  shell tracing on a command that could contain multiple lines.
	* doc/autoconf.text: Document that fact and its implications.
	* lib/m4sugar/m4sh.m4 (AS_ESCAPE_FOR_EXPAND): New macro.
	* tests/autotest.at (Multiline backquote command substitution,
	  Multiline parameter expansion, Literal multiline command,
	  Multiline parenthetical command substitution): Remove XFAIL.

2004-12-09  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Libraries): Clarify problems with AC_CHECK_LIB
	and suggest AC_SEARCH_LIBS.  Suggested by Noah Misch and Stepan Kasal.

2004-12-08  Noah Misch  <noah@cs.caltech.edu>

	* configure.ac (test suite): Cease to generate wrapper scripts.
	* configure: Regenerate.
	* lib/freeze.mk (MY_AUTOM4TE): Wrap the uninstalled autom4te directly.
	(m4f_dependencies): Adjust accordingly.
	* tests/Makefile.am (Wrappers): Generate wrapper scripts.
	(wrapper.in): Generate it in the build directory.
	(MAINTAINERCLEANFILES): Delete wrapper.in.
	(CLEANFILES): Add wrapper.in.
	* tests/wrapper.as: Move AS_INIT to very top, preserving copyright in
	the output.  Replace each $as_me with a @wrap_program@.
	* tests/wrapper.in: Delete it; we always build it.

	* bin/Makefile.am (autoconf.in): Generate it in the build directory.
	(EXTRA_DIST): Remove autoconf.in.
	(CLEANFILES): Add autoconf.in.
	(autoconf): Find autoconf.in in the build directory.
	* bin/autoconf.in: Delete it; we always build it.

2004-12-08  Noah Misch  <noah@cs.caltech.edu>

	* lib/autotest/general.m4 (AT_INIT): Replace a `tr' with a `sed'.  Join
	PATH members so as to not prepend an empty element.  Move a comment.
	* Makefile.am (SUBDIRS): Build in `tests' last.
	* tests/Makefile.am (installcheck-local): Add check-local dependencies.

2004-12-08  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/mdate-sh: Don't use "set - x`$ls_command /`", as zsh mishandles
	the spaces inside $ls_command.  Problem reported by Loulou Pouchet in
	<http://lists.gnu.org/archive/html/autoconf/2004-12/msg00074.html>.
	Don't use "set - x"; plain "set x" is enough, and simplifies debugging.

2004-12-07  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/functions.m4 (AC_FUNC_GETMNTENT): Fix typo in previous
	patch: extra "-l"s.

2004-12-06  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/functions.m4 (AC_FUNC_GETMNTENT): Check libc before
	looking elsewhere for getmntent.  Problem reported by Mark D. Baushke.
	* doc/autoconf.texi (Particular Functions): Mention new behavior.

2004-12-03  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/general.m4 (AC_DEFINE, AC_DEFINE_UNQUOTED): Factor
	  out the common code to ...
	(_AC_DEFINE_Q): ... a new macro; simplify the condition about the
	  value of the #define--default to 1, iff the macro was called
	  with exactly one parameter.

2004-12-02  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/functions.m4 (AC_FUNC_MEMCMP): Use
	"char c = '\200';" rather than "char c = 0x80;" as the
	latter doesn't conform to the strict C standard due to
	overflow on signed char hosts.

	* lib/autoconf/c.m4 (_AC_PROG_CC_STDC): Prefer -qlanglvl=extc89
	to -qlanglvl=ansi.  We don't want to disable extensions.

2004-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Particular Programs): @code{$PATH} -> @env{PATH}.
	(Using Autotest, testsuite Scripts, Writing testsuite.at):
	Reword slightly to avoid some English-language problems noted
	by Ralf Wildenhues in:
	http://lists.gnu.org/archive/html/autoconf-patches/2004-11/msg00027.html

2004-11-29  Stepan Kasal  <kasal@ucw.cz>

	* NEWS: Add ^L above each release.

2004-11-28  Paul Eggert  <eggert@cs.ucla.edu>

	Fix documentation problems reported by Russ Boylan in
	<http://lists.gnu.org/archive/html/bug-autoconf/2004-11/msg00056.html>,
	along with some nearby cruft.
	* doc/autoconf.texi (Libtool): Libtool can be used without
	Automake (not without Autoconf).
	(Introduction): Mention lists.gnu.org.
	* BUGS: Don't mention bugs.gnu.org.
	Remove mention of ancient libtool compatibility problem.
	* NEWS: Mention that bugs.gnu.org is kaput.
	* README: Likewise.  Mention where mailing list archives can be found.

2004-11-28  Stepan Kasal  <kasal@ucw.cz>

	* HACKING: Refer to "coreutils", not "File, Shell or Text utils".
	* lib/m4sugar/m4sh.m4 (AS_HELP_STRING): A typo in the comment.

2004-11-26  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Pretty Help Strings): Go back to
	single-quoting assignments to cache variables.

2004-11-23  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Pretty Help Strings): Fix quoting issues
	with the examples; fix the bug in MY_ARG_WITH example reported
	by Alexandre Duret-Lutz.
	* lib/autoconf/general.m4 (AC_ARG_ENABLE, AC_ARG_ENABLE): Enable
	expansion of $1 in the comment emitted to configure.

2004-11-23  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Pretty Help Strings): Fix typo
	in my editing of the previous patch.  Problem reported
	by Alexandre Duret-Lutz.

2004-11-22  Stepan Kasal  <kasal@ucw.cz>

	* doc/autoconf.texi (Autoconf Language): Explain that
	``descriptions'' may not be double quotes.
	(Quotation Rule Of Thumb): Likewise.
	(Pretty Help Strings): Likewise; remove the wrong comment;
	simplify the examples and improve their quoting.

2004-11-13  Stepan Kasal  <kasal@ucw.cz>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Don't check
	the $1_found variable, don't test whether the file is executable;
	Both things are checked ...
	(_AC_PATH_PROG_FEATURE_CHECK): ... here; AS_EXECUTABLE_P replaces
	the former ``test -f''.
	* lib/m4sugar/m4sh.m4 (_AS_TEST_PREPARE): Fix a typo.

2004-11-10  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Usual Tools): Avoid cp -r;
	use cp -R instead.

2004-11-10  Derek R. Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Limitations of Usual Tools): Note `cp -r'
	limitations.  Reorder paragraphs for clarity.

2004-10-11  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Standardize spelling of "Posix" (as opposed
	to "POSIX" or "@acronym{POSIX}"), and similarly for "DOS
	variants", "Unix", and some related minor wording fixups.

	(Shellology, Special Shell Variables): Document that the Zsh
	problem with NULLCMD was fixed in zsh 3.1.6-dev-18.  Thanks
	to Alexandre Duret-Lutz for this info.

2004-10-10  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (One-Shot Macros): New node.

2004-09-28  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Function Portability): Fix misdescription
	of putenv.  Problem reported by Michael Wardle.

2004-09-22  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (auindex): New macro.
	(AU_DEFUN): Use it to fix the bug when the index contained AC_AU_DEFUN.
	Problem reported by Stepan Kasal.

2004-09-05  Paul Eggert  <eggert@cs.ucla.edu>

	Fix problems reported by Andreas Buening in:
	http://lists.gnu.org/archive/html/autoconf-patches/2004-04/msg00004.html
	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): Set SHELL=/bin/sh
	in test makefile.
	* lib/autotest/general.m4 (AT_INIT): Don't assume /dev/null is
	readable; it's not true in OS/2-emx.

2004-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/libs.m4 (_AC_PATH_X_XMKMF): If xmkmf returns
	"/usr/include", clear ac_x_includes instead of leaving it as "no"
	(trivial change).  Problem and patch reported by Andrew Church in:
	http://lists.gnu.org/archive/html/bug-autoconf/2004-04/msg00016.html

2004-09-03  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi: Give AC_DEFINE and AC_DEFINE_UNQUOTED
	three args in examples.  Problem reported by Frederik Fouvry in:
	http://lists.gnu.org/archive/html/bug-autoconf/2004-09/msg00017.html
	Also, fix some minor spacing and punctuation bugs.

2004-09-02  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): Swap "cd" and
	"case" to restore ordering.
	Reported by Stepan Kasal.

2004-08-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Minor typos and stylos.

2004-08-20  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (AC_INIT): Bump to 2.59c.

2004-08-20  Paul Eggert  <eggert@cs.ucla.edu>

	Version 2.59b.

	* README: Add advice about m4 1.4.2.

	* Makefile.cfg (wget_files): Remove config.guess, config.sub,
	texinfo.tex for now (done by hand now).
	* Makefile.maint (wget_files, cvs_files):
	Remove ansi2knr.c; nobody uses it.
	(ansi2knr.c-url_prefix): Remove.
	(cvs-update): Fix test for failure.  I don't know why it ever
	worked...

	* doc/autoconf.texi: Update URLs, some of which went stale.
	Use @uref rather than @href.

	* lib/autoconf/general.m4 (_AC_INIT_PARSE_ARGS): Have configure
	handle "--" as per POSIX.  Suggested by Paul Pogonyshev.

	* config/config.guess, config/config.sub, config/elisp-comp,
	config/install-sh, config/mkinstalldirs, config/texinfo.tex,
	doc/fdl.texi, doc/standards.texi: Sync with master copy.

	* NEWS, TODO, configure.ac, bin/autoscan.in,
	bin/autoupdate.in, bin/ifnames.in, doc/autoconf.texi,
	doc/install.texi, lib/Autom4te/Configure_ac.pm,
	lib/Autom4te/FileUtils.pm, lib/autoconf/general.m4,
	lib/autoconf/programs.m4, lib/autoconf/status.m4,
	lib/autotest/general.m4, lib/m4sugar/m4sh.m4,
	lib/m4sugar/m4sugar.m4, tests/local.at, tests/m4sh.at,
	tests/tools.at, tests/torture.at:
	Use "file name" rather than "filename" or "path",
	to be consistent with the terminology of the GNU coding standards.

2004-08-19  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/c.m4 (AC_LANG_BOOL_COMPILE_TRY(C),
	AC_C_LONG_DOUBLE): Undo 2004-06-04 change, as it didn't work with
	HP-UX 11.23 cc/aCC or Tru64 4.0 cc.  Problem reported by Noah Misch in
	<http://lists.gnu.org/archive/html/autoconf/2004-07/msg00004.html>.

	More fixes to support spaces in the name of the build directory.
	This isn't a complete fix but it's an improvement.

	* bin/autoconf.as (autom4te_options): New var.
	Use it instead of appending to AUTOM4TE, so that we can allow
	spaces in the build directory's absolute name.
	* bin/autoheader.in ($autoconf): Allow spaces in file names.
	* lib/autotest/general.m4 (AT_INIT, AT_CLEANUP, _AT_CHECK,
	AT_CHECK_NOESCAPE): Likewise.
	* tests/wrapper.as (testdir, AUTOM4TE_CFG, autom4te_perllibdir,
	main program): Likewise.

2004-08-18  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/general.m4 (_AC_INIT_HELP): Quote $ac_popdir uses.
	From Ralf Corsepius in:
	http://lists.gnu.org/archive/html/autoconf-patches/2004-08/msg00014.html

2004-08-12  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Function Portability): Document isinf and
	and isnan.  From a suggestion by Kevin Ryde.

	* lib/Autom4te/General.pm (END): Return correct exit status even
	if unlink succeeds and sets $?.  Needed with Solaris 8's perl 5.00503.

2004-08-09  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/torture.at (Deep Package): Use configure.in, not configure.ac,
	for compatibility with Automake 1.4.  Reported by J C Fitzgerald in
	<http://lists.gnu.org/archive/html/bug-autoconf/2003-08/msg00051.html>.

2004-08-04  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/general.m4 (AC_REQUIRE_AUX_FILE): New empty macro.
	(AC_CANONICAL_BUILD): Call it to require config.sub and config.guess.
	* lib/autoconf/programs.m4 (AC_PROG_INSTALL): Likewise for install-sh.
	* doc/autoconf.texi (Input): Document AC_REQUIRE_AUX_FILE.
	* lib/autom4te.in (Automake-preselections): Preselect
	AC_REQUIRE_AUX_FILE.  Automake 1.10 will trace it.

2004-08-02  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Automake-preselections): Preselect
	AC_CANONICAL_BUILD and AC_CANONICAL_TARGET.  Automake 1.9.1 will
	trace them.

2004-07-29  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE): Set BIN_SH, for
	Tru64.
	* doc/autoconf.texi (Shellology): Mention BIN_SH.
	Document problem with "`""`" in pdksh POSIX mode.

2004-07-27  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE): Use "set -o posix"
	with pdksh, too.  Problem reported by Patrick Welche via
	Gary V. Vaughan.
	* doc/autoconf.texi (Shellology): Note that set -o posix is
	useful for pkdsh, too.

2004-06-24  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Require
	_AS_UNSET_PREPARE, so that we can use $as_unset directly.
	Don't fail if ENV or BASH_ENV is readonly.
	(AS_SHELL_SANITIZE): Don't fail if ENV, MAIL, MAILPATH, LC_ALL,
	etc. are read only.  Problem reported by Ludovic Courtes.

2004-06-23  Noah Misch  <noah@cs.caltech.edu>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE): If the shell is
	zsh, disable GLOB_SUBST to avoid backslash handling problems.
	(trivial change)

2004-06-04  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (File System Conventions): Warn about
	names like "aux".  Problem reported by Eric Blake.

	* lib/autoconf/c.m4 (AC_LANG_BOOL_COMPILE_TRY (C)): Use division
	by zero instead of array size, so that we can use any arithmetic
	constant expression (instead of requiring an integer constant
	expression).  This allows us to test expressions like DBL_MAX <
	LDBL_MAX, which didn't conform to the C standard using the old
	method.
	(AC_C_LONG_DOUBLE): Put back in the tests for LDBL_MAX and LDBL_EPSILON,
	now that we can do floating-point tests at compile time.

2004-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/c.m4 (AC_C_LONG_DOUBLE): Don't check LDBL_MAX
	and LDBL_EPSILON, as the resulting expression isn't an
	integer constant expression and violates the C standard.
	Problem reported by Nelson H. F. Beebe.  Also, check
	for "L" suffix, and check that long double doesn't have
	worse range or precision than double, that mixed-mode
	arithmetic doesn't generate a diagnostic, that double
	constants fit in long double.

2004-06-03  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Function Portability): Add notes on free(NULL),
	malloc(0) and realloc(NULL,size).

	* doc/autoconf.texi (Shell Substitutions): Spelling error reported by
	Bob Proulx.

2004-05-31  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/autoconf/headers.m4 (HAVE_STDBOOL_H): Detect _Bool bug
	in HP aC++/ANSI C B3910B A.05.55 [Dec 04 2003].  Problem reported
	by Jim Meyering.

2004-05-26  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Builtins): Mention that ! COMMAND
	can be rewritten using if-then-else.  Suggested by Bruno Haible.

2004-05-25  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (testsuite Scripts): Fix typo.
	Problem reported by Stepan Kasal.

2004-05-24  Paul Eggert  <eggert@cs.ucla.edu>

	* tests/Makefile.am (autoconfdir): Fix to match comment (trivial
	change).  Patch reported by Ralf Wildenhues in
	<http://mail.gnu.org/archive/html/bug-autoconf/2004-05/msg00092.html>.

	* lib/autoconf/functions.m4 (AC_FUNC_MBRTOWC): Don't assume that a
	function F exists if the compiler and linker let you compile an
	expression like (F != 0).  Recent versions of GCC optimize away
	the reference to F in that case, since every function address must
	be nonzero, so the link succeeds even if F does not exist.
	Problem reported by Manu in
	<http://mail.gnu.org/archive/html/bug-gnu-utils/2004-05/msg00060.html>.

	* doc/autoconf.texi (Systemology): Standardize on the spelling of
	"Unix".  Many uses changed.
	(Limitations of Builtins): Explain better why the ! command isn't
	portable.

2004-05-22  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Automake-preselections): Preselect
	LT_SUPPORTED_TAG in lieu of AC_LIBTOOL_TAGS.

2004-05-19  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Function Portability): Add strerror_r, cross
	referencing AC_FUNC_STRERROR_R.

	* doc/autoconf.texi (Particular Functions): In AC_FUNC_CLOSEDIR_VOID,
	note pessimistic assumption when cross compiling.

2004-05-16  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Limitations of Make): Note that BSD make
	(until 2004) invoked subcommands with sh -e, contra POSIX.
	Reported by Kevin Ryde.

2004-05-10  Eric Sunshine  <sunshine@sunshineco.com>

	* programs.m4 (_AC_PROG_GREP): Fixed bug where PATH argument handed to
	_AC_PATH_PROG_FEATURE_CHECK contained leading whitespace (i.e.
	"        $PATH:/usr/xpg4/bin"). This resulted in bogus tests, such as
	`test -f "        /usr/bin/grep"', which _always_ failed.
	(AC_PROG_SED): Ditto bogus PATH fix.
	* autoconf.texi (AC_PROG_GREP): Properly document that this macro
	requires that grep correctly supports _multiple_ `-e' options, rather
	than stating only that grep should accept `-e'.

2004-05-03  Paul Eggert  <eggert@cs.ucla.edu>

	Port to C99, which requires that 'exit' be declared.

	* lib/autoconf/c.m4 (AC_C_BIGENDIAN): Use AC_INCLUDES_DEFAULT
	to ensure that stdlib.h is included.
	* lib/autoconf/functions.m4 (_AC_LIBOBJ_ALLOCA, AC_FUNC_SETPGRP,
	AC_FUNC_STRTOD, AC_FUNC_SETVBUF_REVERSED, AC_FUNC_FORK, _AC_FUNC_FORK,
	_AC_FUNC_VFORK, AC_FUNC_WAIT3): Likewise.
	* lib/autoconf/specific.m4 (AC_SYS_RESTARTABLE_SYSCALLS): Likewise.
	* lib/autoconf/types.m4 (AC_TYPE_GETGROUPS): Likewise.
	* lib/autoconf/headers.m4 (AC_HEADER_STDC): Include <stdlib.h>
	when using 'exit' in a test; C99 requires that 'exit' be declared.

2004-05-02  Paul Eggert  <eggert@cs.ucla.edu>

	* doc/autoconf.texi (Particular Programs): AC_PROG_GREP
	now prefers 'grep' implementations that accept -e.
	(Limitations of Usual Tools): Describe problems of traditional
	egrep and fgrep with long input lines, and of traditional grep
	with -e.
	* lib/autoconf/programs.m4 (AC_PROG_GREP): Check for -e, too.
	(_AC_PROG_GREP): Assume 3rd arg is properly quoted for the shell.
	All callers changed.  Append /usr/xpg4/bin to the PATH, for
	Solaris.
	(_AC_FEATURE_CHECK_LENGTH): Discard stderr, so we don't bother
	the user with complaints about multiple -e options.
	* tests/local.at (AC_STATE_SAVE): Use $GREP, not grep.
	Define it with AC_PROG_GREP.
	* configure.ac (AC_PROG_GREP): Add.
	* lib/freeze.mk (GREP): New macro.

2004-05-02  Eric Sunshine  <sunshine@sunshineco.com>

	* lib/m4sugar/m4sh.m4 (_AS_DETECT_BETTER_SHELL): Consult $SHELL as
	a possible candidate only after all others fail, rather than
	consulting it first.  This improves backward compatibility by
	better reflecting the way shell selection occurred in previous
	versions of Autoconf, and should help to avoid triggering latent
	problems in other packages, such as the one in Automake where zsh
	is not handled robustly:
	http://mail.gnu.org/archive/html/automake/2004-04/msg00095.html
	Although it is not Autoconf's responsibility to work around
	problems in Automake, it nevertheless makes sense to avoid
	introducing unnecessary incompatibilites.

2004-04-22  Albert Chin-A-Young  <china@thewrittenword.com>,
	    Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Don't guess
	how deeply nested we are when a suitable tool is found, set the
	ac_path_TOOL_found flag.
	(_AC_PATH_PROG_FEATURE_CHECK): Encapsulate knowledge of how deeply
	nested we are in this macro.  Break out of all 3 nested loops if
	ac_path_TOOL_found is set.

2004-04-21  Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Break out
	of the _AS_PATH_WALK loop too if GNU flavor is found.

2004-04-21  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (Limitations of Make): Update documentation
	for `$<'.  New entry `Long lines', based on a report from Simon
	Josefsson.  Augment the documentation for SHELL = @SHELL@ with a
	paragraph about DJGPP, based on a mail from Richard Dawe.

2004-04-20  Paul Eggert  <eggert@twinsun.com>

	* tests/c.at (C keywords): Don't assume that GCC supports
	"restrict" and "inline", as sufficiently-old GCC versions do not
	(also, GCC configured to be in pedantic C89 mode does not).
	Problem reported by Sumit Pandya in:
	http://mail.gnu.org/archive/html/autoconf/2004-04/msg00092.html

	* lib/autoconf/c.m4 (_AC_PROG_CC_G, _AC_PROG_CXX_G): Don't
	consider -g to work if it generates warnings when plain compiles
	don't.  Problem reported by Braden McDaniel in:
	http://mail.gnu.org/archive/html/autoconf-patches/2003-07/msg00014.html

	* doc/autoconf.texi (Slashes): New section, to document a problem
	reported by Jim Meyering in:
	http://mail.gnu.org/archive/html/bug-coreutils/2004-02/msg00060.html

	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_DEFAULT): Remove potential
	linker output files before linking, to work around IRIX 6 linker bug.
	Problem reported by Rainer Orth in:
	http://mail.gnu.org/archive/html/autoconf-patches/2004-02/msg00007.html

2004-04-20  Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/programs.m4 (_AC_FEATURE_CHECK_LENGTH): Make the
	best tool so far counter rely on the tool path variable name to
	avoid checks for one tool being affected by the results of running
	the length check on a previous tool.

	* lib/autoconf/programs.m4 (_AC_PROG_GREP): Take an additional
	match expression argument, as different greps have different
	regular expression flavours.
	(AC_PROG_FGREP): Pass 'FGREP'. fgrep treats all match chars as
	literals.
	(AC_PROG_EGREP): Pass 'EGREP$'.
	(AC_PROG_GREP): Pass 'GREP$'.

2004-04-20  Albert Chin-A-Young  <china@thewrittenword.com>

	* lib/autoconf/programs.m4 (AC_PROG_GREP): Cache variable
	is `ac_cv_path_GREP', not `oc_cv_path_GREP'.

2004-03-29  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Particular Headers, Particular Types, Generic
	Types, Specific Compiler Characteristics, System Services,
	Obsolete Macros): Use 'long int', 'short int', 'unsigned int'
	etc. consistently instead of 'long', 'short', 'unsigned' etc.
	* lib/autoconf/c.m4 (AC_LANG_INT_SAVE(C), AC_C_BIGENDIAN): Likewise.
	* lib/autoconf/functions.m4 (AC_FUNC_MMAP, AC_FUNC_SELECT_ARGTYPES):
	Likewise.
	* lib/autoconf/headers.m4 (AC_HEADER_SYS_WAIT): Likewise.
	* lib/autoconf/types.m4 (AC_TYPE_GETGROUPS, AC_TYPE_SIZE_T,
	AC_TYPE_OFF_T): Likewise.
	* tests/semantics.at (AC_CHECK_TYPES: backward compatibility):
	Likewise.

	* tests/foreign.at (Libtool): Create an empty aclocal.m4, to
	pacify libtool 1.5.2.  Fix quoting problems in sed command.

2004-03-28  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Particular Structures): AC_STRUCT_TIMEZONE
	now defines HAVE_DECL_TZNAME if it is declared, when
	HAVE_STRUCT_TM_TM_ZONE is not defined.
	* lib/autoconf/types.m4 (AC_STRUCT_TIMEZONE): Implement this.
	Do not assume atoi.  Rely on HAVE_DECL_TZNAME when testing
	for HAVE_TZNAME.

2004-03-28  Steven G. Johnson  <stevenj@fftw.org>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Corrected
	superfluous backslashing of quotes (") in sed expressions;
	thanks to Paul Eggert.

2004-03-26  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC): new name of Intel
	Fortran compiler is ifort, also added pghpf; thanks to Nelson
	H. F. Beebe for the bug report.

2004-03-26  Steven G. Johnson  <stevenj@fftw.org>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): fix for
	quoted -cmdline argument in Portland Group compiler (bug
	reported by Jeffrey J. Barteet).

2004-03-25  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Specifying Names): Move cross_compiling ovindex to
	(Run Time): ... here, where it's now mentioned.

2004-03-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (autom4te Invocation): Language Autoconf
	inherits from language Autoconf-without-aclocal-m4.
	(Customizing autom4te): Adjust example; the cache must now be
	disabled for language Autoconf-without-aclocal-m4.

2004-03-16  Paolo Bonzini  <bonzini@gnu.org>
	    Nathanael Nerode  <neroden@twcny.rr.com>

	* lib/autoconf/programs.m4 (AC_PATH_TOOL, AC_CHECK_TOOL,
	AC_CHECK_TOOLS): Warn if a cross-tool is found without
	a prefix.
	(AC_PATH_TARGET_TOOL, AC_CHECK_TARGET_TOOL,
	AC_CHECK_TARGET_TOOLS): New macros.
	* doc/autoconf.texi (Generic Programs): Document
	(AC_PATH_TARGET_TOOL, AC_CHECK_TARGET_TOOL,
	AC_CHECK_TARGET_TOOLS, and warn for future changes
	in the behavior of AC_PATH_TOOL, AC_CHECK_TOOL and
	AC_CHECK_TOOLS.
	(Specifying Names): Document the reason for these future
	behavioral changes.
	* tests/mktests.sh: Do not generate tests for the
	new macros.
	* NEWS: Document these changes.

	* doc/autoconf.texi: Avoid macros with unbraced arguments,
	they make TeX hang up.

2004-03-15  Paul Eggert  <eggert@bogus.example.com>

	* NEWS: New macro AC_CHECK_ALIGNOF.
	* doc/autoconf.texi (Generic Compiler Characteristics): Document it.
	* lib/autoconf/types.m4 (AC_CHECK_SIZEOF): Use long int rather than
	int; avoid "a `$1'" since this isn't grammatical if $1 begins with a
	vowel.
	(AC_CHECK_ALIGNOF): New macro.
	* tests/mktests.sh (ac_exclude_list): Exclude AC_CHECK_ALIGNOF.
	* tests/semantics.at (AC_CHECK_ALIGNOF): Add tests similar to
	those for sizeof.

2004-03-03  Paul Eggert  <eggert@twinsun.com>

	* bin/Makefile.am (edit): Don't use $< in a context where
	POSIX doesn't require support for it.  Use $@.in instead.
	Problem reported by Anthony N. Frasso in
	<http://mail.gnu.org/archive/html/autoconf/2004-03/msg00008.html>.
	* bin/autoscan.in, bin/autoupdate.in: Add @configure_input@ comment.

2004-02-23  Gary V. Vaughan  <gary@gnu.org>

	* bin/autoreconf.in (autoreconf_current_directory): Recognize LT_INIT
	from the next generation of Libtool.
	* lib/autom4te.in (Autoreconf-preselections): Ditto.

2004-02-20  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (Limitations of Usual Tools) <mkdir>: `mkdir -p'
	is not always thread-safe.  Report from Nathanael Nerode.

2004-02-18  Paul Eggert  <eggert@twinsun.com>

	Fix a dependencies problem, stemming from a Autoconf 2.59 build
	problem on QNX reported by Stephen Rasku in
	<http://mail.gnu.org/archive/html/bug-autoconf/2004-02/msg00066.html>.

	* bin/Makefile.am ($(srcdir)/autoconf.in): Depend on
	$(m4sh_m4f_dependencies); this removes a FIXME.
	* tests/Makefile.am ($(srcdir)/wrapper.in): Likewise.
	(MAINTAINERCLEANFILES): Split into pieces,
	one per related section.  Add $(srcdir)/wrapper.in.

2004-02-09  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Setting Output Variables): Emphasize that
	AC_SUBST provides no portable way to escape literal newlines.

	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Ignore all
	flags of the form -lcrt*.o, not just -lcrt[01].o and -lcrtbegin.o.
	Darwin uses -lcrt2.o and there's little point to cataloging all
	the system variants.  Partial fix reported by Andreas Waechter in:
	http://mail.gnu.org/archive/html/autoconf-patches/2004-02/msg00006.html
	for bug reported by Nelson H. F. Beebe in:
	http://mail.gnu.org/archive/html/bug-autoconf/2003-12/msg00090.html

2004-02-04  Paolo Bonzini  <bonzini@gnu.org>

	* doc/autoconf.texi (AU_DEFUN): Fix English,
	suggested by Paul Eggert.
	* lib/autoconf/autoupdate.m4: Correct reference to
	acobsolete.m4, suggested by Alexandre Duret-Lutz.

2004-02-02  Paolo Bonzini  <bonzini@gnu.org>

	* bin/autoupdate.in: Define __file__ so that warnings
	refer to the correct file.
	* doc/autoconf.texi (AU_DEFUN): Describe more correctly
	the behavior of the third argument.
	* lib/autoconf/autoupdate.m4 (AU_DEFUN): Describe more
	correctly the behavior of the third argument.  Document
	what the three macros that AU_DEFUN defines do.  Fix
	warning message when the third argument includes $0
	(reported by Alexandre Duret-Lutz).

2004-01-30  Paolo Bonzini  <bonzini@gnu.org>
	    Eric Sunshine  <sunshine@sunshineco.com>
	    Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (M4SH-SANITIZE): New diversion.
	(AS_INIT): Output shell initialization there. Removed optional
	parameter. Expand _AS_SHELL_FN_SPY.
	(AS_INIT_WITH_SHELL_FN): Removed.
	(_AS_SHELL_FN_SPY): New macro.
	(AS_DETECT_REQUIRED, AS_DETECT_SUGGESTED): New
	macros.
	(AS_SHELL_SANITIZE): Remove loop to find better shell
	and documentation for the parameter.
	(_AS_DETECT_BETTER_SHELL): Move it here.
	(_AS_SHELL_FN_WORK): Remove shell invocation, reformat.
	(_AS_RUN): Move it here, support testing with eval.
	(AS_REQUIRE_SHELL_FN): Require shell functions when
	it is used.
	(_AS_LINENO_WORKS): Put around braces, we do not
	trigger the bash bug anymore.
	* lib/autotest/general.m4: Document M4SH-SANITIZE, do not
	use AS_INIT_WITH_SHELL_FN.
	* bin/autoconf.in, tests/wrapper.in: Regenerated.

2004-01-30  Paolo Bonzini  <bonzini@gnu.org>

	* bin/autoupdate.in: Trace AU_DEFINE instead of AU_DEFUN.
	* doc/autoconf.texi: Don't say that the third parameter
	is broken.
	* lib/autoconf/autoupdate.m4 (AU_DEFINE): New dummy macro.
	(AU_DEFUN): Honor the third parameter, create autoupdate
	macros with AU_DEFINE.
	* lib/autoconf/headers.m4 (AC_USG, AC_MEMORY_H,
	AC_DIR_HEADER): Use AU_DEFUN's third parameter.
	* lib/autoconf/lang.m4 (AC_LANG_SAVE): Likewise.
	* lib/autoconf/programs.m4 (AC_RSH): Likewise.
	* lib/autoconf/specific.m4 (AC_HAVE_POUNDBANG,
	AC_ARG_ARRAY, AC_CYGWIN, AC_EMXOS2, AC_MINGW32,
	AC_XENIX_DIR): Likewise.
	* lib/autoconf/types.m4 (AC_INT_16_BITS, AC_LONG_64_BITS,
	AC_STRUCT_ST_BLKSIZE, AC_STRUCT_ST_RDEV): Likewise.
	* lib/autoconf/status.m4: Remove FIXME.
	* tests/local.at (AT_CHECK_AU_MACRO): Ignore stderr, check
	that the macro is not present anymore in the updated
	configure.ac.
	* tests/tools.at (autoupdate AC_LINK_FILES): Ignore stderr
	of autoupdate.

2004-01-28  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/autotest.m4 (AC_CONFIG_TESTDIR): Add 2004 to
	copyright years.
	* lib/autoconf/general.m4 (_AC_INIT_COPYRIGHT): Add 1992 thorugh
	2003 (except 1997) to the list of copyright years.  This undoes
	the 2003-05-22 change, which removed the older years from the list.
	* lib/autoconf/status.m4 (AC_OUTPUT): Update copyright date to 2004.

2004-01-27  Gary V. Vaughan  <gary@gnu.org>
	    Albert Chin-A-Young  <china@thewrittenword.com>

	* lib/autoconf/programs.m4 (AC_PROG_GREP): New macro to test for a
	grep or ggrep program in PATH that accepts as long lines as
	possible.
	* lib/autoconf/programs.m4 (_AC_PROG_GREP): Factor out the core of
	AC_PROG_GREP.
	(AC_PROG_EGREP, AC_PROG_FGREP): Use it to find best available
	egrep and fgrep respectively if $GREP -E/-F don't work.
	(_AC_PATH_PROG_FEATURE_CHECK): Factor out the common core of
	_AC_PROG_GREP, and AC_PROG_SED.
	(_AC_FEATURE_CHECK_LENGTH): New helper macro for finding the
	longest input length accepted by a command.
	(AC_PROG_SED): Use it.
	* doc/autoconf.texi (Particular Programs): Document the changes.
	* NEWS: Updated.

2004-01-27  Paul Eggert  <eggert@twinsun.com>

	* bin/autoconf.as ($version): Update copyright from 2003 to 2004.
	* bin/autoheader.in, bin/autom4te.in, bin/autoreconf.in,
	bin/autoscan.in, bin/autoupdate.in, bin/ifnames.in: Likewise.
	* lib/autoconf/general.m4 (_AC_INIT_COPYRIGHT): Likewise.

	* Makefile.in, aclocal.m4, configure, bin/Makefile.in,
	bin/autoconf.in, config/Makefile.in, config/config.guess,
	config/config.sub, config/install-sh, config/mdate-sh,
	config/mkinstalldirs, config/texinfo.tex, doc/Makefile.in,
	lib/Makefile.in, lib/Autom4te/Makefile.in,
	lib/autoconf/Makefile.in, lib/autoscan/Makefile.in,
	lib/autotest/Makefile.in, lib/emacs/Makefile.in,
	lib/m4sugar/Makefile.in, man/Makefile.in, man/autoconf.1,
	man/autoheader.1, man/autom4te.1, man/autoreconf.1,
	man/autoscan.1, man/autoupdate.1, man/config.guess.1,
	man/config.sub.1, man/ifnames.1, tests/Makefile.in,
	tests/acc.at, tests/acfortran.at, tests/acfunctions.at,
	tests/acgeneral.at, tests/acheaders.at, tests/aclang.at,
	tests/aclibs.at, tests/acspecific.at, tests/acstatus.at,
	tests/actypes.at: Regenerate and/or sync with original
	sources.

2004-01-26  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Default Includes): Include <stdint.h> even if
	HAVE_INTTYPES_H is defined.  This is needed on Tru64 5.1b with
	Compac C V6.5-207 (dtk), which defines uintmax_t in <stdint.h> but
	not <inttypes.h>.  Problem reported by Tim Mooney in
	<http://mail.gnu.org/archive/html/bug-coreutils/2004-01/msg00147.html>.
	* lib/autoconf/headers.m4 (_AC_INCLUDES_DEFAULT_REQUIREMENTS):
	Likewise.

	* lib/autoconf/programs.m4 (AC_PROG_SED): Use diff, not sed;
	otherwise "make check" fails because it forbids cmp (I guess
	because cmp treats files as binary on DOS-like systems).

	* tests/mktests.sh: Update copyright date to 2004, since some tests
	have changed in 2004.

2004-01-23  Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/programs.m4 (AC_PROG_SED):  New macro to test for a
	non-truncating sed or gsed program in PATH.
	* tests/acprograms.at: Add it.
	* doc/autoconf.texi (Particular Programs): Document it.
	* NEWS: Updated.

2004-01-15  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/c.m4 (_AC_PROG_CC_STDC): Try -std, not -std1, since
	-std1 disables some useful extensions on Tru64.  Problem reported
	by N. Lichtmaier in
	<http://mail.gnu.org/archive/html/autoconf/2004-01/msg00100.html>.

2004-01-14  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Programming in M4sh): Document that
	AS_MKDIR_P succeeds if the destination is a symbolic link
	to an existing directory.
	(Limitations of Usual Tools): Note that mkdir -p might not
	succeed on symlinks to directories.

2004-01-13  Paul Hilfinger  <hilfinger@CS.Berkeley.EDU>

	* lib/autoconf/autoupdate.m4 (AU_DEFUN): Grammar fix in comment.
	* bin/autoheader.in: Grammar fix in message.
	* lib/m4sugar/m4sh.m4 (AS_MKDIR_P):
	Test for dir before calling mkdir -p.  (trivial changes)

2004-01-13  Eric Blake  <ebb9@byu.net>

	* doc/autoconf.texi (Obsolete Macros): In AC_TRY_COMPILE and
	AC_TRY_LINK, s/AC_LANG_SOURCE/AC_LANG_PROGRAM/.  (trivial change)

2004-01-10  Jim Meyering  <jim@meyering.net>

	* doc/autoconf.texi (Running the Preprocessor): Correct grammar.

2004-01-09  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/general.m4: Fix bug: AC_CHECK_SIZEOF evokes a warning
	with `autoconf -Wall,error'.  Bug reported by Eric Blake in:
	http://mail.gnu.org/archive/html/autoconf-patches/2004-01/msg00000.html
	(_AC_COMPUTE_INT_COMPILE): Invoke _AC_COMPILE_IFELSE, not
	AC_COMPILE_IFELSE, since we now assume our caller invokes
	AC_LANG_COMPILER_REQUIRE, for symmetry with _AC_COMPUTE_INT_RUN.
	(_AC_COMPUTE_INT_RUN): Likewise, for _AC_RUN_IFELSE instead
	of AC_RUN_IFELSE; this avoids the warning mentioned above.
	(_AC_COMPUTE_INT): Invoke AC_LANG_COMPILER_REQUIRE.

2004-01-07  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/general.m4 (_AC_LIBOBJS_NORMALIZE): Avoid \$ inside
	`"'...'"`, as it's confusing (and I suspect it may not work on
	some platforms).  The code was incorrect anyway, as it assumed
	that \$ evaluated to itself in that context.  Reported by
	Alexandre Duret-Lutz.

2004-01-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Automake-preselections): Preselect AC_LIBTOOL_TAGS
	and _LT_AC_TAGCONFIG.

2004-01-06  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (One Macro Call): Fix an incorrect
	example, and add more examples.  Reported by Eric Sunshine.

2004-01-05  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Limitations of Usual Tools):
	Remove warning against "rm -fr" introduced yesterday; it
	was a false alarm.

	* bin/Makefile.am (autoconf, autoheader, autom4te, autoreconf,
	autoscan, autoupdate, ifnames): Don't use chmod -w.
	* lib/Makefile.am (autom4te.cfg): Likewise.
	* doc/autoconf.texi (Limitations of Usual Tools): Warn against
	"chmod -w".

2004-01-04  Paul Eggert  <eggert@twinsun.com>
	    Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (_AS_LINENO_PREPARE): Speed up sed scripts
	by doing lineno substitution only on lines containing "$LINENO".

2004-01-04  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/general.m4 (AC_ARG_PROGRAM):
	Use "rm -f" to remove conftest.sed, not plain "rm".
	Bug reported by David Relson in
	<http://mail.gnu.org/archive/html/autoconf/2004-01/msg00011.html>.

	* Makefile.am (autom4te-update):
	Replace "rm -rf" and "rm -fr" with "rm -f -r", as POSIX requires.
	* Makefile.maint (my-distcheck, do-po-update): Likewise.
	* doc/autoconf.texi (Guidelines): Likewise.
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Likewise.
	* lib/autoconf/libs.m4 (_AC_PATH_X_XMKMF): Likewise.
	* lib/autoconf/specific.m4 (AC_SYS_LONG_FILE_NAMES): Likewise.
	* lib/autotest/general.m4 (AT_INIT): Likewise.
	* lib/m4sugar/m4sh.m4 (AS_TMPDIR): Likewise.
	* tests/Makefile.am (clean-local): Likewise.
	* tests/tortue.at (AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS,
	srcdir): Likewise.
	* doc/autoconf.texi (Limitations of Usual Tools):
	Warn against "rm -fr".

2004-01-03  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Limitations of Usual Tools): Mention that cc
	-c -o might not work.  From a suggestion by Kevin Ryde.
	(C Compiler, Generating Sources, Limitations
	of Usual Tools, Limitations of Make, Making testsuite Scripts):
	Don't put '-o' after non-options, as POSIX doesn't allow this.
	Mention that cc's name might be gcc or c89 or whatever.

2004-01-04  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi: Add various further index entries.

2003-12-29  Paul Eggert  <eggert@twinsun.com>

	* bin/autoreconf.in (autoreconf_current_directory):
	Fix typo: mkdir without umask arg.

2003-12-27  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (Limitations of Make) <Automatic rule rewriting>:
	Documents OSF1/Tru64 make behavior.  Replace `VPATH = ../src' by
	`VPATH = ../pkg/src' in examples to make the OSF1/Tru64 make
	explanation clearer.

2003-12-24  Andreas Schwab  <schwab@suse.de>

	* doc/autoconf.texi (Default Includes): Fix misspelling of
	AC_INCLUDES_DEFAULT.

2003-12-03  Paolo Bonzini  <bonzini@gnu.org>

	* configure.ac: Test if sh -n works.
	* configure: Regenerate.
	* tests/atlocal.in: Store the result here.
	* tests/local.at (AT_CHECK_SHELL_SYNTAX): Extracted from
	tools.at, looking in atlocal's ac_cv_sh_n_works instead
	of explicitly testing.
	(AT_CHECK_PERL_SYNTAX): Moved from tools.at.
	(AT_CHECK_AUTOCONF): Test for the configure script syntax.
	* tests/tools.at (Syntax of the shell scripts): Simplify
	using AT_CHECK_SHELL_SYNTAX.
	(Syntax of the Perl scripts): Remove definition of
	AT_CHECK_PERL_SYNTAX.

2003-12-03  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (_AS_SHELL_FN_WORK): Redirect
	stderr to /dev/null.
	* bin/autoconf.in: Regenerate.
	* bin/wrapper.in: Regenerate.

2003-11-26  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (_AS_BOURNE_COMPATIBLE):
	Extracted from AS_SHELL_SANITIZE.
	(_AS_SHELL_FN_WORK, AS_INIT_WITH_SHELL_FN): New
	macros.
	(AS_SHELL_SANITIZE): Move reinvocation code from
	_AS_LINENO_WORKS, use it to find out if shell
	functions work.
	(_AS_LINENO_WORKS): Don't find another shell if $LINENO
	does not work.
	(AS_INIT): Pass parameter down to AS_SHELL_SANITIZE.
	(AS_REQUIRE_SHELL_FN): Test that AS_INIT_WITH_SHELL_FN
	was called.
	* lib/autotest/general.m4: Use AS_INIT_WITH_SHELL_FN.
	* bin/autoconf.in: Regenerate.
	* tests/wrapper.in: Regenerate.
	* tests/tools.at: Test the syntax of tests/autoconf
	and tests/testsuite.

2003-11-24  Akim Demaille  <akim@epita.fr>

	* config/announce-gen (&print_locations, &print_signatures)
	(&sizes): New.
	Use them.
	No longer rely on Gnus to inline the list of signatures: compute
	them on the fly.

2003-11-24  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Particular Programs): AC_PROG_LEX can
	override some files.
	(Input): AC_CONFIG_AUX_DIR(aux) is a bad idea on DOS.
	From Debian Autoconf 2.58.

2003-11-24  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/status.m4 (_AC_OUTPUT_SUBDIRS): Quote $ac_popdir
	uses.
	From Debian Autoconf 2.58.

2003-11-24  Paolo Bonzini  <bonzini@gnu.org>

	* TODO: Remove already done things.  Update the part about finding
	tools for the target.

2003-11-24  Paolo Bonzini  <bonzini@gnu.org>

	* lib/autoconf/headers.m4 (AC_USG, AC_MEMORY_H, AC_DIR_HEADER):
	Make wording more consistent.
	* lib/autoconf/specific.m4 (AC_CYGWIN, AC_EMXOS2, AC_MINGW32):
	Explain the transition better.
	* lib/autoconf/types.m4 (AC_INT_16_BITS, AC_LONG_64_BITS): Explain
	the transition better.

2003-11-24  Paolo Bonzini  <bonzini@gnu.org>

	* doc/autoconf.texi (Obsoleting Macros): Don't document the third
	parameter of AU_DEFUN.
	* lib/autoconf/autoupdate.m4 (AU_DEFINE): Remove.
	(AU_DEFUN): Remove the third parameter, it was not used.
	Use AC_DEFUN directly, not AU_DEFINE.
	* lib/autoconf/status.m4 (AC_LINK_FILES): Move the message into
	the expanded body, consistently with other macros such as AC_USG.

2003-11-17  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Put at least 14 bytes
	into the initial confdefs.h, to work around a bug in NextStep 3.3
	patch 3 reported by Eric Sunshine.

2003-11-15  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Using System Type): Revise, showing $host rather
	than $target since the latter is not usual, add guidelines on when to
	use or not use the system type.

2003-11-12  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Limitations of Usual Tools): Fix what looks like a
	typo misrepaired by an auto-spellcheck.

2003-11-12  Akim Demaille  <akim@epita.fr>

	* bin/autoreconf.in (&parse_args): Don't call automake with
	--force-missing unless it actually supports it.
	From Debian #219336.

2003-11-12  Akim Demaille  <akim@epita.fr>

	* configure.ac: Bump to 2.59a.
	Require 2.59.

2003-11-06  Akim Demaille  <akim@epita.fr>

	Version 2.59.

2003-11-05  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autoconf/status.m4 (_AC_SRCPATHS): Fix use of AS_SET_CATFILE
	so that ac_abs_builddir, ac_abs_top_builddir, ac_abs_srcdir,
	and ac_abs_top_srcdir are absolute paths.
	* lib/m4sugar/m4sh.m4 (AS_SET_CATFILE): Remove misleading comment.

2003-11-05  Akim Demaille  <akim@epita.fr>

	* configure.ac: Bump to 2.58a.

2003-11-05  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Using Autotest): Avoid @strong{Note: ...}, since
	it provokes a warning from makeinfo about looking like a cross
	reference in info output.

	* doc/autoconf.texi (Function Portability): Add notes on signal
	handler return type, as per AC_TYPE_SIGNAL.

2003-11-04  Akim Demaille  <akim@epita.fr>

	Version 2.58.
	* doc/standards.texi: Update from master.

	* tests/mktests.sh (ac_exclude_list): Add AC_FC_FREEFORM.

2003-11-04  Akim Demaille  <akim@epita.fr>

	AC_CONFIG_FILE([d1/foo:d2/foo]) triggers error messages when
	computing the absolute path to d1 in the source hierarchy: it may
	not exist at all.  So don't cd into it.
	From Alexandre Duret-Lutz.
	http://mail.gnu.org/archive/html/bug-autoconf/2003-10/msg00205.html

	* lib/m4sugar/m4sh.m4 (AS_SET_CATFILE): New.
	From Paul Eggert, but named after Perl's IO::Spec->catfile.
	* doc/autoconf.texi (Programming in M4sh): Document.
	* lib/autoconf/status.m4 (_AC_SRCPATHS): Use it.

2003-11-03  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Generic Structure Checks): Describe
	action-if-found and action-if-not-found in AC_CHECK_MEMBERS.

2003-10-31  Akim Demaille  <akim@epita.fr>

	* tests/fortran.at (GNU Fortran 77): Don't run FC macros.
	(GNU Fortran): New.
	* doc/autoconf.texi (Language Choice): Document.
	* lib/autoconf/fortran.m4 (AC_FC_SRCEXT, AC_FC_FREEFORM): Assert
	the current language is Fortran.

2003-10-31  Akim Demaille  <akim@epita.fr>

	* bin/autom4te.in (&freeze): Use a less likely warning separator
	than `\n\n', so that `\n\n\n' is valid in warnings.
	Reported by Steve Huston.

2003-10-28  Akim Demaille  <akim@epita.fr>

	* Makefile.cfg (local_updates, executable-update): Tweak to be
	robust to parallel makes.
	Suggested by Alexandre Duret-Lutz.

2003-10-27  Akim Demaille  <akim@epita.fr>

	* Makefile.cfg (executable-update): New.
	(local_updates): Call it.

2003-10-27  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (_AC_RUN_IFELSE, _AC_INIT_PREPARE):
	Don't remove core.* as it may remove valid user files.
	* lib/autoconf/functions.m4 (AC_FUNC_SETVBUF_REVERSED)
	(AC_FUNC_UTIME_NULL): Likewise.

2003-10-23  Akim Demaille  <akim@epita.fr>

	Version 2.57g.
	* config/config.guess, config/config.sub: Upgrade from masters.

2003-10-23  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/fortran.m4 (AC_FC_SRCEXT): Functions using
	AC_COMPILE_IFELSE that use break skip the clean up.  So do it by
	hand...

2003-10-23  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (_AC_LINK_IFELSE, _AC_COMPILE_IFELSE):
	Don't forget to remove conftest.err.

2003-10-23  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (_AC_LIBOBJ): Don't insert twice the
	same object file in $LIBOBJS.
	Reported by Alexandre Duret-Lutz & Derek Robert Price.
	* doc/autoconf.texi (Generic Functions): Adjust.

2003-10-20  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (_AS_TR_SH_PREPARE, _AS_TR_CPP_PREPARE):
	Use 'eval', so that the resulting configure scripts work even if
	the current directory has a weird file name like 'y%s+%pp%;s%@%_%g'.

2003-10-20  Daniel Jacobowitz  <drow@mvista.com>

	* lib/autoconf/lang.m4 (AC_LANG_WERROR): New macro.
	* lib/autoconf/general.m4 (_AC_COMPILE_IFELSE, _AC_PREPROC_IFELSE)
	(_AC_LINK_IFELSE): Check the werror flag.
	* doc/autoconf.texi (Generic Compiler Characteristics): Document
	AC_LANG_WERROR.
	* NEWS: Mention it.

2003-10-20  Daniel Jacobowitz  <drow@mvista.com>

	* lib/autoconf/lang.m4 (AC_NO_EXECUTABLES): Override
	_AC_COMPILER_EXEEXT to attempt a link.  If linking fails,
	override AC_LINK_IFELSE.

2003-10-15  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (_AS_UNSET_PREPARE): Work around a bug in
	pdksh 5.2.14.  Bug reported by Ralf Corsepius.
	* doc/autoconf.texi (Shellology): Mention the Korn shell and pdksh.
	Mention /usr/dt/bin/dtksh on Solaris.
	(Shell Substitutions): Warn about $((...)).
	(Parentheses): New section.

2003-10-15  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Function Portability): Add @prindex for exit.
	Add putenv and unsetenv.  Add sysconf _SC_PAGE_SIZE.

2003-10-13  Nathanael Nerode  <neroden@gcc.gnu.org>

	* lib/autoconf/functions.m4 (AC_FUNC_FORK): Trivial fix for vfork
	cross test.

2003-10-11  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Use the new official
	name for the GNU Fortran 95+ compiler, 'gfortran', not 'g95'.

2003-10-10  Andreas Schwab  <schwab@suse.de>

	* bin/autoheader.in: Avoid empty first line in --version and
	--help output.
	* bin/ifnames.in: Likewise.

2003-10-09  Paul Eggert  <eggert@twinsun.com>

	* lib/Autom4te/XFile.pm: Don't assume -j is solo.
	Issue a more-informative diagnostic.
	Problems reported by Eric Sunshine.

2003-10-08  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_V_OUTPUT): Omit quoted
	-mGLOB_options_string stuff for Intel ifc, which can cause
	_AC_FC_LIBRARY_LDFLAGS to fail.  Use (faster) case for
	pattern-matching instead of grep.

2003-10-08  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Document new FC Fortran macros.

2003-10-08  Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/general.m4 (AC_CONFIG_MACRO_DIR): Stub out a macro
	that future autopoint/aclocal/automake/autoreconf will be able
	to trace to find where to install local m4 macros.
	* doc/autoconf.texi (Input): Document it.
	* NEWS: Updated.

2003-10-06  Gary V. Vaughan  <gary@gnu.org>

	* lib/autoconf/fortran.m4 (_AC_FC_LIBRARY_LDFLAGS): Add
	-lcrtbegin.o to list of ignored flags and fix underquoting of
	-lcrt[01].o.

2003-10-04  Steven G. Johnson  <stevenj@ab-initio.mit.edu>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC_G): Use language-specific
	cache variable instead of $G77 to decide whether to include -O2,
	since $G77 is specific to Fortran 77.

2003-10-03  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (AC_FC_FREEFORM): Support Absoft "-f
	free" flag.  Re-order flags tested into rough order of popularity.

2003-10-03  Steven G. Johnson  <stevenj@alum.mit.edu>

	* lib/autoconf/fortran.m4 (AC_PROG_FC): Reverse the order of the
	arguments so that it can be used with syntax identical to
	AC_PROG_F77, and so that we can more easily decide to
	remove/deprecate the DIALECT optional argument in the future if it
	proves troublesome.
	(AC_FC_FREEFORM): Exit 77 upon failure to fix test suite for
	non-freeform-supporting compilers.  Document freeform flags.

2003-10-03  Akim Demaille  <akim@epita.fr>

	* configure.ac: Look for emacs, not macs.
	Reported by Eric Sunshine.

2003-10-03  Akim Demaille  <akim@epita.fr>

	* lib/autom4te.in (Autoreconf-preselections): Trace AC_CONFIG_AUX_DIR.
	* bin/autoreconf.in (autoreconf_current_directory): Create the
	AUX_DIR if needed, for sake of automake --add-missing etc.
	Suggested by Alexandre Duret-Lutz.

2003-10-03  Akim Demaille  <akim@epita.fr>

	* configure.ac: Quotation and formatting changes.
	(EMACS): Don't set it if it is not recent enough to support
	autoconf-mode.el.
	From Eric Sunshine.

2003-10-02  Akim Demaille  <akim@epita.fr>

	* bin/ifnames.in (&scan_file): Skip C++ comments.
	From Jeremy Yallop.

2003-10-01  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Particular Structure Checks):
	Fix misspelling of HAVE_STRUCT_STAT_ST_BLOCKS.

2003-10-01  Akim Demaille  <akim@epita.fr>

	Version 2.57f.

2003-09-30  Paul Eggert  <eggert@twinsun.com>

	* lib/Autom4te/XFile.pm: Use Errno.
	(lock): Ignore ENOLCK errors.  Problem reported Andreas Schwab in
	<http://mail.gnu.org/archive/html/bug-autoconf/2003-09/msg00141.html>.

2003-09-30  Akim Demaille  <akim@epita.fr>

	* config/announce-gen (&print_news_deltas): Extracted from...
	(&print_changelog_deltas): here.
	(&news_file): Rename as...
	(@news_file): this.

2003-09-30  Nicolas Joly  <njoly@pasteur.fr>

	* lib/autoconf/fortran.m4 (_AC_PROG_FC): Remove files which might
	have been created when invoking the compiler.
	* tests/fortran.at (GNU Fortran 77): Quote $G77.

2003-09-29  Akim Demaille  <akim@epita.fr>

	Version 2.57e.

	* config/mkinstalldirs: Upgrade.

2003-09-28  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (AS_SHELL_SANITIZE): Set DUALCASE=1, for MKS sh.
	Problem reported by Lars J. Aas in
	<http://mail.gnu.org/archive/html/autoconf/2003-07/msg00042.html>.
	(_AS_MKDIR_P_PREPARE): Change "rm -fr ./-p" to the more-conservative
	"test -d ./-p && rmdir ./-p".  Suggested by Andreas Schwab in:
	http://mail.gnu.org/archive/html/autoconf-patches/2003-09/msg00039.html

2003-09-26  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/status.m4 (_AC_OUTPUT_COMMANDS): Make sure the
	directory for AC_CONFIG_COMMANDS' first argument exists.
	This makes valid the invocation of _AC_SRCPATH that follows.
	Reported by Eric Sunshine.
	* doc/autoconf.texi (Configuration Commands): Adjust.

2003-09-26  Akim Demaille  <akim@epita.fr>

	* bin/autoscan.in (Autom4te::FileUtils): Use it for find_file.
	Reported by Ralf Corsepius.

2003-09-26  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (AC_HELP_STRING): Don't overquote the
	arguments.
	Actually, use AU_ALIAS.
	From Bruno Haible.

2003-09-26  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (_AS_MKDIR_P_PREPARE): If mkdir -p . fails,
	rm -fr ./-p to remove junk left behind on NextStep and OpenStep.
	Problem reported by Eric Sunshine in:
	http://mail.gnu.org/archive/html/autoconf-patches/2002-12/msg00014.html

2003-09-26  Akim Demaille  <akim@epita.fr>

	The test suite are sometimes assigning timings incorrectly.
	Reported by Henk Krus.
	Diagnosed by Nicolas Joly.

	* lib/autotest/general.m4 (AT_CLEANUP): Rename AT_help as
	AT_help_all.
	Instead of making AT_help a sequence of assignments to grow
	$at_help_all, just make AT_help_all be the growing contents of
	$at_help_all, and make a single assignment in...
	(AT_INIT): here.
	(at_times_skip): Flip the meaning and rename as...
	(at_times_p): this.
	(AT_INIT): When summarizing the test that ran, remove
	$at_times_file after use, and check it is present before trying to
	use it.

2003-09-25  Akim Demaille  <akim@epita.fr>

	Version 2.57d.

	* bin/Makefile.am (edit): Handle '@configure_input@'.
	(autoconf, autoheader, autom4te, autoreconf, autoscan, autoupdate)
	(ifnames): chmod -w.
	* tests/wrapper.as (AUTOCONF, AUTOM4TE, ): Point to tests/
	executables, not bin/ executables!  Otherwise all the magic needed
	to find non installed files is turned off.  This caused a failure
	of test 40 and 41 that ran aclocal 1.8 which in turn ran autom4te
	as found in its environment (sent by tests/autoreconf): pointing
	to bin/autom4te that could not find its files.
	* tests/mktests.sh: Force the replacement of generated files, for
	the sake of "mv" program that are interactive when overwriting a
	-w file.
	* config/install-sh: Upgrade from CVS Automake.

2003-09-23  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Limitations of Builtins): Document test -h
	versus test -L issues.

2003-09-23  Daniel Jacobowitz  <drow@mvista.com> and
	    Paul Eggert  <eggert@twinsun.com>

	Trivial change to support GCC's configuration procedure.
	* lib/autoconf/c.m4 (AC_PROG_CPP_WERROR): New macro.
	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): Don't warn
	about inconsistency if the preprocessor is set to give errors for
	any warning.
	* doc/autoconf.texi (C Compiler Characteristics): Document this.

2003-09-13  Alexandre Duret-Lutz  <adl@gnu.org>

	* Makefile.am (autom4te-update, autom4te_files): Fetch Struct.pm
	and XFile.pm from Automake.
	* lib/Autom4te/XFile.pm: Update from Automake.

2003-09-12  Akim Demaille  <akim@epita.fr>

	Version 2.57c.

2003-09-12  Akim Demaille  <akim@epita.fr>

	* config/config.guess, config/config.sub, config/missing,
	* lib/Autom4te/Channels.pm, lib/Autom4te/Configure_ac.pm: Update
	from masters.

2003-09-12  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Portability): Promote linux/types.h,
	not asm/types.h.

2003-09-11  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Portability): linux/random.h.
	From Peter Hendrickson.

2003-09-10  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh (au_exclude_egrep): Make it harder to be
	willing to edit the output files.

2003-09-10  Akim Demaille  <akim@epita.fr>

	* tests/fortran.at (GNU Fortran 77): Also exercise AC_FC_SRCEXT
	and AC_FC_FREEFORM.
	* tests/mktests.sh: Skip AC_FC_SRCEXT.
	* lib/autoconf/fortran.m4 (AC_FC_SRCEXT, AC_FC_FREEFORM): Likewise.

2003-09-09  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/FileUtils.pm (&update_file): s/cannot not/cannot/g.
	Reported by Gary Vaughan.
	* bin/autom4te.in (handle_m4): Likewise.

2003-09-09  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/FileUtils.pm (&update_file): Be sure not to leave
	trailing files.

2003-09-07  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/specific.m4 (AC_SYS_RESTARTABLE_SYSCALLS):
	Improve the accuracy of the wording about obsolescence.
	From a suggestion by Ian Lance Taylor in
	<http://mail.gnu.org/archive/html/autoconf/2003-09/msg00044.html>.

2003-09-05  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/fortran.m4 (AC_FC_FREEFORM): Try -ffree-form too,
	for the benefit of g77 3.2.  Fix suggested by Steven G. Johnson.

2003-09-04  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh (ac_exclude_list): Fix the filtering of
	AC_FUNC_WAIT3.

2003-09-04  Akim Demaille  <akim@epita.fr>

	* bin/autom4te.in: Use &fatal where more appropriate than &error.
	(freeze): When exiting, use $exit_code.
	* lib/autoconf/fortran.m4: Comment changes.

2003-09-04  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh (ac_exclude_list): Add AC_FC_FUNC.

2003-09-02  Steven G. Johnson  <stevenj@alum.mit.edu>

	Add support for newer Fortran dialects.  The F77 interface is
	unchanged, and continues to support Fortran 77.  New FC macros
	correspond to all the old F77 macros, with output variables FC,
	FCFLAGS, and FCLIBS.  AC_PROG_FC defaults to picking the newest
	available dialect, but older dialects can be specified.  There are
	new macros AC_FC_SRCEXT to set the source extension, and
	AC_FC_FREEFORM to accept free-form source files.

	* lib/autoconf/c.m4 (_AC_LANG_PREFIX(C), _AC_LANG_PREFIX(C++)):
	New macros.
	(AC_LANG_PROGRAM(C)): Invoke _AC_LANG_PROGRAM_C_FC_HOOKS if defined.
	* lib/autoconf/fortran.m4 (AC_LANG(Fortran), _AC_FORTRAN_ASSERT,
	_AC_LANG_ABBREV(Fortran), _AC_LANG_PREFIX(Fortran 77),
	_AC_LANG_PREFIX(Fortran), _AC_FC, AC_LANG_SOURCE(Fortran),
	AC_LANG_PROGRAM(Fortran), AC_LANG_CALL(Fortran),
	AC_LANG_PREPROC(Fortran), AC_LANG_COMPILER(Fortran),
	_AC_FC_DIALECT_YEAR, _AC_F95_FC, _AC_F90_FC, _AC_F77_FC,
	_AC_PROG_FC, AC_PROG_FC, _AC_PROG_FC_G, _AC_PROG_FC_C_O,
	AC_PROG_FC_C_O, _AC_PROG_FC_V_OUTPUT, _AC_PROG_FC_V,
	_AC_FC_LIBRARY_LDFLAGS, AC_FC_LIBRARY_LDFLAGS, _AC_FC_DUMMY_MAIN,
	AC_FC_DUMMY_MAIN, _AC_FC_MAIN, AC_FC_MAIN, __AC_FC_NAME_MANGLING,
	_AC_FC_WRAPPERS, AC_FC_WRAPPERS, _AC_FC_FUNC, AC_FC_FUNC,
	AC_FC_SRCEXT, AC_FC_FREEFORM):
	New macros.
	(AC_PROG_F77, AC_PROG_F77_C_O, AC_F77_LIBRARY_LDFLAGS,
	AC_F77_DUMMY_MAIN, AC_F77_MAIN, _AC_F77_NAME_MANGLING,
	AC_F77_NAME_MANGLING, AC_F77_WRAPPERS, AC_F77_FUNC):
	Rewrite in terms of the above.
	(_AC_PROG_F77_G, _AC_PROG_F77_V_OUTPUT, _AC_PROG_F77_V): Remove.
	* lib/autoconf/lang.m4 (_AC_LANG_PREFIX): New macro.
	* tests/acfortran.at: Test AC_FC_FREEFORM, AC_FC_FUNC,
	AC_FC_MAIN, AC_FC_SRCEXT, AC_FC_WRAPPERS, AC_PROG_FC_C_O.

2003-09-02  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Limitations of Usual Tools, Limitations of Make):
	Document problems with timestamp resolution that 'make', 'cp -p', and
	'touch -r' have.

2003-08-27  Akim Demaille  <akim@epita.fr>

	* tests/m4sugar.at (cross_warning): Make sure to enable the
	output, so that we can track spurious m4sugar output.
	* tests/local.at: Require 2.57.
	(AT_CHECK_M4SUGAR, AT_CHECK_M4SH): Don't m4_default the arguments that
	are defaulted by AT_CHECK anyway.
	Use AT_CHECK_AUTOM4TE.
	* lib/m4sugar/m4sugar.m4: There should be no output at all: add a
	missing dnl.

2003-08-27  Akim Demaille  <akim@epita.fr>

	* bin/autoheader.in: Issue the "Using auxiliary..." message only
	when -Wobsolete is set.
	Set it on by default.
	Suggested by Klee Dienes.

2003-08-27  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (AC_FUNC_FSEEKO, AC_SYS_LARGEFILE): More
	documentation.
	From Guido Draheim.

2003-08-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Output): Make clear that one can run code
	after AC_OUTPUT.

2003-08-25  Akim Demaille  <akim@epita.fr>

	* config/announce-gen, GNUmakefile, Makefile.maint: Update from
	CVS Bison.

2003-08-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* bin/autoreconf.in (parse_args): Do not pass --no-force to
	Automake versions prior to 1.8.

2003-08-25  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Portability): netinet/if_ether.h.
	From Ville Karaila.

2003-08-24  Akim Demaille  <akim@epita.fr>

	* configure.ac: Bump to 2.57c.

2003-08-22  Akim Demaille  <akim@epita.fr>

	Version 2.57b.

	* Makefile.cfg (local-checks-to-skip): New.
	* Makefile.maint (local-check): Rename as...
	(local-checks-available): this.
	(local-check): New.

	* Makefile.am (EXTRA_DIST): Add Makefile.cfg.
	* configure.ac: Require Automake 1.7.6.

2003-08-22  Akim Demaille  <akim@epita.fr>

	Output stack traces in warnings.

	* lib/m4sugar/m4sugar.m4 (_m4_warn): New.
	Replace the former...
	(m4_warn): Pass the call stack to _m4_warn.
	* bin/autom4te.in: Adjust to output the call stack.
	* tests/m4sugar.at (m4@&t@_warn): Adjust.

2003-08-22  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/Request.pm, lib/Autom4te/C4che.pm: New.
	* bin/autom4te.in: Adjust.

2003-08-21  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/General.pm (&file_name_is_absolute): Remove.
	(&verbose): Remove.
	(&getopt): Adjust the note and verb channels, depending upon
	--verbose.
	* bin/autoheader.in, bin/autom4te.in, bin/autoscan.in,
	* bin/autoupdate.in: Adjust.
	Use &verb, not &verbose.

2003-08-21  Akim Demaille  <akim@epita.fr>

	* bin/autoheader.in (&parse_args): Use &parse_warnings and
	&parse_WARNINGS.
	($help): Use Autom4te::ChannelDefs::usage.
	* bin/autoscan.in: Use Autom4te::ChannelDefs.
	* lib/Autom4te/General.pm: Don't export error: you don't own it.

2003-08-21  Akim Demaille  <akim@epita.fr>

	First stab at preserving warnings between calls to autom4te,
	including when the cache is used.

	There are still several issues: (i) there are too many runs of m4
	(one for include, one for warnings, and some more), (ii) warnings
	spreading on several lines are not handled gracefully, (iii) the
	code meant to have the call stack display for errors does not work
	(its handling should move from m4 to autom4te).

	* bin/autom4te.in Autom4te::Channels, Autom4te::ChannelDefs):
	Use them.
	(@preselect): Add m4_warn.
	($exit_status): Remove, use $exit_code.
	($help): Use Autom4te::ChannelDefs::usage.
	(&handle_m4): No longer define the m4_warnings.
	At each run, extract and report the warnings.
	Always cache the result, including if the exit status is on
	failure, since if nothing changes, we should result in the same
	failure, hence we can use the cache.
	* lib/m4sugar/m4sugar.m4 (m4_warning_ifelse, _m4_warning_ifelse)
	(_m4_warning_error_ifelse, __m4_warning_error_ifelse, _m4_warn):
	Remove.
	(m4_warn): Redefine as a do-nothing: it is its invocation that
	matters, as warnings are now reported via traces.
	* lib/autoconf/general.m4 (AC_DIAGNOSE): Don't make it a copy of
	the contents of m4_warn: make it _call_ m4_warn, so that tracing
	the latter reveals calls to the former.

	Adjust the tests.

	* tests/m4sugar.at (m4@&t@_warn): Use existing warning categories.

2003-08-21  Akim Demaille  <akim@epita.fr>

	* bin/autoreconf.pm (Autom4te::Channels, Autom4te::ChannelDefs):
	Use them.

2003-08-21  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/FileUtils.pm (&find_file): Walk the @include in
	forward order.
	* lib/Autom4te/ChannelDefs.pm: Doc typos.
	(&parse_warnings): Accept a list of warning requests.
	(&usage): Return a string, not a side effect.
	(cross): New warning category.

2003-08-21  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/Configure_ac.pm (&find_configure_ac)
	(&require_configure_ac): Accept an optional directory argument.
	($configure_ac): Remove.
	* lib/Autom4te/General.pm (&find_configure_ac, &canonfile)
	(&catfile): Remove.
	* bin/autoheader.in, bin/autoreconf.in, bin/autoupdate.in,
	* bin/autoscan.in: Adjust.

2003-08-20  Akim Demaille  <akim@epita.fr>

	* bin/autoheader.in: Remove duplicate 'use Autom4te::FileUtils'.
	Reported by Alexandre Duret-Lutz.

2003-08-20  Akim Demaille  <akim@epita.fr>

	* bin/autoupdate.in, bin/autoheader.in, bin/autoreconf.in,
	* bin/autom4te: Adjust.
	In particular, be Autoconf tools are really silent when properly
	working, bind the verbosity of the 'note' channel to $verbose.
	* lib/Autom4te/General.pm (&find_file, &mtime, &update_file)
	(&xsystem, &contents): Remove, since they are exported by...
	* lib/Autom4te/FileUtils.pm: this.
	More perldoc.
	* lib/Autom4te/General.pm (&up_to_date_p): Move to...
	* lib/Autom4te/FileUtils.pm: here.

2003-08-20  Akim Demaille  <akim@epita.fr>

	* lib/Autom4te/Channels.pm, lib/Autom4te/ChannelDefs.pm
	* lib/Autom4te/Configure_ac.pm, lib/Autom4te/FileUtils.pm: New,
	from CVS Automake.

2003-08-20  Akim Demaille  <akim@epita.fr>

	* Makefile.am (automake_cvsweb, automake_cvsargs, autom4te_files)
	(autom4te-update): New.
	* Makefile.cfg (update): Bind autom4te-update.

2003-08-19  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4: Comment various HELP_* diversions.
	(PARSE_ARGS_BEGIN): New section for option parsing related
	initialization.
	(AT_ARG_OPTION,AT_ARG_OPTION_ARG,_AT_ARG_OPTION): New macros to define
	package specific options and associated help.

2003-08-19  Akim Demaille  <akim@epita.fr>

	* config/announce-gen, Makefile.cfg: New.
	* Makefile.am: Adjust.
	* GNUmakefile, Makefile.maint: Update from CVS Coreutils.

2003-08-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Automake-preselections): Preselect
	AC_CONFIG_LIBOBJ_DIR, AC_CONFIG_LINKS, m4_include,
	and m4_sinclude.

2003-08-19  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/autom4te.in (Autoconf): Move all args except aclocal.m4? into ...
	(Autoconf-without-aclocal-m4): ... this new language.
	* doc/autoconf.texi (autom4te Invocation): Mention
	Autoconf-without-aclocal-m4.

2003-08-18  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Writing testsuite.at): Document RUN-IF-FAIL &
	RUN-IF-PASS optional arguments.

2003-08-18  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Programming in M4sh): Add doc for AS_IF.

2003-08-16  Derek Price  <derek@ximbiot.com>

	* doc/autoconf.texi (Writing testsuite.at): Document defaults for
	STDOUT & STDERR arguments.

2003-08-14  Derek Price  <derek@ximbiot.com>

	* lib/autotestgeneral.m4 (AT_INIT): Reformat test summary line to print
	DESCRIPTION rather than FILE and LINE.  Shorten result to fit in new,
	shorter column three.  Add DESCRIPTION to log file content.

2003-08-13  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4 (AT_INIT): Correct typo in final status
	output.

2003-08-12  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4 (AT_CHECK): Use new _AT_CHECK API.
	(AT_CHECK_NOESCAPE): Move core functionality to...
	(_AT_CHECK): ...this new macro.

2003-08-07  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4 (AT_CHECK): Move core functionality...
	(AT_CHECK_NOESCAPE): ...to this new macro.

2003-07-31  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (_AS_UNSET_PREPARE): Work around a bug
	in Bash 2.01.  Problem reported by Brian Gough in
	<http://mail.gnu.org/archive/html/bug-autoconf/2003-07/msg00106.html>.

2003-07-25  John W. Eaton  <jwe@bevo.che.wisc.edu>

	* lib/autoconf/fortran.m4 (AC_F77_LIBRARY_LDFLAGS): Also ignore
	-lcrt1.o, for OS X.  (trivial change)

2003-07-07  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/c.m4 (AC_C_INLINE): Wrap the '#define inline ...'
	inside '#ifndef __cplusplus'.  Problem reported by
	Bob Friesenhahn.

2003-07-06  Bill Clarke  <llib@computer.org>

	* lib/autoconf/functions.m4 (AC_FUNC_MMAP): Cast pointer to
	'long', not 'int', for benefit of Sun's recent C++ compilers
	(trivial change).  See:
	http://mail.gnu.org/archive/html/autoconf-patches/2003-07/msg00007.html
	(This really should be 'intptr_t', not 'long', but that would
	take more work.)

2003-06-25  Akim Demaille  <akim@epita.fr>

	* lib/Makefile.am (autom4te.cfg): Make it read only.
	Depend on Makefile since it contains substitutions.
	From Paolo Bonzini.
	* lib/autom4te.in (args): Add local.at? for Autotest args.
	This change was made on autom4te.cfg which is generated.
	Reported by Raja R. Harinath.

2003-06-25  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Portability): sys/mount.h.
	From Gareth McCaughan.

2003-06-23  Akim Demaille  <akim@epita.fr>

	* lib/autotest/general.m4 (AT_INIT): Report a single config.log,
	not all of them.  This fixes 1. the fact that when testing
	Autoconf there are many many config.log, 2. the incorrect use of
	top_srcdir to find config.log.
	Don't mix the detailed output of failed test with the summary of
	failures.  Rather, append detailed log afterwards.

2003-06-23  Akim Demaille  <akim@epita.fr>

	* tests/local.at (AT_CHECK_CONFIGURE): Adjust to the verbose being
	always run: output config.log on $at_group_log.

2003-06-23  Akim Demaille  <akim@epita.fr>

	* tests/torture.at (#define header templates): Don't use quotes in
	C++ comments as it puzzles Emacs' sh font-lock-mode.

2003-06-23  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh (au_exclude_egrep): Fix output copyright notice.
	* lib/autom4te.cfg (args): Add local.at? for Autotest args.
	* tests/atspecific.m4: Rename as...
	* tests/local.at: This.
	* tests/suite.at: Move the globals into...
	* tests/local.at: here.
	* tests/Makefile.am: Adjust.
	* doc/autoconf.texi (testsuite Scripts): Adjust.

2003-06-21  Kevin Ryde  <user42@zip.com.au>

	* lib/autoconf/c.m4 (_AC_PROG_CC_STDC): Extend test program to get an
	error from OSF 4.0 Compaq cc in its default almost-ANSI mode, thereby
	ensuring we add -std1 for full-ANSI.

	* doc/autoconf.texi (hdrindex): New macro.
	Add index entries for portability of various standard header files.

2003-06-20  Akim Demaille  <akim@epita.fr>

	* configure.ac: Bump to 2.57b.

2003-06-20  Akim Demaille  <akim@epita.fr>

	Version 2.57a.

2003-06-20  Akim Demaille  <akim@epita.fr>

	* bin/autom4te.in: Don't rely on $HOME being defined.
	Reported by Marc Espie as PR/233.

2003-06-20  Akim Demaille  <akim@epita.fr>

	* lib/autotest/general.m4: Use at_times_file only if used.
	From Nicolas Joly.

2003-06-20  Akim Demaille  <akim@epita.fr>

	* config/config.guess, config/config.sub, config/elisp-comp,
	* config/install-sh, config/mkinstalldirs, doc/standards.texi:
	Update from masters.

2003-06-11  Paolo Bonzini  <bonzini@gnu.org>

	* doc/autoconf.texi (Writing testsuite.at): Document AT_XFAIL_IF
	* lib/autotest/general.m4 (AT_XFAIL_IF): New macro.
	(TEST_SCRIPT): New diversion.
	(AT_SETUP): Divert output to TEST_SCRIPT and move some code...
	(AT_CLEANUP): ...to here.  Undivert TEST_SCRIPT.
	(AT_INIT): Support for expected failures.

2003-06-02  Akim Demaille  <akim@epita.fr>

	* bin/autom4te.in, bin/autoscan.in, bin/autoheader.in: White space
	changes.
	* lib/Autom4te/General.pm (&backname): Remove, no longer used by
	Autoconf nor Automake.
	(&contents): New, from Automake.
	PODify.

2003-05-28  Paul Eggert  <eggert@twinsun.com>

	* NEWS, doc/autoconf.texi (Particular Functions),
	lib/autoconf/functions.m4 (AC_FUNC_MKTIME): Check that mktime
	is the inverse of localtime.

2003-05-25  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Autom4te/General.pm (END): Print diagnostics to STDERR.
	(handle_exec_errors): New function.  Work around $! being
	altered by WEXITSTATUS.
	(xqx, xsystem): Use handle_exec_errors.

2003-05-23  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Autom4te/General.pm (END): Rewrite exit code processing.
	Do not call `_exit()', simply modify `$?'.
	(xsystem): Reset $! before running system, and check it afterward.
	* tests/tools.at (autoupdating AC_PREREQ): Expect exit status
	63 for version mismatches.

2003-05-23  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/status.m4: Prefer "TAB-SP" to "SP-TAB", because of
	Emacs' dangerous whitespace.el behavior (smashing "useless" spaces in
	the middle of a line).
	* lib/m4sugar/m4sugar.m4: Likewise.
	Remove useless spaces in comments.

2003-05-23  Akim Demaille  <akim@epita.fr>

	* lib/m4sugar/m4sugar.m4 (m4_version_prereq): Failure causes an
	exit 63, so that we (or Automake's "missing") can tell the
	difference with a plain failure.
	* doc/autoconf.texi (Notices): Adjust.

2003-05-23  Akim Demaille  <akim@epita.fr>

	* Makefile.am, bin/Makefile.am, config/Makefile.am,
	* doc/Makefile.am, lib/autoconf/Makefile.am, tests/Makefile.am:
	White spaces cleanup.

2003-05-22  Jim Meyering  <jim@meyering.net>
	    Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/c.m4 (_AC_PROG_CXX_EXIT_DECLARATION):
	Remove `#include <stdlib.h>' from the list; we should never
	make confdefs.h include <stdlib.h> or <cstdlib>, because the
	resulting namespace pollution would cause other tests to fail.
	Configure scripts run with some older versions of g++ and HP's
	aCC would fail due to such an #include.  Problems reported by
	Matthew Mueller in <http://bugs.debian.org/120704> and by
	Keith Bostic in
	<http://mail.gnu.org/archive/html/autoconf/2003-05/msg00063.html>.
	In the test, use the test declaration before including <stdlib.h>,
	as that's closer to how it'll be used.

2003-05-23  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Portability): ucred.h.
	From Ian Redfern.

2003-05-22  Paolo Bonzini  <bonzini@gnu.org>

	Overhaul Autotest's logging: generate separate log files
	in testsuite.dir/NNN/testsuite.log, and append them to
	testsuite.log instead of re-running the test verbosely.

	* lib/autotest/general.m4 (AT_INIT): Use a single redirected
	file descriptor, write 0 to at_status_file instead of setting
	at_status=0, initialize some new variables (at_status_file,
	at_group_log, at_suite_log, at_tee_pipe).  Remove the cruft
	to rerun the tests, instead append the at_group_log to the
	at_suite_log when a test fails.
	(AT_SETUP): pipe the test case's output into at_tee_pipe,
	with the AS_MESSAGE_LOG_FD redirected to stdout.
	(AT_CLEANUP): save the output status in $at_status_file
	and restore it, redirect the AS_MESSAGE_LOG_FD back to
	its original place.
	(AT_CHECK): since tests are run with a redirected stdout,
	and used to be re-run in verbose mode, turn some $at_verbose
	into echo, and don't redirect the output of testing stdout
	and stderr.

	* lib/autotest/autoconf.texi (testsuite Scripts): Update
	the name of the debugging directory and information about
	its contents.

2003-05-22  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (AS_REQUIRE): Actually use the 2nd
	parameter.

2003-05-22  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/autotest.m4, lib/autoconf/autoupdate.m4
	* lib/autoconf/fortran.m4 lib/autoconf/general.m4
	* lib/autoconf/headers.m4 lib/autoconf/oldnames.m4
	* lib/autoconf/status.m4: Fix and adjust copyright notices.

2003-05-22  Akim Demaille  <akim@epita.fr>

	* aclocal.m4, bin/autoconf.as, lib/autoconf/autoconf.m4,
	* lib/autoconf/autoheader.m4, lib/autoconf/autoupdate.m4,
	* lib/autoconf/c.m4, lib/autoconf/fortran.m4,
	* lib/autoconf/general.m4, lib/autoconf/headers.m4,
	* lib/autoconf/lang.m4, lib/autoconf/libs.m4,
	* lib/autoconf/programs.m4, lib/autoconf/specific.m4,
	* lib/autoconf/status.m4, lib/autoconf/types.m4,
	* lib/autotest/general.m4, lib/m4sugar/m4sugar.m4,
	* tests/atspecific.m4, tests/base.at, tests/compile.at,
	* tests/foreign.at, tests/m4sh.at, tests/semantics.at,
	* tests/tools.at, tests/torture.at:
	Whitespace clean up.
	Suggested by Jim Meyering.

2003-05-22  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/functions.m4 (AC_FUNC_GETLOADAVG): Restore smashed
	' \t' as '\t ' so that Emacs' whitespace.el keep it.
	Reported by Jim Meyering.

2003-05-22  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Replace AC_HELP_STRING AS_HELP_STRING.
	Add AC_HELP_STRING  to the obsolete macros section.
	Typos.
	Use '@.' for sentences that ended in a capital letter.
	From Art Haas.

2003-05-22  Akim Demaille  <akim@epita.fr>

	* config/config.guess, config/config.sub, config/elisp-comp,
	* config/install-sh, config/mdate-sh, config/mkinstalldirs,
	* config/texinfo.tex, doc/standards.texi: Update from masters.

2003-05-21  Paolo Bonzini  <bonzini@gnu.org>

	* lib/m4sugar/m4sh.m4 (AS_VAR_SET): Escape the RHS before passing
	it to eval.

2003-05-21  Akim Demaille  <akim@epita.fr>

	* bin/autoupdate.in ($m4): Fix quotation.
	Reported by Martin Mokrejs.

2003-05-19  Paul Eggert  <eggert@twinsun.com>

	* ChangeLog, ChangeLog.2, THANKS, lib/m4sugar/m4sugar.m4:
	Remove non-ASCII characters.

2003-05-18  Paolo Bonzini  <bonzini@gnu.org>

	* tests/semantics.at (AC_SEARCH_LIBS): New test.
	* tests/semantics.at (AC_CHECK_HEADERS_OLD,
	AC_CHECK_HEADERS_NEW): New tests.

2003-05-17  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/functions.m4: Use the default includes so that
	memcmp be declared before being tested.
	Reported by Sander Niemeijer.
	(AC_FUNC_ERROR_AT_LINE, AC_FUNC_GETGROUPS, AC_FUNC_STRNLEN): Likewise.
	* doc/autoconf.texi (Default Includes): Document
	AC_INCLUDES_DEFAULT.

2003-05-17  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/specific.m4: Include signal.h and unistd.h.
	* doc/autoconf.texi (Obsolete Macros): Adjust.
	Reported by Werner LEMBERG and Debian Bug 190886.

2003-05-16  Akim Demaille  <akim@epita.fr>

	* lib/m4sugar/m4sh.m4 (_AS_UNSET_PREPARE): s/FOO/as_foo/ to avoid
	user name space clashes.
	Reported by Bruno Haible.

2003-05-16  Akim Demaille  <akim@epita.fr>

	* bin/autoheader.in, bin/autom4te.in, bin/autoreconf.in,
	* bin/autoscan.in, bin/autoupdate.in, bin/ifnames.in (BEGIN): Make
	them uniform, and more robust to Perl special characters.
	Reported by Martin Mokrejs.

2003-05-14  Akim Demaille  <akim@epita.fr>

	* tests/foreign.at (Libtool): Skip all Libtools pre 1.4.

2003-05-14  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Portability): X11/extensions/scrnsaver.h,
	linux/irda.h.

2003-05-12  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/lang.m4 (_AC_COMPILER_EXEEXT_DEFAULT): Improve the
	message.
	From Matthias Andree.

2003-05-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* lib/Autom4te/XFile.pm (lock, truncate): Do not pass @_ to flock
	and truncate.

2003-05-06  Akim Demaille  <akim@epita.fr>

	Don't try to be smart with aclocal 1.8+ because (i) aclocal no
	longer updates aclocal.m4 if useless, (ii) if a file m4_included
	by aclocal.m4 is changed it might require the importing of another
	m4 extension file, i.e., aclocal must be run.

	* bin/autoreconf.in (&run_aclocal, $aclocal_supports_force): New.
	(&parse_args): Use --force with aclocal if required and supported.
	(&autoreconf_current_directory): Use &run_aclocal.

2003-05-06  Akim Demaille  <akim@epita.fr>

	Lock autom4te's cache.

	* lib/Autom4te/XFile.pm ($me, &name, &lock, &truncate, &seek): New.
	* bin/autom4te.in (&Request::save, &Request::load): Use an IO::File
	argument instead of a file name, so that the request file remains
	open during the whole autom4te run.
	($icache_file): New.
	(&freeze): Lock the $icache_file.

2003-04-29  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4 (AT_KEYWORDS): Don't use a comma as the
	seperator with m4_append_uniq().  It doesn't work.
	(AT_CLEANUP): Add `;' to end of at_help_all.
	(AT_INIT): Allow --keywords to be specified more than once.  When
	grepping $at_help_all for keywords, use the field and keyword
	seperators to ensure a complete keyword match.  Alter at_prev handling
	to support the new --keywords behavior.

2003-04-27  Karl Berry  <karl@freefriends.org>

	* doc/autoconf.texi: Make the dir entries in the autoconf manual
	align better with others.  I also made some of the individual
	entries on one line, for brevity and to make it easier for me to
	sort my dir-example file in the Texinfo distribution :).

2003-04-12  Jim Meyering  <jim@meyering.net>

	* NEWS: Mention the new macro.
	* lib/autoconf/c.m4 (AC_C_RESTRICT): New macro.
	* doc/autoconf.texi (C Compiler): Describe AC_C_RESTRICT.
	* tests/c.at: Test AC_C_RESTRICT.
	* tests/mktests.sh (ac_exclude_list): Add exclusion for AC_C_RESTRICT.

2003-04-08  Akim Demaille  <akim@epita.fr>

	* bin/ifnames.in: Skip C++ comments.
	From Jeremy Yallop.

2003-04-08  Akim Demaille  <akim@epita.fr>

	* GNUmakefile (SHELL): Don't assume sh is in /bin/.
	From Ilya Zakharevich.

2003-04-08  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Particular Headers): Some about sys/socket.h,
	net/if.h, stdlib.h.

2003-04-01  Derek Price  <derek@ximbiot.com>

	* lib/autoconf/programs.m4 (AC_PROG_INSTALL): Correct syntax error
	from Akim's checkin of 2003-03-29.

2003-04-01  Derek Price  <derek@ximbiot.com>

	* tests/torture.at (Configuring subdirectories): Add missing
	close-quote for Akim's change from 2003-03-28.

2003-04-01  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (ac, at, ms): Rename these indexes as...
	(AC, AT, MS): these.
	(shortindexflag, @acindex, @ahindex, @asindex, @atindex, @msindex):
	New.
	Use them.
	* doc/Makefile.am (CLEANFILES): Adjust.
	(TEXI2DVI): Make it --batch.

2003-03-31  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4: Revert the checkin from 2003-03-27
	which removed the main loop.
	Thanks to Akim Demaille.

2003-03-29  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/programs.m4 (AC_PROG_INSTALL): Skip OS/2's install,
	that starts a GUI.
	From Ilya Zakharevich.

2003-03-29  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): The
	documentation to read is Autoconf's.
	Suggested by Paul Eggert.

2003-03-28  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): Suggest
	reading the section "Present But Cannot Be Compiled" when the
	header causes problems.

2003-03-28  Akim Demaille  <akim@epita.fr>

	* tests/torture.at (Configuring subdirectories): Require aclocal
	1.4, otherwise the test fails, as it does support configure.ac.
	This fixes the "test 40 failed" bug reports.

2003-03-28  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (C Compiler): `#line' portability.
	From Paul Eggert and Nelson H. F. Beebe.

2003-03-27  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4: Eliminate main loop and reorganize test
	layout in order to allow scripting around test groups.

2003-03-27  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4 (PARSE_ARGS,PARSE_ARGS_END,HELP,HELP_MODES,
	HELP_TUNING,HELP_OTHER,HELP_END,PREPARE_TESTS,TESTS_END): Define and
	use new diversions in preparation for accepting new arguments and
	allowing scripting around tests.
	(OPTIONS,TAIL): Remove these diversions to make way for the ones above.

2003-03-26  Derek Price  <derek@ximbiot.com>

	* lib/autoconf/general.m4 (AC_ARG_VAR): Use AS_HELP_STRING instead of
	obsolete AC_HELP_STRING.
	(AC_HELP_STRING): AU_DEFUN to...
	* lib/m4sugar/m4sh.m4 (AS_HELP_STRING): ...here.
	* tests/m4sh.at (AS_HELP_STRING): New test.

	* tests/acgeneral.at: Regenerated.

2003-03-26  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4: s/DEFAULT/DEFAULTS/ since it makes more
	sense.  Verbosify the diversion definitions comment.

2003-03-26  Derek Price  <derek@ximbiot.com>

	* lib/autotest/general.m4 (AT_INIT): Remove redundant call to
	AS_PREPARE.

2003-03-21  Eric Siegerman  <eric_97@pobox.com>

	* doc/autoconf.texi (Present But Cannot Be Compiled):
	Grammar fixes and minor rewording. (trivial change)

2003-03-06  Paul Eggert  <eggert@twinsun.com>

	Work around a problem noted by Nelson H. F. Beebe with coreutils
	4.5.9: Sun c89 (Sun WorkShop 6 update 2 C 5.3 Patch 111679-08
	2002/05/09) rejects '#line 32768 "configure"' because the line
	number overflows.
	* lib/autoconf/c.m4 (AC_LANG_SOURCE(C)): Do not generate
	#line directives.
	* lib/autoconf/lang.m4 (AC_LANG_SOURCE): Fix comment to match this.
	* doc/autoconf.texi (Generating Sources): Document this.

2003-03-01  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* tests/atspecific.m4 (AT_CHECK_AUTOM4TE): Normalize
	file name for the m4 program, when it has an "exe" file extension.
	DJGPP's error messages include the error code in brackets -
	remove the error code during normalization.

2003-02-28  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Present But Cannot Be Compiled): New.

2003-02-28  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (Limitations of Make): Remove the section
	about `$<' in inference rules, it was a bogus interpretation of
	an old Automake change.  Discuss NetBSD, FreeBSD, OpenBSD, and
	Tru64 make in the "target lookup" section.
	(Automake): Automake 1.5+ no longer requires special tools to be
	present on the developer's host.

2003-02-26  Richard Dawe  <rich@phekda.freeserve.co.uk>

	* bin/autoheader.in (BEGIN): For DJGPP SHELL may not be set
	to a shell that can handle redirection or quoting correctly.
	Override SHELL with the shell detected by configure.
	Use of $^O suggested by Tim van Holder.
	* bin/autom4te.in (BEGIN): Likewise.
	* bin/autoreconf.in (BEGIN): Likewise.
	* bin/autoscan.in (BEGIN): Likewise.
	* bin/autoupdate.in (BEGIN): Likewise.
	* bin/ifnames.in (BEGIN): Likewise.

	* bin/ifnames.in: Add final newline to help and version messages.

	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): Translate colons,
	to cope with DOS-style absolute paths, when constructing
	${ac_make}.

	* lib/autoconf/status.m4 (_AC_OUTPUT_HEADERS, _AC_OUTPUT_FILES):
	When constructing paths with IFS=:, quote the path. If we're
	constructing a DOS-style absolute path, we don't want to split it
	on the colon.

	* tests/atspecific.m4 (AT_CHECK_CONFIGURE): Fix typo
	in description.

2003-02-25  Pavel Roskin  <proski@gnu.org>

	* bin/autoheader.in: Add missing newline when printing
	suggestion how change AC_DEFINE call.

2003-02-24  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (AS_SHELL_SANITIZE): Fix typo in
	2002-09-01 patch by replacing "test -n" with "test -z".
	This fixes a bug found by Jeff Painter and reported by Tom Epperly in
	<http://mail.gnu.org/archive/html/autoconf/2003-02/msg00139.html>.

	* doc/autoconf.texi (Shell Substitutions): test -n -> test -z,
	to fix a mismatch between example and discussion.

2003-02-24  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi (Limitations of Builtins): Add notes on printf
	format starting with "-".

2003-02-20  Alexandre Duret-Lutz  <adl@gnu.org>

	* doc/autoconf.texi (Limitations of Make): `foo=bar make -e'
	is not portable inside Makefile.

2003-02-20  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/headers.m4 (_AC_CHECK_HEADER_MONGREL): When
	compiler says yeah, but preproc says nope, compiler is right.
	Conversely, prompt the reader to send a bug report to the
	maintainers of the package, not of Autoconf.

2003-02-20  Klee Dienes  <kdienes@apple.com>

	* bin/autoreconf.in (autoreconf_current_directory): Properly
	handle an empty aclocal.m4.

2003-02-20  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (AC_PREFIX_PROGRAM): Quote
	$ac_prefix_program.
	From Larry Jones.

2002-12-23  Paul Eggert  <eggert@twinsun.com>

	* lib/autoconf/c.m4 (AC_LANG_FUNC_LINK_TRY(C)): Define $1 to an
	innocuous variant befor including <limits.h> or <assert.h>.  This
	works around a bug reported by Albert Chin: HP-UX 11i
	(and earlier versions) have a <limits.h> that declares
	gettimeofday and many other functions.

2002-12-03  Paul Eggert  <eggert@twinsun.com>

	Version 2.57.

	* NEWS, configure.ac: Update version.

	* doc/fdl.texi: Upgrade to FDL version 1.2.

	* lib/autoconf/c.m4 (AC_LANG_FUNC_LINK_TRY(C)): Use the function f
	nontrivially in main's body, so that f's external declaration is
	not optimized away in AIX.  This should fix the bug reported by
	Martin Frydl in
	<http://mail.gnu.org/pipermail/autoconf/2002-November/014508.html>.

	* lib/autoconf/c.m4 (AC_LANG_FUNC_LINK_TRY(C),
	_AC_PROG_PREPROC_WORKS_IFELSE): Use <limits.h> if __STDC__ is
	defined, to support freestanding compilers.  This should fix the
	bug reported by Momchil Velkov in
	<http://mail.gnu.org/pipermail/autoconf/2002-November/014490.html>.

	* doc/autoconf.texi (Obsolete Macros): Fix typos (insert empty
	arg, AC_DEFINE -> AC_DEFINE_UNQUOTED) in documentation for
	obsolete AC_CHECK_TYPE.  The missing empty arg was reported
	by Simon Josefsson in
	<http://mail.gnu.org/pipermail/autoconf-patches/2002-December/008830.html>.

	* Makefile.maint (www-gnu): New macro.
	(standards.texi-url_prefix, make-stds.texi-url_prefix): Use it, as
	the location has moved.

2002-12-02  Martin Frydl  <martin@systinet.com>

	* bin/autom4te.in (at_flatten): rewritten to avoid M4 problem when
	\(.*\) match is too long and there is something more to be checked.
	<http://mail.gnu.org/pipermail/autoconf/2002-November/014524.html>

2002-11-15  Akim Demaille  <akim@epita.fr>

	Version 2.56.

	* config/install-sh: chmod +x.
	From Paul Eggert.
	* config/move-if-change: Indenting changes.
	* Makefile.am (AUTOMAKE_OPTIONS): Move to...
	* configure.ac (AM_INIT_AUTOMAKE): here.
	Require 1.7.1.

2002-11-14  Akim Demaille  <akim@epita.fr>

	Version 2.55.

	* config/config.guess, config/config.sub, config/install-sh:
	Update from masters.

2002-11-14  Akim Demaille  <akim@epita.fr>

	* Makefile.maint: Sync with Bison, i.e.:
	(po-check): Scan .l and .y files instead of the
	.c and the .h files that they generate.  This fixes the bug
	reported by Tim Van Holder in:
	<http://mail.gnu.org/pipermail/bison-patches/2002-November/001352.html>
	Look for N_ as well as for _.  Try to avoid matching #define for
	N_ and _.
	From Paul Eggert.

2002-11-14  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (C Compiler): Compiling several files at once.
	From Paul Eggert and Albert Chin-A-Young.

2002-11-14  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (C Compiler): Solitary backslashes.
	From Paul Eggert and Albert Chin-A-Young.

2002-11-14  Kevin Ryde  <user42@zip.com.au>

	* lib/autoconf/c.m4 (AC_LANG_FUNC_LINK_TRY(C)): Initialize f=$1 rather
	than assigning in main, to avoid HP cc +O3 optimizing it away.

2002-11-12  Peter Eisentraut  <peter_e@gmx.net>

	* lib/autoconf/status.m4 (_AC_OUTPUT_CONFIG_STATUS): Add -q
	option.  Process --recheck after parsing all options.  Pass -q
	option to configure on --recheck.
	(AC_OUTPUT): Pass -q from configure to config.status.
	* lib/autoconf/general.m4 (_AC_INIT_PREPARE): Strip -q from
	arguments to record.
	* doc/autoconf.texi (config.status Invocation): Document
	config.status -q option.

2002-11-07  Alexandre Duret-Lutz  <adl@gnu.org>

	* bin/autoscan.in (scan_file): Scan Makefile.am too. Ignore
	Makefile.in if Makefile.am exists.
	(output): Strip `.am' from Makefiles.  Don't
	output AC_CONFIG_FILES if no Makefiles were found.

2002-11-07  Akim Demaille  <akim@epita.fr>

	* Makefile.am (cvs_files): Add elisp-comp, mdate-sh.
	(local_updates): New.
	* Makefile.maint: Update, from CVS Bison.
	(local_updates): New.

2002-11-06  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/c.m4 (AC_LANG_FUNC_LINK_TRY): Wrap the `f'
	declaration in extern "C" too.
	Reported by Roberto Bagnara.

2002-11-06  Akim Demaille  <akim@epita.fr>

	* tests/torture.at (Configuring subdirectories): Don't use grep
	-w.
	* doc/autoconf.texi (Limitations of Usual Tools): Grep -w.
	Reported by Ezra Peisach.

2002-11-05  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/autoheader.m4 (_AH_TEMPLATE_OLD, _AH_VERBATIM_OLD):
	Remove.
	We _have_ to stop using the old compatibility scheme that tried to
	avoid useless backslashes because Libtool 1.4.3 contains a
	AC_DEFINE([error_t], [int],
	[Define to a type to use for \`error_t' if it is not
	otherwise available.])
	We _have_ to quote the single quote and backslashes with \.  The
	old compatibility scheme saw that ` was backslashed, and therefore
	did not quote the single quote.  Hence before this patch, Autoconf
	was not compatible with Libtool.

2002-11-04  Paul Eggert  <eggert@twinsun.com>

	* lib/m4sugar/m4sh.m4 (AS_SHELL_SANITIZE): Set the following variables,
	too: LC_ADDRESS, LC_IDENTIFICATION, LC_MEASUREMENT, LC_MONETARY,
	LC_NAME, LC_PAPER, LC_TELEPHONE.
	* doc/autoconf.texi (Special Shell Variables): Mention those vars.

2002-11-04  Akim Demaille  <akim@epita.fr>

	Version 2.54c.

	* Makefile.maint (update, cvs-update, po-update, do-po-update):
	New.
	* config/texinfo.tex: Update.

2002-11-03  Akim Demaille  <akim@epita.fr>

	* bin/autoreconf.in (&autoreconf_current_directory): New, extracted
	from...
	(&autoreconf): here.
	($help, $make, &parse_args, &autoreconf_current_directory):
	Support -m/--make.
	* doc/autoconf.texi (autoreconf Invocation): Adjust.

2002-10-31  Bruno Haible  <bruno@clisp.org>

	* lib/autoconf/functions.m4 (_AC_FUNC_MALLOC_IF): Change message.
	Change name of cache variable to ac_cv_func_malloc_0_nonnull.
	(AC_FUNC_MALLOC): Change description of HAVE_MALLOC macro.
	(_AC_FUNC_REALLOC_IF): Change message. Change name of cache variable
	to ac_cv_func_realloc_0_nonnull.
	(AC_FUNC_REALLOC): Change description of HAVE_REALLOC macro.

2002-10-31  Akim Demaille  <akim@epita.fr>

	The test suite was no longer checking for trailing envvars and files.

	* tests/atspecific.m4 (AC_STATE_SAVE): Don't use quadrigraphs here.
	(AT_CHECK_ENV): Make sure the `state-ls.before file exists.

2002-10-31  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/programs.m4 (AC_PROG_MAKE_SET): Use and display
	`$(MAKE)' instead of '${MAKE}' to emphasize that we refer to the
	Make variable, not a shell variable.
	Suggested by Bruno Haible.

2002-10-31  Akim Demaille  <akim@epita.fr>

	* bin/autom4te.in (load_configuration): Reject #args out of any
	language.

2002-10-31  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/general.m4 (_AC_MSG_LOG_CONFTEST): New.
	(_AC_PREPROC_IFELSE, _AC_COMPILE_IFELSE, _AC_LINK_IFELSE)
	(_AC_RUN_IFELSE): Use it.
	* lib/autoconf/lang.m4 (_AC_COMPILER_OBJEXT):
	(_AC_COMPILER_EXEEXT_DEFAULT): Likewise.
	* lib/autoconf/c.m4 (AC_LANG_SOURCE): Don't include confdefs.h,
	inline it.

2002-10-30  Akim Demaille  <akim@epita.fr>

	* bin/autom4te.in (&parse_args, $help): Support --no-cache.
	* doc/autoconf.texi (autom4te Invocation): Adjust.
	Suggested by Tim van Holder.

2002-10-29  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Particular Functions): AC_FUNC_MALLOC and
	AC_FUNC_REALLOC check for compatibility with glibc, not POSIX.
	Problem reported by Bruno Haible.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Header Templates): Put also in words what the
	pictures says to assist free style readers.
	(Customizing autom4te): s/--cache=/--cache /.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* lib/autoconf/functions.m4 (_AC_FUNC_VFORK): Include stdlib.h and
	sys/wait.h.
	sparc_address_test returns void.
	Use it with an argument, as prototyped.
	From Bruno Haible.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Subdirectories): Cygnus dirs have
	configure.in, not configure.ac.
	Reported by Bruno Haible.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* tests/torture.at (Deep Package): New test.
	(Configuring subdirectories): Don't use a testSubDir as Autotest
	now does it itself.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* bin/autoreconf.in (&parse_args, $help): Support --warnings.
	* doc/autoconf.texi (Invoking autom4te): Rename as...
	(autom4te Invocation): this, for consistency with the other nodes.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* lib/autom4te.in (Autoconf): s/automate/autom4te/.
	Reported by Ralf Corsepius.

2002-10-29  Akim Demaille  <akim@epita.fr>

	* lib/m4sugar/m4sh.m4 (_AS_QUOTE): The warning about quoted
